commit aa039a0324d899e6e3c6658451a47382345a6392
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Sep 4 22:01:38 2013 +1000

    Rhythmbox 3.0

 NEWS         | 84 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README       |  2 +-
 configure.ac |  2 +-
 3 files changed, 86 insertions(+), 2 deletions(-)

commit 16e457bf650c1ba4f297a192e13e7844f997bf16
Author: Elad Alfassa <elad@fedoraproject.org>
Date:   Tue Sep 3 12:51:20 2013 +0300

    Fix categories in .desktop file to make Rhythmbox show up in gnome-software
    
    gnome-software uses the desktop file categories to sort the applications
    it shows.
    
    This commit fixes the categories according to the freedesktop spec,
    so that Rhythmbox will appear in the correct category.
    
    For more information:
    http://standards.freedesktop.org/menu-spec/latest/apa.html
    http://standards.freedesktop.org/menu-spec/latest/apas02.html

 data/rhythmbox.desktop.in.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9a4214b8adc90b465467673b862ea5bfbf3a93f9
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Sep 4 20:59:48 2013 +1000

    metadata: handle extended comment tags
    
    ID3 comment tags often show up as extended comments of the
    form 'Comment[xxx]=actual comment string', so we now translate
    these into the rhythmdb comment property.
    
    Based on patches from lmf <jimmythy@gmail.com>.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707184

 metadata/rb-metadata-gst.c | 37 ++++++++++++++++++++++++++++++++++---
 1 file changed, 34 insertions(+), 3 deletions(-)

commit 3440c2e508a5e4a63eec9b1d77d7ddc26229dfee
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 3 22:46:23 2013 +0200

    Updated Slovenian translation

 po/sl.po | 1269 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 659 insertions(+), 610 deletions(-)

commit 9e59f1d44ec5f63eb9921b9e864400767492f74c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Sep 2 18:12:48 2013 +0200

    Updated Spanish translation

 po/es.po | 291 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 153 insertions(+), 138 deletions(-)

commit 64c090b7f3ed1eccc817f6aafbe81b6372a5f2f8
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Sat Aug 31 00:19:26 2013 +0900

    l10n: Update Japanese translation

 po/ja.po | 764 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 320 insertions(+), 444 deletions(-)

commit 241a6516c24ab9d0c94e3b1d3b0b69c56c77b35c
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Aug 29 11:45:54 2013 +0200

    Updated Hungarian translation

 po/hu.po | 1263 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 652 insertions(+), 611 deletions(-)

commit 1a45b28ff696f0cbcf20a29ea9a7fa96566f3f26
Author: Pavol Klačanský <pavol@klacansky.com>
Date:   Wed Aug 28 21:54:06 2013 +0200

    Updated slovak translation

 po/sk.po | 1155 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 579 insertions(+), 576 deletions(-)

commit 6be3f3ce4825e4ac2abbf0d0604fa1eec40481d5
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:   Wed Aug 28 20:53:54 2013 +0200

    Updated German translation

 po/de.po | 389 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 204 insertions(+), 185 deletions(-)

commit eb4641a127828a0fa567eb19c26c66ff7f3b2f52
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:   Wed Aug 28 09:23:40 2013 +1000

    notification: set button arrow icons according to locale's text direction
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706760

 plugins/notification/rb-notification-plugin.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit cd7194ff5549ab6914990aa309b85889ec2920fc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Aug 28 09:10:10 2013 +1000

    notification: use a single notification for non-playback stuff
    
    This stops podcast download notifications from piling up.

 plugins/notification/rb-notification-plugin.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 94d15dfb05c43fa41cb3eb77d5ba6c7bfe8108f4
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Aug 28 01:00:26 2013 +0200

    Updated Galician translations

 po/gl.po | 256 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 133 insertions(+), 123 deletions(-)

commit fc90ce1a6992f46073e21db72966a897d841f105
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 27 19:06:05 2013 +0200

    Updated Spanish Translation
    
    Miguel Rodriguez <bokeronesfritos@gmail.com>

 help/es/es.po | 312 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 158 insertions(+), 154 deletions(-)

commit 63c771b587486339d4d1ea5f8ac30fcc18823679
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 27 19:05:43 2013 +0200

    Revert "Updated Spanish Translation"
    
    This reverts commit bc84728055d56f0d6df17a23e5121f1e4098abc0.

 po/es.po | 9584 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 5932 insertions(+), 3652 deletions(-)

commit bc84728055d56f0d6df17a23e5121f1e4098abc0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 27 19:04:41 2013 +0200

    Updated Spanish Translation
    
    Miguel Rodriguez <bokeronesfritos@gmail.com>

 po/es.po | 9584 ++++++++++++++++++++++++--------------------------------------
 1 file changed, 3652 insertions(+), 5932 deletions(-)

commit ca6f03328beb3b091de3ca5a6d87611b0d354047
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Mon Aug 26 01:29:55 2013 -0300

    Enabled Brazilian Portuguese translation

 help/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f9436bc75ea327c6efbaed1a327171877a947aa
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Mon Aug 26 01:29:09 2013 -0300

    Added Brazilian Portuguese translation for help files

 help/pt_BR/pt_BR.po | 3391 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 3391 insertions(+)

commit 510b81c09e2d2e68acf258ebd2238bed52c0517d
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Aug 25 23:28:57 2013 +0300

    Updated Lithuanian translation

 po/lt.po | 251 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 122 insertions(+), 129 deletions(-)

commit 1ec8ad19244fcacaeef1f5811cdd7e7671705b2e
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Aug 25 20:17:04 2013 +0300

    Updated Latvian translation

 po/lv.po | 1106 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 549 insertions(+), 557 deletions(-)

commit 725248d67274104ec122ab2ad92b72874a2f5eff
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sun Aug 25 17:49:35 2013 +0200

    Updated French translation

 help/fr/fr.po |  367 +++++++++----------
 po/fr.po      | 1129 ++++++++++++++++++++++++++++-----------------------------
 2 files changed, 726 insertions(+), 770 deletions(-)

commit 22b4fe17dd8fc6db4b340448b6d3606ca754bcaa
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Aug 25 17:12:15 2013 +0200

    [l10n] Updated Italian translation.

 po/it.po | 1083 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 532 insertions(+), 551 deletions(-)

commit a2e09cbb354530fbdbe9706daebb016a049c85c5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Aug 24 12:26:47 2013 +1000

    rhythmbox-client: seek in seconds, not microseconds

 remote/dbus/rb-client.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 6d4f58c937b92d431f1ed537d713e15d07d7b72e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Aug 24 11:24:49 2013 +1000

    rhythmbox-client: make --quit work

 data/rhythmbox-client.1 | 3 +++
 remote/dbus/rb-client.c | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit b83b10bc28de77f3cf63d19a0f24798e0b1b0c7c
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Fri Aug 23 21:12:23 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 909 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 450 insertions(+), 459 deletions(-)

commit 158a07904a42ca89281d1d89f2094bfb6c6fd9b4
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:   Sun Aug 4 02:30:07 2013 +0300

    entry-view: set button arrow icons according to locale's text direction
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702627

 widgets/rb-entry-view.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit fef54d67fdbb45723bc87ef4427cdf056e67d00a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Aug 23 00:42:47 2013 +0200

    Updated Polish translation

 po/pl.po | 236 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 118 insertions(+), 118 deletions(-)

commit e0db2847dab9cf81b332234604cd889e85929e1f
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Aug 22 20:27:04 2013 +0200

    Updated Czech translation

 help/cs/cs.po | 442 +++++++++++++++++++++++++++-------------------------------
 1 file changed, 206 insertions(+), 236 deletions(-)

commit ab16d14ff914091030f8f54d9d7f6bebfd4d41da
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Aug 22 20:10:51 2013 +0200

    Updated Czech translation

 po/cs.po | 269 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 136 insertions(+), 133 deletions(-)

commit 882bf1f7e40a2121cdadf9316244eef44677e82e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Aug 22 09:39:26 2013 +1000

    help: keep the shortcut key section up to date
    
    is this the only part anyone cares about?

 help/C/index.docbook | 89 +++++++++++++++++-----------------------------------
 1 file changed, 29 insertions(+), 60 deletions(-)

commit ed78da7b38f7a7a9f62fdcea1d79a20d641d0a25
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Aug 22 09:05:13 2013 +1000

    shell: follow the playing track in the track list
    
    Jump to the new playing track when it changes. There is now a
    setting that controls this, and an item in the app menu (under
    view) for changing it.  While we're here, add an accelerator
    key for jumping to the playing track, since that went missing
    a while ago.

 data/org.gnome.rhythmbox.gschema.xml |  5 ++
 data/ui/app-menu.ui                  |  4 ++
 shell/rb-shell.c                     | 92 ++++++++++++++++++++----------------
 3 files changed, 60 insertions(+), 41 deletions(-)

commit 918a3698461fe244a107d7ce9accf4c32b3dd78f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Aug 22 09:03:32 2013 +1000

    entry-view: scroll to the playing entry on clicking the column header
    
    This seems like a reasonable thing for the playing column header to do.
    It didn't do anything before.

 widgets/rb-entry-view.c | 30 ++++++++++++++++++++++--------
 1 file changed, 22 insertions(+), 8 deletions(-)

commit fa302246d1bcd7ff2d82b5ee94927565490f16ef
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Aug 22 09:02:54 2013 +1000

    shell-player: remove jump-to-playing-track stuff
    
    We can do this better in the shell.

 shell/rb-shell-player.c | 55 -------------------------------------------------
 1 file changed, 55 deletions(-)

commit 31fe3a28a9c1b23d801d60ba688781814d45c091
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Aug 21 23:14:37 2013 +1000

    import-dialog: redesign a bit
    
    Now we have a single 'import' button that describes what will be
    imported, with separate options (only one so far, whether to copy
    files in to the library or not) determining what happens when it
    gets clicked.  The remove button has been removed.
    
    Closing the dialog now stops any scanning task that may have been
    in progress.

 data/ui/import-dialog.ui    |  88 +++++++++-----------
 sources/rb-library-source.c |  15 ----
 widgets/rb-import-dialog.c  | 192 ++++++++++++++++++++++----------------------
 3 files changed, 135 insertions(+), 160 deletions(-)

commit 6a1799d907fb20f2cb84c3ff2a64429b66037c0e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 20 23:51:54 2013 +0200

    Updated Polish translation

 po/pl.po | 58 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 29 insertions(+), 29 deletions(-)

commit 3518dd2100cd40996901adfad55128e594b6932c
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Aug 18 23:16:47 2013 +0300

    Updated Lithuanian translation

 po/lt.po | 1198 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 569 insertions(+), 629 deletions(-)

commit f48f352853df75be52ee7713cc9137df1ec11b1b
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Fri Aug 16 13:01:27 2013 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 1033 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 537 insertions(+), 496 deletions(-)

commit eee94e0dcdb166bdd916edade56e5df762fe32cf
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Aug 11 17:35:52 2013 -0400

    daap: small code clean up
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

 plugins/daap/rb-daap-plugin.c | 15 ++++-----------
 1 file changed, 4 insertions(+), 11 deletions(-)

commit 3cf445d1aad10455ecf342e4cb5122e3e6bcc417
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Aug 6 11:49:31 2013 -0400

    daap: fix playing songs from a host with two or more DAAP shares
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705539
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

 plugins/daap/rb-daap-plugin.c | 60 +++++++++++++++++++++++++++++--------------
 1 file changed, 41 insertions(+), 19 deletions(-)

commit 695c1fdf39c311dda26f4dd3b7fbc532bd3b229f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 4 10:11:43 2013 +1000

    more .gitignore

 .gitignore | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 55814d6e2fb79b1f613caa98fdb6053b5b688cd4
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:   Sat Aug 3 15:02:58 2013 +0200

    Updated German help translation

 help/de/de.po | 461 ++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 272 insertions(+), 189 deletions(-)

commit 51b0878349980b125c0c7bd24b177d86201479b2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Aug 2 23:28:49 2013 +1000

    replaygain: use BLOCK_DOWNSTREAM probe rather than IDLE
    
    IDLE probes run way too much risk of recursive and simultaneous
    callbacks in multiple threads.  At the point we're probing, we
    know data is flowing, so BLOCK_DOWNSTREAM should work fine.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700401

 plugins/replaygain/player.py | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit d921d31c787eba29d2f267d3082295de6a1576c2
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Aug 2 13:30:20 2013 +0200

    Updated Galician translations

 po/gl.po | 536 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 267 insertions(+), 269 deletions(-)

commit cdcfc088516d14dfe63207f6b8c8f84a2e63953e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 29 20:13:27 2013 +1000

    grilo: ignore magnatune plugin

 plugins/grilo/rb-grilo-plugin.c | 1 +
 1 file changed, 1 insertion(+)

commit fd14c775810882ce6e072c30c7f9a0c3431fe550
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Thu Jul 25 16:03:24 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1195 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 614 insertions(+), 581 deletions(-)

commit 682fa7c3c687c911267cc631c08ee0a2e93c266f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 13 22:57:36 2013 +1000

    playlist: save settings in playlists.xml
    
    This includes browser visibility (and size) and the selected search
    type.  Sorting for automatic playlists was already covered, and
    static playlists aren't sortable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703626
    https://bugzilla.gnome.org/show_bug.cgi?id=652892

 plugins/daap/rb-daap-source.c       |  16 +++---
 sources/rb-auto-playlist-source.c   |   7 ++-
 sources/rb-auto-playlist-source.h   |   1 +
 sources/rb-playlist-source.c        | 104 +++++++++++++++++++++++++++++++++---
 sources/rb-playlist-xml.h           |   3 ++
 sources/rb-static-playlist-source.c |  20 +++----
 sources/rb-static-playlist-source.h |   3 +-
 7 files changed, 122 insertions(+), 32 deletions(-)

commit 4bf3fdd7b23a1fee60a0f31f4319f843ba7c4f26
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 13 19:15:55 2013 +1000

    entry-view: set follow-state on the pixbuf renderer

 widgets/rb-entry-view.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 8c708e53a82d34d488934ede962037fe3c66eddf
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Jul 9 22:14:18 2013 +0200

    Updated Czech translation

 po/cs.po | 510 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 245 insertions(+), 265 deletions(-)

commit fbdd1b8c4ed210f29df28f65641b7ea801813254
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Mon Jul 8 23:38:48 2013 +0200

    display-page-tree: Remove fatal gsettings left-overs
    
    In addition to 562a81e22ee12c840402b16d1494f710f61751bb

 sources/rb-display-page-tree.c | 4 ----
 1 file changed, 4 deletions(-)

commit 6d91c5eefe9e4850d214ddbb78780fbf1b42103d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jul 8 13:39:26 2013 +0200

    Updated Spanish translation

 po/es.po | 535 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 265 insertions(+), 270 deletions(-)

commit 5f4f6a62b5084a0073ed545290e351e867e5c73e
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   Mon Jul 8 10:40:54 2013 +0200

    gst: Don't leak bus in RBEncoderGst
    
    When starting the GstPipeline in RBEncoderGst, the associated GstBus
    was not correctly unreffed. gst_pipeline_get_bus() returns a reference
    to the bus object so it must be released after use. Most importantly,
    as described in https://bugzilla.gnome.org/show_bug.cgi?id=683470 ,
    we must make sure to remove the bus watch from the main loop
    when we no longer need it, or this will cause the GstBus being watched
    not to be properly disposed of.
    In my testing, this was causing leaks of 2 fds per track transferred.
    As the default max fd per process is 1024, this means that after about
    500 tracks transferred, rhythmbox would get in big troubles as it
    can no longer open new file descriptors.

 backends/gstreamer/rb-encoder-gst.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 20ab8e728086067a019bf4c1f20ccc2d333f3431
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jul 7 22:15:39 2013 +0200

    Updated Polish translation

 po/pl.po | 510 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 245 insertions(+), 265 deletions(-)

commit 2230f5ce5e7c889ececa1413148512a3f5b78d5e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 7 23:14:45 2013 +1000

    library: don't crash if we can't create an encoder

 sources/rb-library-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6fa6eb87c9c0e8d74935acd01552dafdca2bc375
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 7 23:14:19 2013 +1000

    media-types: use the top level profile name in warnings

 lib/rb-gst-media-types.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a73ff98a4b5cb7301a2c50756aab688199a90bd4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 7 20:46:01 2013 +1000

    library: add cbr and vbr encoding styles
    
    These replace the 'custom settings' option in the format settings.
    They expose different sets of properties for editing (mostly
    bitrate for CBR, quality for VBR).  The encoding profile file
    describes the property settings required to configure the encoder
    for the style.
    
    This will be more useful when media player devices have their own
    encoding settings, but for now if you want 128kbps mp3s in your
    library, you can have them.

 data/rhythmbox.gep          |  40 ++++++++--
 lib/rb-gst-media-types.c    | 101 +++++++++++++++++++++----
 lib/rb-gst-media-types.h    |   7 +-
 sources/rb-library-source.c | 180 +++++++++++++++++++++++++++-----------------
 4 files changed, 238 insertions(+), 90 deletions(-)

commit 71025350b967ebce4a3e6b53bc99e60eee2a0ff2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Jul 5 23:23:42 2013 +1000

    add ogg opus encoding profile and file extension

 data/rhythmbox.gep       | 14 ++++++++++++++
 lib/rb-gst-media-types.c |  2 ++
 2 files changed, 16 insertions(+)

commit dd1420790dfcb91af3dfc8211aabf11ae06f4727
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Jul 5 08:22:36 2013 +1000

    rhythmdb: emit entry-changes with a GPtrArray rather than a GArray
    
    This is slightly more efficient (no copies) and it's also easier
    for pygobject to chew on.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701307

 plugins/ipod/rb-ipod-source.c                 |  5 ++---
 plugins/mpris/rb-mpris-plugin.c               |  4 ++--
 plugins/visualizer/rb-visualizer-fullscreen.c |  5 ++---
 podcast/rb-podcast-source.c                   |  5 ++---
 rhythmdb/rhythmdb-query-model.c               |  7 +++----
 rhythmdb/rhythmdb.c                           | 18 +++++++-----------
 shell/rb-shell-player.c                       |  7 +++----
 7 files changed, 21 insertions(+), 30 deletions(-)

commit 37130e1b897b5398ad1b80b05b950a09c1fd274e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Jul 4 20:57:03 2013 +1000

    auto-playlist: skip get/set query functions for introspection

 sources/rb-auto-playlist-source.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f980b500c0262d73673e07ef023cb05d5a99e3a1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Jul 4 20:45:41 2013 +1000

    convert limit-value to a GVariant

 rhythmdb/rhythmdb-query-model.c   |  35 ++++-----
 shell/rb-playlist-manager.c       |   8 +--
 sources/rb-auto-playlist-source.c |  71 ++++++------------
 sources/rb-auto-playlist-source.h |   4 +-
 tests/test-widgets.c              | 147 ++++----------------------------------
 widgets/rb-query-creator.c        |  25 +++----
 widgets/rb-query-creator.h        |   4 +-
 7 files changed, 72 insertions(+), 222 deletions(-)

commit 7c176bb5e23aafd3f6852780dcafc98f0a04e543
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Jul 4 19:14:35 2013 +1000

    podcast: register boxed types for podcast parser structs

 podcast/rb-podcast-parse.c | 24 ++++++++++++++++++++++++
 podcast/rb-podcast-parse.h |  5 +++++
 2 files changed, 29 insertions(+)

commit c2f7faff0628bc83dbc5dca9b27db54af1594255
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 3 22:36:15 2013 +1000

    fix a variety of introspection annotations

 backends/gstreamer/rb-player-gst-helper.c | 20 +++++++++++++-
 bindings/gi/Makefile.am                   |  4 +++
 lib/rb-debug.c                            |  8 +++---
 lib/rb-list-model.c                       |  2 +-
 lib/rb-util.c                             | 44 +++++++++++++++----------------
 metadata/rb-ext-db-key.c                  |  6 ++---
 metadata/rb-ext-db.c                      |  4 +++
 podcast/rb-podcast-manager.c              |  8 ++++++
 rhythmdb/rhythmdb-entry-type.c            |  2 +-
 rhythmdb/rhythmdb-query-model.c           |  2 +-
 rhythmdb/rhythmdb-query-results.c         |  4 +--
 rhythmdb/rhythmdb.c                       |  4 +--
 shell/rb-application.c                    | 42 ++++++++++++++---------------
 shell/rb-shell-player.c                   |  2 +-
 shell/rb-task-list.c                      |  8 ++++++
 shell/rb-track-transfer-batch.c           |  2 +-
 shell/rb-track-transfer-queue.c           |  2 +-
 sources/rb-source-search-basic.c          |  2 +-
 sources/rb-transfer-target.c              |  2 +-
 widgets/rb-property-view.c                |  2 +-
 20 files changed, 106 insertions(+), 64 deletions(-)

commit 006f43624e2cbab0b2f028b7e2a364eb2401b8cf
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Wed Jul 3 22:38:40 2013 +0200

    Updated German translation

 po/de.po | 1154 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 588 insertions(+), 566 deletions(-)

commit e1956dd067da549301558c8c19e5ae3e9e17ed3f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Jul 2 19:42:24 2013 +1000

    playlist-manager: link shared menus into the playlist menu

 shell/rb-playlist-manager.c | 1 +
 1 file changed, 1 insertion(+)

commit 1061942c47662a9ff1cbf2a9f67825bf338a7302
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 1 23:01:38 2013 +1000

    remove unused icons

 configure.ac                                       |    9 -
 data/icons/hicolor/16x16/Makefile.am               |    2 +-
 data/icons/hicolor/16x16/actions/Makefile.am       |   26 -
 .../hicolor/16x16/actions/audio-cd-duplicate.png   |  Bin 927 -> 0 bytes
 .../hicolor/16x16/actions/audio-cd-duplicate.svg   |  273 --
 data/icons/hicolor/16x16/actions/audio-cd-new.png  |  Bin 869 -> 0 bytes
 data/icons/hicolor/16x16/actions/audio-cd-new.svg  |  426 ---
 .../hicolor/16x16/actions/internet-radio-new.png   |  Bin 707 -> 0 bytes
 .../hicolor/16x16/actions/internet-radio-new.xcf   |  Bin 3091 -> 0 bytes
 data/icons/hicolor/16x16/actions/media-eject.png   |  Bin 531 -> 0 bytes
 .../16x16/actions/playlist-automatic-new.png       |  Bin 775 -> 0 bytes
 .../16x16/actions/playlist-automatic-new.xcf       |  Bin 2675 -> 0 bytes
 data/icons/hicolor/16x16/actions/playlist-new.png  |  Bin 733 -> 0 bytes
 data/icons/hicolor/16x16/actions/playlist-new.xcf  |  Bin 2689 -> 0 bytes
 data/icons/hicolor/16x16/actions/podcast-new.png   |  Bin 875 -> 0 bytes
 data/icons/hicolor/16x16/actions/podcast-new.xcf   |  Bin 2934 -> 0 bytes
 data/icons/hicolor/16x16/places/Makefile.am        |   22 -
 .../16x16/places/library-internet-radio.png        |  Bin 494 -> 0 bytes
 .../16x16/places/library-internet-radio.xcf        |  Bin 4209 -> 0 bytes
 .../icons/hicolor/16x16/places/library-podcast.png |  Bin 870 -> 0 bytes
 .../icons/hicolor/16x16/places/library-podcast.svg |  237 --
 data/icons/hicolor/16x16/places/music-library.png  |  Bin 971 -> 0 bytes
 .../hicolor/16x16/places/playlist-automatic.png    |  Bin 680 -> 0 bytes
 .../hicolor/16x16/places/playlist-automatic.svg    |  282 --
 data/icons/hicolor/16x16/places/playlist.png       |  Bin 566 -> 0 bytes
 data/icons/hicolor/16x16/places/playlist.svg       |  346 --
 data/icons/hicolor/22x22/Makefile.am               |    2 +-
 data/icons/hicolor/22x22/actions/Makefile.am       |   25 -
 .../hicolor/22x22/actions/audio-cd-duplicate.png   |  Bin 1455 -> 0 bytes
 .../hicolor/22x22/actions/audio-cd-duplicate.svg   |  292 --
 data/icons/hicolor/22x22/actions/audio-cd-new.png  |  Bin 1388 -> 0 bytes
 data/icons/hicolor/22x22/actions/audio-cd-new.svg  |  456 ---
 .../hicolor/22x22/actions/internet-radio-new.png   |  Bin 1149 -> 0 bytes
 .../hicolor/22x22/actions/internet-radio-new.xcf   |  Bin 3025 -> 0 bytes
 .../22x22/actions/playlist-automatic-new.png       |  Bin 1077 -> 0 bytes
 .../22x22/actions/playlist-automatic-new.xcf       |  Bin 2918 -> 0 bytes
 data/icons/hicolor/22x22/actions/playlist-new.png  |  Bin 1016 -> 0 bytes
 data/icons/hicolor/22x22/actions/playlist-new.xcf  |  Bin 2890 -> 0 bytes
 data/icons/hicolor/22x22/actions/podcast-new.png   |  Bin 1458 -> 0 bytes
 data/icons/hicolor/22x22/actions/podcast-new.xcf   |  Bin 3430 -> 0 bytes
 data/icons/hicolor/22x22/places/Makefile.am        |   21 -
 .../22x22/places/library-internet-radio.png        |  Bin 929 -> 0 bytes
 .../22x22/places/library-internet-radio.svg        |  595 ----
 .../icons/hicolor/22x22/places/library-podcast.png |  Bin 1449 -> 0 bytes
 .../icons/hicolor/22x22/places/library-podcast.svg |  324 --
 .../hicolor/22x22/places/playlist-automatic.png    |  Bin 837 -> 0 bytes
 .../hicolor/22x22/places/playlist-automatic.svg    |  317 --
 data/icons/hicolor/22x22/places/playlist.png       |  Bin 671 -> 0 bytes
 data/icons/hicolor/22x22/places/playlist.svg       |  299 --
 data/icons/hicolor/24x24/Makefile.am               |    2 +-
 data/icons/hicolor/24x24/places/Makefile.am        |   11 -
 data/icons/hicolor/24x24/places/music-library.png  |  Bin 1563 -> 0 bytes
 data/icons/hicolor/32x32/Makefile.am               |    2 +-
 data/icons/hicolor/32x32/actions/Makefile.am       |   23 -
 .../hicolor/32x32/actions/audio-cd-duplicate.png   |  Bin 2213 -> 0 bytes
 .../hicolor/32x32/actions/audio-cd-duplicate.svg   |  293 --
 data/icons/hicolor/32x32/actions/audio-cd-new.png  |  Bin 2257 -> 0 bytes
 data/icons/hicolor/32x32/actions/audio-cd-new.svg  |  373 --
 .../hicolor/32x32/actions/internet-radio-new.png   |  Bin 1868 -> 0 bytes
 .../hicolor/32x32/actions/internet-radio-new.svg   | 1308 -------
 .../32x32/actions/playlist-automatic-new.png       |  Bin 1462 -> 0 bytes
 .../32x32/actions/playlist-automatic-new.svg       | 1526 --------
 data/icons/hicolor/32x32/actions/playlist-new.png  |  Bin 1285 -> 0 bytes
 data/icons/hicolor/32x32/actions/playlist-new.svg  | 1515 --------
 data/icons/hicolor/32x32/places/Makefile.am        |   19 -
 .../32x32/places/library-internet-radio.png        |  Bin 1664 -> 0 bytes
 .../32x32/places/library-internet-radio.svg        | 1274 -------
 .../hicolor/32x32/places/playlist-automatic.png    |  Bin 1223 -> 0 bytes
 .../hicolor/32x32/places/playlist-automatic.svg    |  318 --
 data/icons/hicolor/32x32/places/playlist.png       |  Bin 862 -> 0 bytes
 data/icons/hicolor/32x32/places/playlist.svg       |  307 --
 data/icons/hicolor/scalable/Makefile.am            |    2 +-
 data/icons/hicolor/scalable/actions/Makefile.am    |   18 -
 .../scalable/actions/audio-cd-duplicate.svg        |  291 --
 .../hicolor/scalable/actions/audio-cd-new.svg      |  411 ---
 .../scalable/actions/internet-radio-new.svg        | 1201 -------
 .../scalable/actions/playlist-automatic-new.svg    | 1434 --------
 .../hicolor/scalable/actions/playlist-new.svg      |  984 ------
 data/icons/hicolor/scalable/places/Makefile.am     |   16 -
 .../scalable/places/library-internet-radio.svg     | 1167 ------
 .../hicolor/scalable/places/playlist-automatic.svg |  318 --
 data/icons/hicolor/scalable/places/playlist.svg    |  327 --
 data/icons/src/Makefile.am                         |    2 +-
 data/icons/src/music-library.svg                   | 3738 --------------------
 lib/rb-stock-icons.c                               |   12 -
 lib/rb-stock-icons.h                               |   11 -
 86 files changed, 6 insertions(+), 20851 deletions(-)

commit 562a81e22ee12c840402b16d1494f710f61751bb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 1 22:54:38 2013 +1000

    display-page-tree: copy layout from GtkPlacesSidebar, remove expanders
    
    Expanders in the top level groups add a fair amount of clutter and
    aren't really all that useful.  The tree is generally ordered so that
    even if you have lots of playlists, network shares and devices, you
    don't need to scroll through them constantly.

 data/org.gnome.rhythmbox.gschema.xml |   7 -
 sources/rb-display-page-tree.c       | 315 ++++++++++++-----------------------
 2 files changed, 106 insertions(+), 216 deletions(-)

commit 4ab8c1bd45c186d71e86dcfd2abdce638ed197cc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 1 22:44:13 2013 +1000

    display-page-tree: use symbolic icons instead of pixbufs
    
    All sources and other pages now provide a GIcon instance instead
    of a GdkPixbuf.  Most of the icons are part of the GNOME icon
    theme, except for custom icons for last.fm and magnatune.

 plugins/audioscrobbler/Last.fm-icon.png            | Bin 1014 -> 0 bytes
 plugins/audioscrobbler/Last.fm-icon.svg            |  79 ---------------
 plugins/audioscrobbler/Last.fm-symbolic.svg        | 110 +++++++++++++++++++++
 plugins/audioscrobbler/Libre.fm-icon.png           | Bin 803 -> 0 bytes
 plugins/audioscrobbler/Makefile.am                 |   6 +-
 .../rb-audioscrobbler-profile-page.c               |  16 +--
 plugins/daap/rb-daap-plugin.c                      | 110 +--------------------
 plugins/daap/rb-daap-plugin.h                      |   2 +-
 plugins/daap/rb-daap-source.c                      |  31 +++---
 plugins/daap/rb-dacp-pairing-page.c                |  13 +--
 plugins/grilo/rb-grilo-plugin.c                    |   1 +
 plugins/grilo/rb-grilo-source.c                    |   1 +
 plugins/ipod/rb-ipod-source.c                      |  21 +---
 plugins/iradio/rb-iradio-source.c                  |  17 +---
 plugins/magnatune/Makefile.am                      |  11 +--
 .../icons/hicolor/24x24/places/magnatune.png       | Bin 1062 -> 0 bytes
 plugins/magnatune/magnatune-symbolic.svg           |  84 ++++++++++++++++
 plugins/magnatune/magnatune.py                     |   9 +-
 plugins/mtpdevice/rb-mtp-source.c                  |  13 +--
 plugins/visualizer/rb-visualizer-page.c            |  14 +--
 podcast/rb-podcast-main-source.c                   |  18 +---
 podcast/rb-podcast-source.c                        |  18 +---
 sources/rb-auto-playlist-source.c                  |  28 +-----
 sources/rb-device-source.c                         |  50 ++--------
 sources/rb-display-page-tree.c                     |  65 +++++++-----
 sources/rb-display-page.c                          |  54 ++++++----
 sources/rb-display-page.h                          |   4 +-
 sources/rb-import-errors-source.c                  |  13 +--
 sources/rb-library-source.c                        |  19 +---
 sources/rb-missing-files-source.c                  |  13 +--
 sources/rb-play-queue-source.c                     |   1 -
 sources/rb-source.h                                |   2 -
 sources/rb-static-playlist-source.c                |  29 +-----
 33 files changed, 331 insertions(+), 521 deletions(-)

commit 709cdbf77fd9625f230926bf310f45c068e6bedb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 1 22:35:00 2013 +1000

    display-page-model: update parent rows on visibility changes
    
    This makes showing and hiding of expanders more reliable.

 sources/rb-display-page-model.c | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit 483f37c0d749afb04df0845059fe9607f295a552
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 1 22:32:12 2013 +1000

    stop including rb-stock-icons.h everywhere

 plugins/generic-player/rb-generic-player-plugin.c | 1 -
 plugins/ipod/rb-ipod-plugin.c                     | 1 -
 plugins/mtpdevice/rb-mtp-plugin.c                 | 1 -
 shell/rb-playlist-manager.c                       | 1 -
 shell/rb-shell-clipboard.c                        | 1 -
 shell/rb-shell-player.c                           | 1 -
 tests/test-rhythmdb-view.c                        | 1 -
 widgets/rb-dialog.c                               | 1 -
 widgets/rb-entry-view.c                           | 1 -
 widgets/rb-property-view.c                        | 1 -
 10 files changed, 10 deletions(-)

commit 5787b2bd883d74033056011a7368bb2385675f87
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 1 22:25:57 2013 +1000

    restyle the playback controls
    
    Use raised linked buttons with symbolic icons rather than the default
    flat buttons.  While we're here, use rtl icons for the buttons when
    appropriate (https://bugzilla.gnome.org/show_bug.cgi?id=702627) and
    position the volume control correctly in the rtl layout.

 data/ui/main-toolbar.ui | 203 ++++++++++++++++++++++++++++++------------------
 shell/rb-shell.c        |  57 ++++++++++++--
 widgets/rb-entry-view.c |   2 +-
 widgets/rb-header.c     |   8 +-
 4 files changed, 186 insertions(+), 84 deletions(-)

commit bf2a1bec0b48b8a0c77f6a5d9877e2bfc872eb4b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 26 23:24:33 2013 +1000

    button-bar: watch for model changes properly
    
    The top level GMenu doesn't notify of changes to its nested children, so we
    need to watch all of the GMenu instances that make up the button bar.  On
    changes we disconnect and reconnect all the signal handlers.
    
    The buttons and separators added to the grid need to be shown, otherwise items
    added after the bar is shown initially don't appear.
    
    Adding a separator at the start of the bar creates an ugly effect that sort of
    looks like an extension of the GtkPaned handle, so we don't do that.

 widgets/rb-button-bar.c | 60 ++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 45 insertions(+), 15 deletions(-)

commit 548e3f81b5e21ad8a68a17b16980568cfa986002
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Mon Jun 24 07:58:22 2013 +0300

    Updated Greek translation

 po/el.po | 8518 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 4598 insertions(+), 3920 deletions(-)

commit e38f4f7c535a1b61f6787e5eda305cda2c6600cf
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Mon Jun 24 01:05:23 2013 +0900

    l10n: Update Japanese translation

 po/ja.po | 388 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 210 insertions(+), 178 deletions(-)

commit 8dfeee2dc45992b8302ad73e60f2fffe80d5e72c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jun 22 16:18:09 2013 +1000

    entry-view: allow the bpm column to be retrieved
    
    also put the columns in the right order in various places.
    patch originally from foss.freedom@gmail.com
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702679

 widgets/rb-entry-view.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 49859b053c880b3ac1ff00542cc35a06738b870f
Author: Danishka Navin <danishka@gmail.com>
Date:   Sat Jun 22 01:08:02 2013 +0900

    l10n: Add Sinhala translation

 po/LINGUAS |    1 +
 po/si.po   | 4478 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 4479 insertions(+)

commit a1cffc631b3516ed4e525c6c18b92ce0ecff5f5f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jun 20 15:37:30 2013 +0200

    Fix Slovenian translation

 po/sl.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 83562a5ce900a8b4c123b9825d5f7b48d5df58e8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jun 16 15:19:31 2013 +1000

    use the right action for podcast feed properties

 data/ui/podcast-popups.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d78b2db2762becc2556c454e8ae7f12521eb8f1f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jun 10 22:14:31 2013 +1000

    metadata: read and write date tags properly

 metadata/rb-metadata-gst-common.c |  4 +--
 metadata/rb-metadata-gst.c        | 65 ++++++++++++++++++++++++++++++++++-----
 2 files changed, 60 insertions(+), 9 deletions(-)

commit 02dc9338d7a286ff3451229df2ea897d0974e2fc
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Jun 8 20:20:47 2013 +0200

    Updated Czech translation

 po/cs.po | 955 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 476 insertions(+), 479 deletions(-)

commit 051d8b96bc4e9758f15c28f4739fd91494429a00
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Jun 6 16:00:48 2013 +0200

    Updated Galician translations

 po/gl.po | 764 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 398 insertions(+), 366 deletions(-)

commit e2cab78b397fb6ecf60e1a7406deed5809a5342a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 5 08:28:17 2013 +1000

    clipboard: don't replace the playlist menu if it's not changing
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701395

 shell/rb-shell-clipboard.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 5384d4e51a69a9b65034449844329634f5e28fa3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 5 08:17:09 2013 +1000

    auto-playlist: enable add to playlist menu here too

 sources/rb-auto-playlist-source.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 2d04fb502ebcc14e434b1e9ad04e6379ef291eac
Author: Kiatkachorn Ratanatharathorn <kratanat@gmail.com>
Date:   Tue Jun 4 14:45:49 2013 +0700

    Updated Thai translation.

 po/th.po | 3532 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1837 insertions(+), 1695 deletions(-)

commit 67899c221cab2c26ecbaafc0845b2818c2518fc6
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jun 3 21:02:32 2013 +1000

    autogen: fail noisily if yelp-tools can't be found

 autogen.sh | 7 +++++++
 1 file changed, 7 insertions(+)

commit 1d5d9c98f8001077c9f75b4c4d545af8dce50707
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Wed May 29 14:21:59 2013 +0100

    import-dialog: connect the right signal to get currently selected folder
    
    Instead of using the current-directory-changed signal on
    GtkFileChooserButton, use the selection-changed signal which is
    emitted both when a preselected directory is clicked by the user and
    also when the file selection dialog is opened by the user.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701194

 widgets/rb-import-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e58a402452dc9fce2e5afee72b9fd18165375b7d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu May 30 21:41:08 2013 +1000

    task-list-display: list tasks vertically, not horizontally

 widgets/rb-task-list-display.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit abbdc472bb45f007537ae3a6cc1157bf3ba08d13
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon May 27 13:55:01 2013 +0200

    Updated Spanish translation

 po/es.po | 428 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 228 insertions(+), 200 deletions(-)

commit 972801b4462726268a0bd6173d70b108b1fbab5b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun May 26 18:41:27 2013 +1000

    play-queue: hook up plugin menus properly
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701032

 sources/rb-play-queue-source.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 8227ad6412182b07a4abd51c0fd071462c5947af
Author: Javi Ribera <javiribera@gmail.com>
Date:   Sat May 25 18:55:47 2013 +0200

    [l10n] Add Catalan documentation

 help/Makefile.am |    2 +-
 help/ca/ca.po    | 3269 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 3270 insertions(+), 1 deletion(-)

commit ee8a7a1871829de84703293d0a3fc2c54e9b7fd5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat May 25 18:36:04 2013 +0200

    Updated Polish translation

 po/pl.po | 372 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 202 insertions(+), 170 deletions(-)

commit d2cad99b2badeca70a6883161039fa40e82f818c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 14 14:47:57 2013 +1000

    add search by composer to search menus

 sources/rb-auto-playlist-source.c   | 2 ++
 sources/rb-browser-source.c         | 2 ++
 sources/rb-static-playlist-source.c | 2 ++
 3 files changed, 6 insertions(+)

commit b708659815ed4c133f381eeaf5cda2a29747a8bb
Author: David Mooter <theexternvoid@gmail.com>
Date:   Mon Apr 8 17:40:37 2013 -0400

    Add composer tag support
    
    * View and edit the composer tag and composer sort tag in the two song info
    dialogs.
    * Preferences can add composer as a column to the library browser.
    * Ability to sort the library by the composer column.
    * Search results include composer tag.
    * Ability to use composer as a parameter in automatic playlists.
    * Incremented version to 1.9 for rhythm DB, reloads all metadata so as to get
    the composer into the DB.
    * Italian translation of a few new strings related to composer. (It's my other
    language, might as well do that, too.)
    
    Plug-ins:
    * iPod support was programmed and tested. Composer tag is now copied to the
    iTunes DB on the iPod.

 data/ui/general-prefs.ui              |  60 ++++++++++++-------
 data/ui/song-info-multiple.ui         |  89 ++++++++++++++++++++++------
 data/ui/song-info.ui                  | 105 ++++++++++++++++++++++++++--------
 metadata/rb-metadata-common.c         |   6 ++
 metadata/rb-metadata-gst-common.c     |   8 +++
 metadata/rb-metadata.h                |   2 +
 plugins/ipod/rb-ipod-source.c         |  15 +++++
 po/it.po                              |   9 +++
 rhythmdb/rhythmdb-private.h           |   2 +
 rhythmdb/rhythmdb-property-model.c    |  22 +++++++
 rhythmdb/rhythmdb-query-model.c       |  45 +++++++++++++++
 rhythmdb/rhythmdb-query-model.h       |   4 ++
 rhythmdb/rhythmdb-query.c             |   1 +
 rhythmdb/rhythmdb-tree.c              |  18 +++++-
 rhythmdb/rhythmdb.c                   |  55 +++++++++++++++++-
 rhythmdb/rhythmdb.h                   |   7 +++
 shell/rb-shell-preferences.c          |   1 +
 sources/rb-browser-source.c           |   1 +
 sources/rb-playlist-source.c          |   1 +
 widgets/rb-entry-view.c               |  15 +++++
 widgets/rb-entry-view.h               |   3 +-
 widgets/rb-query-creator-properties.c |   2 +
 widgets/rb-song-info.c                |  78 ++++++++++++++++++++++++-
 23 files changed, 481 insertions(+), 68 deletions(-)

commit 0b6ae7d95e58163e184326cb5d434f13c0b665ed
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 21 08:25:08 2013 +1000

    grilo: ignore the rai.tv plugin

 plugins/grilo/rb-grilo-plugin.c | 1 +
 1 file changed, 1 insertion(+)

commit 3d213d4517c5f5b1224ebc1a77939c2b68169770
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat May 18 22:15:47 2013 +0400

    Updated Russian translation

 po/ru.po | 269 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 145 insertions(+), 124 deletions(-)

commit 99c31123a01995ca83aadddbf370e7093d674ad4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri May 17 13:36:12 2013 +0200

    Updated Spanish translation

 po/es.po | 750 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 352 insertions(+), 398 deletions(-)

commit 4b88535279b6f8f2ced719b893fa24c7d1d0de13
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Fri May 17 11:26:20 2013 +0900

    l10n: Update Japanese translation

 po/ja.po | 711 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 330 insertions(+), 381 deletions(-)

commit fd6a4bc640ee505f92ff9c57b069902c1683e9e2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri May 17 08:45:20 2013 +1000

    avoid doing work in class init functions
    
    Class init functions are called as part of the introspection
    process.  During the build process we might not have a display
    to talk to, so we need to avoid doing anything that requires
    gdk to connect to the display.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700177

 rhythmdb/rhythmdb-property-model.c | 34 +++++++++++++++++-----------------
 rhythmdb/rhythmdb-query-model.c    | 10 +++++-----
 sources/rb-display-page-model.c    |  7 +++----
 widgets/rb-cell-renderer-rating.c  |  8 ++++++--
 widgets/rb-rating-helper.c         |  4 ++--
 widgets/rb-rating-helper.h         |  2 +-
 widgets/rb-rating.c                |  2 +-
 7 files changed, 35 insertions(+), 32 deletions(-)

commit 09f835576b1778bb4c74ec9c23b29917066bcc31
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Thu May 16 02:50:14 2013 +0100

    shell: fix window unmaximize behavior
    
    When double clicking the title bar of the maximized main window, the
    window is unmaximized and then instantaneously remaximized.
    
    This is because at the end of rb_shell_window_state_cb() we call
    rb_shell_sync_window_state() which read the window size saved values
    from GSettings and reapplies them to the window. But because the
    window was previously maximized, and the ConfigureNotify event hasn't
    happen yet, the saved values are the ones from the maximized state.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700424

 shell/rb-shell.c | 1 -
 1 file changed, 1 deletion(-)

commit a8bfd0c530b33206d7a6e1012590f92668fa9da3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu May 16 12:57:27 2013 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 528 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 247 insertions(+), 281 deletions(-)

commit 3e737302879bb7f6f854a49d4793be89a309fc53
Author: Rodney Dawes <dobey@gnome.org>
Date:   Wed May 15 17:13:56 2013 -0400

    Create the m4 dir to prevent gtkdocize failing.

 autogen.sh | 3 +++
 1 file changed, 3 insertions(+)

commit 86cbdc8cb232a47430c684175029fe56928ea471
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed May 15 22:20:30 2013 +1000

    notification: skip useless notifications on shutdown

 plugins/notification/rb-notification-plugin.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit e111135aa0cd1cc701a49b664386c9aede066fc8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed May 15 20:45:08 2013 +1000

    track-transfer-queue: missing null check
    
    if there's no current batch, we definitely don't need to cancel it

 shell/rb-track-transfer-queue.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 024e6013fe2a10717e861d5b90fc786823f0bf45
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed May 15 12:32:00 2013 +0200

    Updated Serbian translation

 po/sr.po       | 695 +++++++++++++++++++++++++--------------------------------
 po/sr@latin.po | 695 +++++++++++++++++++++++++--------------------------------
 2 files changed, 620 insertions(+), 770 deletions(-)

commit 3ab75e6d1c5a1d12bfdf47227fb6bbfa26e23af8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 9 16:03:24 2013 +0200

    man: Remove --quit option
    
    It's not in Rhythmbox anymore.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700017

 data/rhythmbox.1 | 3 ---
 1 file changed, 3 deletions(-)

commit b7dcbe605c22a6f370ce1c47d3bd92264e782a57
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue May 14 18:39:34 2013 +0200

    Updated Polish translation

 po/pl.po | 597 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 281 insertions(+), 316 deletions(-)

commit 02d7e956e6925b8e4ed194571ea0038132398fcc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue May 14 18:35:51 2013 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 281f7fc5767c6e1d1f89e92e0e0434311682bb79
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 14 22:48:24 2013 +1000

    fix up some missing includes

 sources/rb-library-source.c | 1 +
 widgets/rb-import-dialog.c  | 1 +
 2 files changed, 2 insertions(+)

commit fa5ca160f4118c13e672781ce56bac571376f62b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 14 22:34:26 2013 +1000

    shell: cancel outstanding transfers to or from deleted sources

 shell/rb-shell.c                |  2 ++
 shell/rb-track-transfer-queue.c | 20 ++++++++++++++++++++
 shell/rb-track-transfer-queue.h |  2 ++
 3 files changed, 24 insertions(+)

commit 308b51ba6618e115f8852d22253a79a9e6860a6a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 14 22:31:35 2013 +1000

    magnatune: use task list for catalog loading and downloads
    
    Downloads can be cancelled using the task list, so we don't need
    buttons or menu items to do that any more.

 plugins/magnatune/MagnatuneSource.py   | 97 ++++++++++++----------------------
 plugins/magnatune/magnatune-popup.ui   |  4 --
 plugins/magnatune/magnatune-toolbar.ui |  4 --
 plugins/magnatune/magnatune.py         |  9 ----
 4 files changed, 33 insertions(+), 81 deletions(-)

commit ba68c7164c5e36abc9e469642eea99bc7cefafe5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 14 22:31:01 2013 +1000

    daap: report connection status through the task list

 plugins/daap/rb-daap-source.c | 55 +++++++++++++++++--------------------------
 1 file changed, 22 insertions(+), 33 deletions(-)

commit 835db7ef88b4105ba6ef5030bd74f88e7b10ad75
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 14 22:29:58 2013 +1000

    track-transfer-batch: add RBTaskProgress interface
    
    and make things that use transfer batches report progress through
    the task list.

 shell/rb-track-transfer-batch.c  | 100 +++++++++++++++++++++++++++++++++++++--
 sources/rb-library-source.c      |   9 +++-
 sources/rb-media-player-source.c |  10 ++++
 sources/rb-transfer-target.c     |  19 +++++++-
 4 files changed, 132 insertions(+), 6 deletions(-)

commit 207264fd7324e5a54b9879caa08fd74bdb172b78
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 14 22:25:00 2013 +1000

    rhythmdb: add RBTaskProgress interface to RhythmDBImportJob
    
    and convert things that used it to reporting progress through
    the task list.

 plugins/generic-player/rb-generic-player-source.c |  40 ++++----
 po/POTFILES.in                                    |   1 +
 rhythmdb/rhythmdb-import-job.c                    | 109 ++++++++++++++++++++-
 sources/rb-library-source.c                       |  32 +++----
 sources/rb-source.c                               |  24 -----
 sources/rb-source.h                               |   5 -
 widgets/rb-import-dialog.c                        | 112 +++++-----------------
 7 files changed, 161 insertions(+), 162 deletions(-)

commit 3d8fdababe904a071e59af17521411062d61b0b3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 14 22:15:18 2013 +1000

    shell: remove progress display from the statusbar
    
    The task list is going to replace this.  Mostly.

 rhythmdb/rhythmdb.c             |  45 --------------
 rhythmdb/rhythmdb.h             |   2 -
 shell/rb-shell.c                |   3 +-
 shell/rb-statusbar.c            | 126 ++--------------------------------------
 shell/rb-statusbar.h            |   3 +-
 shell/rb-track-transfer-queue.c |  54 -----------------
 shell/rb-track-transfer-queue.h |   5 --
 7 files changed, 6 insertions(+), 232 deletions(-)

commit d345e82a56133d064a07efc86514cfaf169694d5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 14 22:11:02 2013 +1000

    shell: add a task list controller and display

 shell/rb-shell.c | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)

commit 3df446a27ea6b23d6c6650440d313815d5b3ec9e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 14 22:00:27 2013 +1000

    add a task list controller
    
    This contains the (minimal) logic for updating the task list model.

 bindings/gi/Makefile.am |   2 +
 shell/Makefile.am       |   2 +
 shell/rb-task-list.c    | 212 ++++++++++++++++++++++++++++++++++++++++++++++++
 shell/rb-task-list.h    |  58 +++++++++++++
 4 files changed, 274 insertions(+)

commit 7c9444746cb01cc4a3be9b19cb832f7129ab4ff5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 14 21:55:33 2013 +1000

    add a task list display widget
    
    This displays tasks (things that implement the RBTaskProgress
    interface) stored in a list model.

 widgets/Makefile.am            |   6 +-
 widgets/rb-task-list-display.c | 243 +++++++++++++++++++++++++++++++++++++++++
 widgets/rb-task-list-display.h |  66 +++++++++++
 3 files changed, 313 insertions(+), 2 deletions(-)

commit 4ae376525d154b1df3fb99996127250f7199e961
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 14 21:06:34 2013 +1000

    add an interface for reporting task progress
    
    RBTaskProgress consists of a few properties that can be used to
    construct a list of tasks with progress bars for each.  Tasks
    can also be cancellable.
    
    RBTaskProgressSimple is a GObject that implements the interface.
    It can be used to represent tasks that aren't bound to the lifecycle
    of an existing object.

 bindings/gi/Makefile.am       |   4 +
 lib/Makefile.am               |   6 +-
 lib/rb-task-progress-simple.c | 214 ++++++++++++++++++++++++++++++++++++++++++
 lib/rb-task-progress-simple.h |  64 +++++++++++++
 lib/rb-task-progress.c        | 118 +++++++++++++++++++++++
 lib/rb-task-progress.h        |  67 +++++++++++++
 6 files changed, 472 insertions(+), 1 deletion(-)

commit 89080a83ba19102d333fb5346d795f576b2674eb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 14 20:43:24 2013 +1000

    add simple list model

 lib/Makefile.am     |   4 +-
 lib/rb-list-model.c | 279 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 lib/rb-list-model.h |  64 ++++++++++++
 3 files changed, 346 insertions(+), 1 deletion(-)

commit 3b40c57806386960d3545c841508b58615b5c71a
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Tue May 14 09:07:42 2013 +0400

    Updated Russian translation

 po/ru.po | 3287 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 1317 insertions(+), 1970 deletions(-)

commit bb5c77015354e4c9ae456edcf70b5368af778ad3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun May 5 11:57:42 2013 +1000

    library: handle settings changes before preferences widgets exist

 sources/rb-library-source.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 5db9b4981286a8174c4aa803dc2927a1db72dc10
Author: A S Alam <aalam@users.sf.net>
Date:   Wed May 1 20:44:25 2013 +0530

    update Punjabi Translation

 po/pa.po | 2998 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 1456 insertions(+), 1542 deletions(-)

commit 058a4c43a4741f5650c737be44d05566fe6fc236
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Apr 30 09:55:19 2013 +0200

    Updated Czech translation

 help/cs/cs.po | 3225 +++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 2198 insertions(+), 1027 deletions(-)

commit e87c1c3b27d23ce74ac9e6d1c644f84d699063f5
Author: Žygimantas Beručka <uid0@akl.lt>
Date:   Thu Apr 25 17:13:44 2013 +0300

    Updated Lithuanian translation

 po/lt.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b35c50820f970335b0ce11182880f9f4cc01771
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Apr 24 08:36:15 2013 +1000

    autogen: call gtkdocize first
    
    distcheck works again!

 autogen.sh | 7 +++++++
 1 file changed, 7 insertions(+)

commit 55c365740dfbbc7f3a0eb19f83927bea70059c5a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 23 23:04:26 2013 +1000

    update gitignore a bit

 .gitignore | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 34c0bad8d5922ad52e269f5e7a684d462aa89eb6
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Apr 21 23:56:01 2013 +0300

    Updated Latvian translation

 po/lv.po | 2830 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1417 insertions(+), 1413 deletions(-)

commit b6e722edba55a7f2d6a122f6a2a326392924021b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 21 09:38:42 2013 +1000

    context: remove read more/read less
    
    As far as I can tell the only difference between the full bio
    and the summary is that the full bio contains a licensing statement.

 plugins/context/tmpl/artist-tmpl.html | 19 -------------------
 1 file changed, 19 deletions(-)

commit 4216fec4aa0232643a8b647b052e156737dbca00
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 21 09:37:05 2013 +1000

    context: fix track duration formatting

 plugins/context/tmpl/album-tmpl.html | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6e25222b801162fec029ce2cbb47c8c34f8ae1b0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 21 09:36:30 2013 +1000

    context: don't request similar artists or top albums

 plugins/context/ArtistTab.py | 32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

commit e6ee47526346c579d2edd2693c129f02e9c2d599
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 21 09:35:06 2013 +1000

    context: remove unnecessary debug prints

 plugins/context/AlbumTab.py | 3 ---
 1 file changed, 3 deletions(-)

commit ed7b67b6af38c45e1d4c9cf26398de6830332159
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 20 23:25:07 2013 +1000

    context: ask last.fm for json responses rather than xml
    
    minidom wasn't up to the job, json is easier.

 plugins/context/AlbumTab.py          | 136 ++++++++++++++---------------------
 plugins/context/ArtistTab.py         |  83 +++++----------------
 plugins/context/tmpl/album-tmpl.html |  12 ++--
 3 files changed, 74 insertions(+), 157 deletions(-)

commit 35e83b9745d816e51c1f26242e1c534567da4ae3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 20 23:23:19 2013 +1000

    context: remove the top five list

 plugins/context/ContextView.py | 71 ++----------------------------------------
 1 file changed, 3 insertions(+), 68 deletions(-)

commit 96d861eeaaa44960945345bdda37cc846c2d6a54
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 20 23:21:19 2013 +1000

    rb.URLCache: store cache data items as binary

 plugins/rb/URLCache.py | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 29b4c6d6e4eeade588f96a83bf584245b041c328
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 20 12:14:24 2013 +1000

    lyrics: more python3 updates

 plugins/lyrics/lyrics.py | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 323830bcc51c90e0f4c648bc9b7c2cddca85b373
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Apr 19 22:45:50 2013 +1000

    magnatune: more python3 conversion

 plugins/magnatune/MagnatuneAccount.py |  4 ++--
 plugins/magnatune/MagnatuneSource.py  | 24 ++++++++++++++----------
 2 files changed, 16 insertions(+), 12 deletions(-)

commit 278595b2e3a254bd167b95258793c604675185c1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Apr 18 18:42:46 2013 +1000

    convert sample python plugin to python 3

 sample-plugins/sample-python/sample-python.py | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit f71e871556a11adbd526368e3c1fc69a237abac8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Apr 17 08:39:06 2013 +1000

    chunk-loader: provide chunks as GBytes instances rather than GStrings
    
    We don't want chunks to be interpreted as utf8 strings in python.

 lib/rb-chunk-loader.c                | 13 +++++++------
 lib/rb-chunk-loader.h                |  2 +-
 plugins/magnatune/MagnatuneSource.py |  6 +++---
 3 files changed, 11 insertions(+), 10 deletions(-)

commit 4ce2a9d68d1ca4810670d76bb16d5d727ecb353f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 16 22:48:23 2013 +1000

    im-status: remove some useless encoding stuff

 plugins/im-status/im-status.py | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 53bdc5d63e109c4df265cd8435e6c26f1122d185
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 16 22:34:57 2013 +1000

    make coroutine stuff work again

 plugins/rb/Coroutine.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 71c8d7ba79a02dae10bb69520bf1ae93497a48e4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 16 20:56:36 2013 +1000

    lyrics: more python 3 porting

 plugins/lyrics/AstrawebParser.py   |  9 ++---
 plugins/lyrics/DarkLyricsParser.py |  6 ++--
 plugins/lyrics/JetlyricsParser.py  | 72 ++++++++++++++++++++------------------
 plugins/lyrics/JlyricParser.py     | 63 +++++++++++++++++----------------
 plugins/lyrics/LyricWikiParser.py  |  8 ++---
 plugins/lyrics/LyricsParse.py      |  3 --
 plugins/lyrics/TerraParser.py      | 21 ++++++-----
 plugins/lyrics/WinampcnParser.py   | 24 ++++---------
 plugins/lyrics/lyrics.py           |  6 ++--
 9 files changed, 101 insertions(+), 111 deletions(-)

commit 82aa9a77690ff536ef14aa328110e54e1549798a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Tue Apr 16 09:47:37 2013 +0200

    Port song lyrics plugin to python 3

 plugins/lyrics/AstrawebParser.py        |  4 ++--
 plugins/lyrics/LyricsConfigureDialog.py | 10 +++++-----
 plugins/lyrics/LyricsParse.py           |  8 ++++----
 plugins/lyrics/TerraParser.py           |  6 +++---
 plugins/lyrics/WinampcnParser.py        | 12 ++++++------
 plugins/lyrics/lyrics.py                |  2 +-
 6 files changed, 21 insertions(+), 21 deletions(-)

commit 148183eabe7a2f22ed6c93c2c2803f40ffadb3fd
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 16 09:14:25 2013 +1000

    magnatune: more python3 fixes

 plugins/magnatune/MagnatuneSource.py  |  8 ++++----
 plugins/magnatune/TrackListHandler.py | 10 +++++-----
 2 files changed, 9 insertions(+), 9 deletions(-)

commit fd0dfd5eadea9a3d97e24dfde51f1be842b462b2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 15 22:32:11 2013 +1000

    convert sendto plugin to python3

 plugins/sendto/sendto.py | 66 ++++++++++++++++++++++++------------------------
 1 file changed, 33 insertions(+), 33 deletions(-)

commit 58f6d778bc62aa3e5f94bd3cab8c45d284e25304
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 15 22:32:00 2013 +1000

    convert replaygain plugin to python3

 plugins/replaygain/config.py |  2 +-
 plugins/replaygain/player.py | 24 ++++++++++++------------
 2 files changed, 13 insertions(+), 13 deletions(-)

commit 92ca58375af2188a9ce1c07fd0c7d436ce3baaee
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 15 22:09:48 2013 +1000

    various python3 fixes

 plugins/artsearch/musicbrainz.py     | 5 +++--
 plugins/context/AlbumTab.py          | 6 +++---
 plugins/context/ArtistTab.py         | 4 ++--
 plugins/context/ContextView.py       | 2 +-
 plugins/context/LinksTab.py          | 8 ++++----
 plugins/context/LyricsTab.py         | 2 +-
 plugins/context/tmpl/album-tmpl.html | 4 ++--
 plugins/magnatune/MagnatuneSource.py | 8 ++++----
 plugins/rbzeitgeist/rbzeitgeist.py   | 4 ++--
 9 files changed, 22 insertions(+), 21 deletions(-)

commit 8437453a869928e296eaa33e5572d15ef7cb69f3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 23:22:54 2013 +0200

    Depend on python 3.2.3

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9a466ebff1071e4e0e14b10426485f4761befcb9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 11:28:44 2013 +0200

    Port Magnatune to python 3

 plugins/magnatune/MagnatuneAccount.py |  4 +--
 plugins/magnatune/MagnatuneSource.py  | 53 +++++++++++++++++------------------
 plugins/magnatune/TrackListHandler.py |  4 +--
 plugins/magnatune/magnatune.py        |  6 ++--
 4 files changed, 33 insertions(+), 34 deletions(-)

commit 193d96fa8fd8b8bb7730fdbd48bacfe7ccaf8091
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 11:16:31 2013 +0200

    Port im-status to python 3

 plugins/im-status/im-status.py | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 83e416696154ee94303af7a13cb86e4b82d53a0e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 11:12:10 2013 +0200

    Port context plugin to python 3

 plugins/context/AlbumTab.py          | 24 +++++++++----------
 plugins/context/ArtistTab.py         | 22 ++++++++---------
 plugins/context/ContextView.py       | 46 ++++++++++++++++++------------------
 plugins/context/LastFM.py            | 10 ++++----
 plugins/context/LinksTab.py          |  6 ++---
 plugins/context/LyricsTab.py         |  8 +++----
 plugins/context/tmpl/album-tmpl.html |  2 +-
 plugins/rb/rb.py                     |  2 +-
 8 files changed, 60 insertions(+), 60 deletions(-)

commit 6f4b1f0f207b17d639bd0ff362f7ee9e83453da4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 10:50:17 2013 +0200

    Port artsearch plugin to python 3

 plugins/artsearch/embedded.py    | 12 ++++++------
 plugins/artsearch/lastfm.py      | 20 ++++++++++----------
 plugins/artsearch/local.py       | 22 +++++++++++-----------
 plugins/artsearch/musicbrainz.py | 18 +++++++++---------
 plugins/artsearch/oldcache.py    |  4 ++--
 5 files changed, 38 insertions(+), 38 deletions(-)

commit 4951b3e0aa4113b24ea58cb3399a4ff52d670882
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 10:42:00 2013 +0200

    Port rb to python 3

 plugins/rb/Loader.py   | 10 +++++-----
 plugins/rb/URLCache.py | 36 ++++++++++++++++++------------------
 plugins/rb/rb.py       |  7 +++----
 3 files changed, 26 insertions(+), 27 deletions(-)

commit 3933b1a216ff43d849ddaa6afacf4b141a6108f2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 10:34:25 2013 +0200

    Load python3 for rb plugin

 plugins/rb/rb.plugin | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5a06e5c4d4a6762fc768b9e8c6732a1f18121569
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 10:30:24 2013 +0200

    Port python console to python 3

 plugins/pythonconsole/pythonconsole.py | 60 +++++++++++++++++-----------------
 1 file changed, 30 insertions(+), 30 deletions(-)

commit c645437f590c86bb572175d6d502b5eb7b18a101
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 10:11:08 2013 +0200

    Use python3 loader

 plugins/artsearch/artsearch.plugin.in                | 2 +-
 plugins/context/context.plugin.in                    | 2 +-
 plugins/im-status/im-status.plugin.in                | 2 +-
 plugins/lyrics/lyrics.plugin.in                      | 2 +-
 plugins/magnatune/magnatune.plugin.in                | 2 +-
 plugins/pythonconsole/pythonconsole.plugin.in        | 2 +-
 plugins/rbzeitgeist/rbzeitgeist.plugin.in            | 2 +-
 plugins/replaygain/replaygain.plugin.in              | 2 +-
 plugins/sendto/sendto.plugin.in                      | 2 +-
 sample-plugins/sample-python/sample-python.plugin.in | 2 +-
 shell/rb-shell.c                                     | 2 +-
 11 files changed, 11 insertions(+), 11 deletions(-)

commit a2b5d2a83264094ae50e5899264c16d40d2fa2a2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 21 17:33:04 2013 +1000

    configure.ac: clean up some version requirements

 configure.ac | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 78a8cdb3e99584e903cf4238df5b2b708a8c4888
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 21 07:43:33 2013 +1000

    autogen: enable uninstalled build by default again

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4b15df0e20fc1456038cfccb57275b372bf3911e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 21 07:43:12 2013 +1000

    configure.ac: remove reference to 'macros' dir
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698460

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit a6a0fccc1f84cdaabdfecde88901c010055de8fa
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Fri Apr 19 13:03:06 2013 +0200

    Updated German help translation

 help/de/de.po | 3122 +++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 2264 insertions(+), 858 deletions(-)

commit e154c103f2053dd27863972685c860cfa0274cec
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:   Sat Apr 13 18:08:01 2013 +0100

    widget: reset elapsed time when song changes
    
    This stops a brief flicker sometimes visible where
    rb_header_playing_song_changed_cb is called before
    rb_header_elapsed_changed_cb and so the duration of the song is
    updated but the previous elapsed time still remains. It causes a
    flicker of the incorrect time remaining and the progress slider to
    briefly move to a new location.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697959

 widgets/rb-header.c | 1 +
 1 file changed, 1 insertion(+)

commit 0773baf8cea44ca81c8484007413d339dfea9a2f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Apr 17 08:58:59 2013 +1000

    shell: load uninstalled plugins before installed plugins

 shell/rb-shell.c | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit fdbcf7078b753ba2c19657880a63b8b376aa9af9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Tue Apr 16 10:12:37 2013 +0200

    Add custom css provider

 data/ui/Makefile.am            |  3 ++-
 data/ui/style.css              | 10 ++++++++++
 shell/rb-application.c         |  9 +++++++++
 shell/rb-shell.c               |  3 +++
 sources/rb-display-page-tree.c |  1 +
 5 files changed, 25 insertions(+), 1 deletion(-)

commit 3b7b15205108ea3e7816b50281778689c234a7ab
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 16 07:57:49 2013 +1000

    add missing AC_LANG_SOURCE to make autoconf shut up

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit abc3a6bf75bb1d357629bb116dac3e923fb7db75
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 22:54:58 2013 +0200

    Update some of the calls in configure.ac

 configure.ac | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 2229dbf2a2b42356199606d4ef25963a43037b99
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 22:49:14 2013 +0200

    Use a more standard m4 dir for macros

 Makefile.am         |   4 +-
 configure.ac        |   4 +-
 macros/Makefile.am  |   1 -
 macros/acinclude.m4 |   0
 macros/check.m4     | 133 ----------------------------------------------------
 macros/gsettings.m4 |  83 --------------------------------
 6 files changed, 3 insertions(+), 222 deletions(-)

commit 079a277a8b382c25792b00b7e1d540d50ce8979a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 22:48:02 2013 +0200

    Use automake 1.11

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4611e8b32a38f69a96f4fb082c40cdbc54c6efc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 22:47:11 2013 +0200

    Use autopoint

 autogen.sh | 39 +++++++++++++++++++++++++--------------
 1 file changed, 25 insertions(+), 14 deletions(-)

commit 9c4523764698f580c4065fd42eaa04bb40c745a4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 13:27:18 2013 +0200

    Use the right side for the toolbar buttons

 sources/rb-display-page-tree.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ac1a324de2cdaa68c0564015bd70430afb435d01
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 13:22:19 2013 +0200

    Use a box to pack inline buttons so they get the right style

 sources/rb-display-page-tree.c | 25 +++++++++++++++----------
 1 file changed, 15 insertions(+), 10 deletions(-)

commit a14147cb6a76162b92edf7cf1839b9d8828dc232
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 13:22:05 2013 +0200

    Do not specify shadow in page tree

 sources/rb-display-page-tree.c | 1 -
 1 file changed, 1 deletion(-)

commit 85795ac2342762bc8eed666e027b7f06a3b5b932
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:   Mon Apr 15 10:34:26 2013 +0200

    im-status: fix plugin load by using GLib.GError

 plugins/im-status/im-status.py | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e65a099056638d91ad2dfb7b9a866ee5d5e28dbe
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 15 09:14:51 2013 +0200

    Set the junction sides correctly

 sources/rb-display-page-tree.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2c77df554d45e55285c503868b0ab8b82a6d77c2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 13 17:58:53 2013 +1000

    Rhythmbox 2.99.1

 NEWS         | 15 +++++++++++++++
 README       |  2 +-
 configure.ac |  2 +-
 3 files changed, 17 insertions(+), 2 deletions(-)

commit 7293b612f96d03f8cc08741bd669ccf21c19b214
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 13 14:59:34 2013 +1000

    use gdk_event_get_device instead of gdk_event_get_source_device
    
    We don't actually care about physical devices vs virtual devices,
    we just want to know where the pointer was.  Now that we're using
    XI2 (see commit f84a33d), requesting the physical device position
    causes XI_BadDevice errors.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697915

 widgets/gossip-cell-renderer-expander.c | 2 +-
 widgets/rb-cell-renderer-pixbuf.c       | 2 +-
 widgets/rb-cell-renderer-rating.c       | 2 +-
 widgets/rb-rating.c                     | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit dc8e262b9feb7c697f78e0a6794519fe0c75004a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Apr 11 09:23:42 2013 +1000

    display-page-tree: alt-a accelerator for the add button

 sources/rb-display-page-tree.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 57bdbc596e240d3730b09cfaf9a77adb309b64c8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Apr 11 09:18:21 2013 +1000

    shell: add F10 accel for the menu button, if there's no app menu
    
    This appears to be the convention, since Web and Files both use it.

 shell/rb-shell.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 7bc71fab4d658c717fc6890094254d3a0ad8329c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Apr 11 09:17:31 2013 +1000

    edit menu: add cut/copy/paste, (de)select all, properties accels

 data/ui/edit-menu.ui | 6 ++++++
 1 file changed, 6 insertions(+)

commit 8f0e9ee1fd2c49e77d5607041451efcc231a01d2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Apr 11 09:17:12 2013 +1000

    button-bar: enable accelerators for menus attached to button bars

 widgets/rb-button-bar.c | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit dfcc4cf54e0fae8cccb202b1acbbdc34dce2a871
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Apr 11 09:15:35 2013 +1000

    application: new function for adding accelerators for menu contents

 shell/rb-application.c | 63 ++++++++++++++++++++++++++++++++++++++++++++++++++
 shell/rb-application.h |  1 +
 2 files changed, 64 insertions(+)

commit e9238cf460d0f7ed0d5d4950a564c75ff4c4596c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Apr 10 09:08:43 2013 +1000

    add alt-e as an accelerator for the 'edit' menu
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697534

 data/ui/library-toolbar.ui                       | 1 +
 data/ui/playlist-toolbar.ui                      | 1 +
 data/ui/podcast-toolbar.ui                       | 1 +
 data/ui/queue-toolbar.ui                         | 1 +
 plugins/audiocd/audiocd-toolbar.ui               | 1 +
 plugins/daap/daap-toolbar.ui                     | 1 +
 plugins/fmradio/fmradio-toolbar.ui               | 1 +
 plugins/generic-player/generic-player-toolbar.ui | 1 +
 plugins/ipod/ipod-toolbar.ui                     | 1 +
 plugins/iradio/iradio-toolbar.ui                 | 1 +
 plugins/magnatune/magnatune-toolbar.ui           | 1 +
 plugins/mtpdevice/mtp-toolbar.ui                 | 1 +
 12 files changed, 12 insertions(+)

commit 639064a9c02c96d5feffb124901706137a0b748e
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Apr 8 22:47:54 2013 -0400

    add F1 accelerator to show help
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697527

 data/ui/app-menu.ui | 1 +
 1 file changed, 1 insertion(+)

commit 99888a5a71632ec5e1f157ac10c144c5effbec62
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Sun Apr 7 23:56:50 2013 -0400

    Fix broken help link
    
    This regression appeared with the GMenu conversion
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697526

 shell/rb-application.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 797ed54cd746eb5a4e1826c839c2da84b4e70c16
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 9 07:51:32 2013 +1000

    shell-player: fix play shortcut, add shuffle and repeat shortcuts
    
    Part of https://bugzilla.gnome.org/show_bug.cgi?id=697533

 shell/rb-shell-player.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2e1431cfa52193b90350e3060aa3e937328ef149
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 2 20:11:51 2013 +1000

    Rhythmbox 2.99

 NEWS         | 94 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README       |  2 +-
 configure.ac |  2 +-
 3 files changed, 96 insertions(+), 2 deletions(-)

commit b6d607c44ddf2fa376831d047fb5ff307446c2da
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 7 17:20:58 2013 +1000

    xfade: don't take an extra ref during stream creation

 backends/gstreamer/rb-player-gst-xfade.c | 1 -
 1 file changed, 1 deletion(-)

commit 3aedaa114a2f1bcd39d5b54058806faa4f68da68
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 7 09:19:11 2013 +1000

    sync: ignore duration when identifying tracks to sync
    
    It's not particularly reliable, especially when dealing with transcoded
    files, and given that all the other fields have to match, I can only
    see this being a problem if there are truncated files on the target
    device.

 sources/sync/rb-sync-state.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit e5b3f0a3c27298fdf3f7f2d729412a54836b121c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 7 08:02:28 2013 +1000

    shell: add missing return value

 shell/rb-shell.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 22f7e4095531850549ea39f543eccee89187dd67
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Sat Apr 6 22:15:35 2013 +0800

    Update Simplified Chinese translation

 po/zh_CN.po | 2811 +++++++++++++++++++++++++----------------------------------
 1 file changed, 1191 insertions(+), 1620 deletions(-)

commit 922d999033a56f53006617075137b0490ff60615
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 6 21:26:50 2013 +1000

    iradio: add streams from radio GFM

 plugins/iradio/iradio-initial.xspf | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit 051799f678c90f6a3d5f5effab278ef98f0feeef
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 6 10:04:13 2013 +1000

    shell: rearrange shutdown path so it's a bit cleaner

 shell/rb-shell.c | 51 +++++++++++++++++++++------------------------------
 1 file changed, 21 insertions(+), 30 deletions(-)

commit 01dc360d0beb5039180e960f25f0fd3b0a58fb93
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Fri Apr 5 21:47:01 2013 +0200

    [l10n] Updated Italian translation.

 po/it.po | 2183 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 865 insertions(+), 1318 deletions(-)

commit 75d8046cb81414434fd01011ba76a5b00b94f434
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Apr 5 22:35:19 2013 +1000

    application: register with session manager and try to quit on shutdown
    
    With this it might be possible to just log out or shut down and have
    rhythmdb save itself appropriately.  Maybe.

 shell/rb-application.c | 3 +++
 1 file changed, 3 insertions(+)

commit 62e30d40714408feac7e1d6b68291b41c2de8584
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Apr 5 08:16:14 2013 +1000

    podcast: ensure the subscribe button is insensitive after subscribing
    
    gtk_tree_selection_unselect_all doesn't emit selection-changed when
    the model is empty, so we can't rely on that to make the button
    insensitive.  If there was only one feed, the subscribe button
    would remain sensitive, and clicking it would cause a crash.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697267

 podcast/rb-podcast-add-dialog.c | 1 +
 1 file changed, 1 insertion(+)

commit 8cffe5aed7f446a31426685208026d5f859a1509
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Apr 4 19:15:09 2013 +1000

    power-manager: it is a good idea to store the cookie somewhere
    
    Maybe my monitors will turn off at some point now.

 plugins/power-manager/rb-power-manager-plugin.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f3ff8aacbe51d28a6bcba0c4eee0475c7508e1c7
Author: Pavol Klačanský <pavol@klacansky.com>
Date:   Wed Apr 3 19:43:22 2013 +0200

    Updated slovak translation

 po/sk.po | 2836 ++++++++++++++++++++++++--------------------------------------
 1 file changed, 1083 insertions(+), 1753 deletions(-)

commit 8b93143966fcd36d327596bcfe75d10826618923
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Apr 3 09:59:38 2013 +0700

    Updated Indonesian translation

 po/id.po | 2375 ++++++++++++++++++++++++++------------------------------------
 1 file changed, 980 insertions(+), 1395 deletions(-)

commit 98801097b53e4baa45694a71865583970cc9cefb
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Apr 3 01:29:42 2013 +0200

    Updated Galician translations

 po/gl.po | 3133 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 1538 insertions(+), 1595 deletions(-)

commit 25a23ae21b32b43d9e3c97d9d7454bf3f2cd06b1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 2 23:26:52 2013 +1000

    update glib and gtk versions for API checking

 configure.ac | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a4aa9d50311eb858a25084e171b5d2deb329d31f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 2 23:05:04 2013 +1000

    gtk-doc: update lots of stuff

 doc/reference/Makefile.am            |  90 +++-
 doc/reference/rhythmbox-docs.sgml    |  11 +-
 doc/reference/rhythmbox-sections.txt | 897 ++++++++++++++++++++++++-----------
 3 files changed, 677 insertions(+), 321 deletions(-)

commit c3dfa5760d816d98c39733c69a0d6a11623d8416
Author: Muhammet Kara <muhammetk@acikkaynak.name.tr>
Date:   Tue Apr 2 23:26:27 2013 +0300

    [l10n] Updated Turkish translation

 po/tr.po | 2959 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1497 insertions(+), 1462 deletions(-)

commit 4c532328e115f4538695f4fe6bdde59766dbfe08
Author: Claude Paroz <claude@2xlibre.net>
Date:   Tue Apr 2 20:44:42 2013 +0200

    Updated French translation

 po/fr.po | 2409 ++++++++++++++++++++++++++------------------------------------
 1 file changed, 995 insertions(+), 1414 deletions(-)

commit 2076289d53e6fa055481de445bdcd34952fb6acb
Author: Claude Paroz <claude@2xlibre.net>
Date:   Tue Apr 2 17:48:49 2013 +0200

    Updated French help translation (except FDL)

 help/fr/fr.po | 2743 ++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 1832 insertions(+), 911 deletions(-)

commit 62cfe36c11b61695efe961e66013c4581aa86a8b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 2 18:45:40 2013 +1000

    header: set show-fill-level to false while not showing progress

 widgets/rb-header.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f4c1bb3bc347237f7b56a0461b5fba0d08678599
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 2 18:45:30 2013 +1000

    ignore rbconfig.py

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 8e274f63c22f591fad4ff71705159df10b67a178
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 1 22:41:24 2013 +1000

    playbin: only use about-to-finish when we want gapless transitions
    
    Gapless transitions between unrelated tracks don't make much sense,
    and seem to cause problems when the media types differ, so there's
    not much point trying.

 backends/gstreamer/rb-player-gst.c | 27 +++++++++++++++++++++------
 1 file changed, 21 insertions(+), 6 deletions(-)

commit 597657f4c99f8dbedd27a511317de995eaf18ca2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 1 22:37:21 2013 +1000

    header: don't restrict position slider to its fill level

 widgets/rb-header.c | 1 +
 1 file changed, 1 insertion(+)

commit e1f7b99bc4b5e41d31c000445dc4010cba161b67
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 23 23:48:25 2013 +1000

    switch streaming sources over to playback status to report buffering

 plugins/audioscrobbler/rb-audioscrobbler-radio-source.c | 12 ++++++++----
 plugins/iradio/rb-iradio-source.c                       |  9 ++++++++-
 sources/rb-streaming-source.c                           |  2 +-
 3 files changed, 17 insertions(+), 6 deletions(-)

commit ab98b4a353e0c5a7c7894338d356609370c53027
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 23 23:47:24 2013 +1000

    header: display playback status
    
    Replace the elapsed time display with the playback status text,
    and use the progress value to set the fill level for the time
    slider.

 widgets/rb-header.c | 55 +++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 47 insertions(+), 8 deletions(-)

commit ab1760c36709e127c3438010b0d80a4a72e976a5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 23 23:46:29 2013 +1000

    source: add method/signal for playback status
    
    This will be used to report playback status such as buffering.

 sources/rb-source.c | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 sources/rb-source.h |  5 +++++
 2 files changed, 52 insertions(+)

commit 018989cf38e78ad72dacbbe2e9325d15ead679cf
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 23 21:04:04 2013 +1000

    remove show_popup leftovers

 sources/rb-display-page.c | 21 ---------------------
 sources/rb-display-page.h |  2 --
 2 files changed, 23 deletions(-)

commit 912811ecb11ca1d0fd8a34e5a7f0106d23334f05
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 9 20:21:21 2013 +1000

    shell: convert play button into play/pause/stop button

 data/ui/main-toolbar.ui |  2 +-
 shell/rb-shell-player.c | 45 +--------------------------------------------
 shell/rb-shell.c        | 23 ++++++++++++++++++++---
 3 files changed, 22 insertions(+), 48 deletions(-)

commit e495ccd7146a877b1f365e5244975dc729a85274
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 31 15:47:49 2013 +1000

    gst-helper: IDLE pad probes don't do enough, we need BLOCK_DOWNSTREAM

 backends/gstreamer/rb-player-gst-helper.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f84a33d9bf6b73e95f2d5c9f0ef20caff03f55d0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 30 10:37:48 2013 +1000

    don't disable multidevice
    
    clutter-gtk doesn't need it any more, and it stops touch input
    from working properly.

 shell/main.c | 7 -------
 1 file changed, 7 deletions(-)

commit 9dbe98cfe8ac548dbb2052babd6594642931a7bc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 18 22:25:26 2013 +1000

    playbin: horrible hack to fix incorrect ref counting somewhere
    
    There's an extra unref somewhere between here and the replaygain
    plugin.  This hack stops us crashing until I can figure out where
    it is.  Since there's only ever one playbin instance it doesn't
    matter so much if its refcount is too high.

 backends/gstreamer/rb-player-gst.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a0146f33289a79da241e78dfcb4a6e2635a15743
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 17 08:57:27 2013 +1000

    visualizer: stop referring to playbin as playbin2

 plugins/visualizer/rb-visualizer-plugin.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit d5552f33bda844fd7bfa8885beae167fb57bad90
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 16 14:39:14 2013 +1000

    visualizer: fix up GMenu conversion

 plugins/visualizer/rb-visualizer-menu.c   | 8 ++++----
 plugins/visualizer/rb-visualizer-page.h   | 2 +-
 plugins/visualizer/rb-visualizer-plugin.c | 7 ++++---
 3 files changed, 9 insertions(+), 8 deletions(-)

commit fb50d0fe80242c2614367c49201fc3a1f24b6cbd
Author: Iain Lane <iain.lane@canonical.com>
Date:   Tue Nov 27 11:57:58 2012 +0000

    Move visualizer plugin to clutter-gst 2.0 series and GStreamer 1.0.
    
    'ffmpegcolorspace' is now replaced by 'videoconvert'.
    
    Use gst_element_link_filtered to link videoconvert to the sink, filtered
    by the given caps.

 configure.ac                              | 11 +++++------
 plugins/visualizer/rb-visualizer-page.c   | 24 ++++++++++++------------
 plugins/visualizer/rb-visualizer-plugin.c |  8 ++++----
 3 files changed, 21 insertions(+), 22 deletions(-)

commit 2bd07a6c1c9951bd9d73892e896169f26a3d30c2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 11 07:23:06 2013 +1000

    remove avahi/mdns autotools stuff

 configure.ac | 31 -------------------------------
 1 file changed, 31 deletions(-)

commit fd399023cd6c289a9b259023eea170ee44302dbd
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Mar 29 12:39:33 2013 +1000

    chunkloader: hold a ref to keep the object alive at eof/on error
    
    refcounting bugs elsewhere apparently hid this until recently, but
    if the callback drops the last reference to the object, it clearly
    needs to keep itself alive for long enough to clean up.

 lib/rb-chunk-loader.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit aa375173c1ebcf0ab1dd1f29a0a82757ba541152
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Mar 27 23:30:42 2013 +1000

    magnatune: don't use libsecret if it's not new enough

 plugins/magnatune/MagnatuneAccount.py | 30 ++++++++++++++++++------------
 1 file changed, 18 insertions(+), 12 deletions(-)

commit f590c3e3949fd435179294aa1a17a556ab631986
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Mar 27 23:29:06 2013 +1000

    generate a python module holding some autoconf details
    
    Specifically, we need to know if we found a new enough version
    of libsecret at compile time, as there's currently no other way
    to find out what version we're using.

 configure.ac              | 6 ++++++
 plugins/rb/Makefile.am    | 3 ++-
 plugins/rb/rb.py          | 1 +
 plugins/rb/rbconfig.py.in | 4 ++++
 4 files changed, 13 insertions(+), 1 deletion(-)

commit a5ed1c6ee4910642810de827d6996d99d36e09df
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Mar 27 08:38:57 2013 +1000

    replaygain: update for GStreamer 1.0
    
    It sort of works now.

 plugins/replaygain/player.py | 41 ++++++++++++++++++++++-------------------
 1 file changed, 22 insertions(+), 19 deletions(-)

commit e5889d30d275bb5007ae347e7bb16eaa3e778945
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Mar 27 08:34:20 2013 +1000

    gst-helper: more work on tee/filter stuff
    
    We can remove some of the GStreamer 0.10 hackery here, since caps
    negotitation works better in 1.0.  Other changes are mostly about
    making the pad probes behave properly.  At this point, filters and
    tees can be inserted, but removing them stops playback.

 backends/gstreamer/rb-player-gst-helper.c | 130 ++++++++++++------------------
 1 file changed, 50 insertions(+), 80 deletions(-)

commit 1fac0aa8c06f20244af4e5d20ca86ecd1a4fd64e
Author: Nirbheek Chauhan <nirbheek.chauhan@collabora.co.uk>
Date:   Wed Jan 23 02:29:10 2013 +0530

    Port daap and magnatune plugins to libsecret
    
    The Magnatune plugin currently falls back to not saving the password at all if
    libsecret isn't found. This fallback code should be removed once libsecret
    becomes as prevalent as gnome-keyring was.
    
    Audioscrobbler used gnome-keyring for the old API, which no longer works.
    Hence, that code was removed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694981
    
    As a bonus, add cscope.out to .gitignore

 .gitignore                                         |   1 +
 configure.ac                                       |  40 ++-
 plugins/audioscrobbler/Makefile.am                 |   1 -
 .../rb-audioscrobbler-radio-source.c               | 383 ++-------------------
 .../rb-audioscrobbler-radio-source.h               |   3 -
 plugins/daap/Makefile.am                           |   6 +-
 plugins/daap/rb-daap-source.c                      |  82 ++---
 plugins/magnatune/MagnatuneAccount.py              |  88 ++---
 8 files changed, 143 insertions(+), 461 deletions(-)

commit abdf3e3ab99ab0a0a2accab0a49a5febf93ba25d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 25 15:36:59 2013 +0100

    help: Fix invalid XML in help translations
    
    Seems to be a recurring problem, let's close those tags properly.

 help/ru/ru.po       | 2 +-
 help/sl/sl.po       | 2 +-
 help/zh_CN/zh_CN.po | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 55dab8c2e5aa1d96e3571a6d12e5008aa2944af5
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:   Sat Mar 23 23:05:30 2013 +0100

    Updated Dutch translation

 po/nl.po | 80 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 38 insertions(+), 42 deletions(-)

commit 24e6a8b5cdfabd5f0aad46201c0de8c0c07cb112
Author: Redmar <redmar@ubuntu.com>
Date:   Sat Mar 23 22:28:10 2013 +0100

    Updated Dutch translation

 po/nl.po | 7975 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 4117 insertions(+), 3858 deletions(-)

commit e2f0ebe72ff7ad3e256c4e16bc7bf635d4956a9f
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   Thu Mar 21 22:43:11 2013 +0200

    Finnish translation update by Jiri Grönroos

 po/fi.po | 2883 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1467 insertions(+), 1416 deletions(-)

commit c950a543c15c6e1688c0b75dae80987938ceca5b
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Mar 21 13:37:35 2013 +0100

    Updated Hungarian translation

 po/hu.po | 2717 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1346 insertions(+), 1371 deletions(-)

commit 111be29490300df7e2ce0724f8ebda27d595e51e
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Thu Mar 21 08:55:35 2013 +0100

    [l10n] Updated German translation

 po/de.po | 443 ++++++---------------------------------------------------------
 1 file changed, 41 insertions(+), 402 deletions(-)

commit 48f22e7f46719bc837f9f11de5483dd1d93c860a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Mar 20 08:27:36 2013 +1000

    metadata: add missing unrefs
    
    Fixes fd leaks when typefinding files that the discoverer didn't
    identify.

 metadata/rb-metadata-gst.c | 3 +++
 1 file changed, 3 insertions(+)

commit 0a0c37692d12e1a99c610cb6c2faa6d61c03e1ba
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Mar 19 12:43:27 2013 +0100

    Updated Czech translation

 po/cs.po | 2067 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 819 insertions(+), 1248 deletions(-)

commit 1140ea55ebb8ecb5e279ff6847139fca83bca535
Author: Akira Tanaka <root.167d36d4acb91@gmail.com>
Date:   Fri Mar 15 17:10:46 2013 +0900

    [l10n] Update Japanese translation

 po/ja.po | 236 +++++++++++++++++----------------------------------------------
 1 file changed, 64 insertions(+), 172 deletions(-)

commit 1b30622483b271612c1b1227266568f39410a2d4
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Thu Mar 14 20:39:22 2013 +0100

    Updated Slovenian translation

 po/sl.po | 2110 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 839 insertions(+), 1271 deletions(-)

commit eaa7d5b845bcefe1780c6dc3449c010beb85ff52
Author: Akira Tanaka <root.167d36d4acb91@gmail.com>
Date:   Thu Mar 14 11:45:36 2013 +0900

    [l10n] Update Japanese translation

 po/ja.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1c6d40103247deda324e0190ee8e5597c7931560
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Thu Mar 14 11:40:26 2013 +0900

    [l10n] Update Japanese translation
    
    Merge the latest pot.

 po/ja.po | 3076 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1598 insertions(+), 1478 deletions(-)

commit 07d9ae7598f5bc3bb29ea4dd4b787bfd4628d426
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Wed Mar 13 15:07:21 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 3423 +++++++++++++++++++++++++----------------------------------
 1 file changed, 1450 insertions(+), 1973 deletions(-)

commit ec1d0f01db50862c461dc8a5dd39351ee818a689
Author: Jakub Steiner <jimmac@gmail.com>
Date:   Mon Mar 11 16:49:42 2013 +0100

    app-icon: scale to fit canvas better.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694279

 data/icons/hicolor/256x256/apps/rhythmbox.png |  Bin 61827 -> 65298 bytes
 data/icons/src/rhythmbox.svg                  | 1629 +++++++++++++------------
 2 files changed, 826 insertions(+), 803 deletions(-)

commit 1168a55ba3b14c04d940ad4dacccc3eaa871f6d7
Author: Christoph Orsinger <c.orsinger@gmail.com>
Date:   Sat Mar 9 12:34:54 2013 +0100

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    AM_CONFIG_HEADER is depreciated since July 2002 and was subsequently removed from automake 1.13.
    To build with automake >= 1.13 AC_CONFIG_HEADERS is needed.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d2cc7c78952c5e6c5f48a2589825fbcecc2ba5a
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Sun Mar 10 00:31:39 2013 +0100

    Updated German help translation

 help/de/de.po | 30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

commit 7c9f928d8fe9315922518b28b300e91c5e2b3bdb
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Sun Mar 10 00:30:46 2013 +0100

    Updated German translation

 po/de.po | 2657 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1311 insertions(+), 1346 deletions(-)

commit 1e44254786f4d5ce5a80f4ec99852004b686f597
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 10 08:09:40 2013 +1000

    audiocd: fix the cd lookup test program

 plugins/audiocd/test-cd.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4fcc65bb642a4fba769ca36ee47c2547bf9a6ef5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 10 08:07:47 2013 +1000

    audiocd: initialize our parser context correctly
    
    We probably shouldn't crash if the first tag we encounter isn't
    interesting, so set the item field to NULL rather than leaving it
    uninitialized.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688638

 plugins/audiocd/rb-musicbrainz-lookup.c | 1 +
 1 file changed, 1 insertion(+)

commit f57aa41ce8bb39b235629d9a5e9a8d09f189fa4d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 10 08:07:31 2013 +1000

    audiocd: don't give up when we get the TOC message

 plugins/audiocd/rb-audiocd-info.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 5a1056d69fe40fd945312be2b012100361b26af5
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Mar 7 12:09:27 2013 +0100

    Updated Serbian translation

 po/sr.po       | 2113 +++++++++++++++++++++++---------------------------------
 po/sr@latin.po | 2113 +++++++++++++++++++++++---------------------------------
 2 files changed, 1730 insertions(+), 2496 deletions(-)

commit 6ffa66a0d399ed78ba7bbe0112b2a9cf7a468cf3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Mar 4 15:11:18 2013 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 2168 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 875 insertions(+), 1293 deletions(-)

commit fa4a7ffe54ac950789d0ee349b372e812f09ceca
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 4 23:19:15 2013 +1000

    property-view: don't reset selection during property renames
    
    If we've only seen the delete half of a property rename (such as
    changing the genre of a radio stream where there are no other
    streams with that genre), we can't reset the selection yet as
    the property model is out of sync with its query model.  Use an
    idle handler to defer this until the change has been fully
    processed and everything is back in sync.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692158

 widgets/rb-property-view.c | 47 +++++++++++++++++++++++++++++++++++-----------
 1 file changed, 36 insertions(+), 11 deletions(-)

commit 6a157fde3bbae89e0f2ab26d0524916383dd3d17
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 22 21:50:58 2013 +1000

    hook up signals for property models correctly on construction
    
    remove the relatively recent change to select the first entry when
    the selected item is removed, as the pre- and post- delete handlers
    make that happen.

 widgets/rb-property-view.c | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit 17b05300461072fda8c2a6613f57e28dbda22289
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 4 03:48:05 2013 +0100

    Update required GTK+ and GStreamer versions in INSTALL.quick

 INSTALL.quick | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c3df91900ce18b0363bf2ea79bba71d9ffd4f300
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 4 09:01:03 2013 +1000

    shell: show the app menu button in party mode
    
    This makes it possible to escape party mode.

 shell/rb-shell.c | 49 +++++++++++++++++++++++++++++--------------------
 1 file changed, 29 insertions(+), 20 deletions(-)

commit 559822ff57081cf4a817ffc24198ff967fd321bb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 4 08:46:48 2013 +1000

    shell: remove 'view all' action remnants

 shell/rb-shell.c | 15 ---------------
 1 file changed, 15 deletions(-)

commit 58652c1aad3d0618561ba0e5e766caf22a814b3a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 3 23:19:29 2013 +1000

    I haven't been updating the shared library version very well

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bc3247274270c53f9e3ae21a3ed8acd458d901f1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 3 23:18:31 2013 +1000

    point 'View All' toolbar buttons at the reset-filters action signal
    
    This works a bit better than a GAction that doesn't exist.

 data/ui/library-toolbar.ui                       | 2 +-
 data/ui/playlist-toolbar.ui                      | 2 +-
 data/ui/podcast-toolbar.ui                       | 2 +-
 plugins/daap/daap-toolbar.ui                     | 2 +-
 plugins/generic-player/generic-player-toolbar.ui | 2 +-
 plugins/ipod/ipod-toolbar.ui                     | 2 +-
 plugins/iradio/iradio-toolbar.ui                 | 2 +-
 plugins/mtpdevice/mtp-toolbar.ui                 | 2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

commit e04bf37bf9a2d8e7eab9a0c3b3a3f669ecb13a33
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 3 23:18:00 2013 +1000

    convert rb_source_reset_filters into an action signal

 plugins/iradio/rb-iradio-source.c   |  2 +-
 podcast/rb-podcast-source.c         |  7 ++++---
 sources/rb-auto-playlist-source.c   |  2 +-
 sources/rb-browser-source.c         |  2 +-
 sources/rb-source.c                 | 32 +++++++++++++++++---------------
 sources/rb-source.h                 |  4 +---
 sources/rb-static-playlist-source.c |  2 +-
 widgets/rb-source-toolbar.c         |  2 +-
 8 files changed, 27 insertions(+), 26 deletions(-)

commit 48da5fbe8774c10e7e5e9e83dad3d5f88166d35c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 3 23:16:32 2013 +1000

    button-bar: add ability to create buttons that trigger action signals

 widgets/rb-button-bar.c | 24 ++++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

commit 0998f13091766b246788501b708d469d088b5431
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 3 17:58:52 2013 +1000

    audioscrobbler: don't save submission queues without a username
    
    Queues saved without a username are saved as
    ~/.local/share/rhythmbox/audioscrobbler/submission-queues/servicename
    which prevents the creation of the directory used to store queues
    saved with a username.  This data can't be submitted to the service,
    so there's no point saving it.  Since it interferes with proper operation
    later on, remove such a file if we find one on startup.

 plugins/audioscrobbler/rb-audioscrobbler.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 5351d9f6423a95e7704ca372a3d65b48edc05501
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 3 16:25:05 2013 +1000

    podcast: don't download hidden (deleted) episodes

 podcast/rb-podcast-manager.c | 3 +++
 1 file changed, 3 insertions(+)

commit e90148a868aefd53a50f39864097cf506911abfe
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 3 16:24:41 2013 +1000

    podcast: fix popup menus a bit more
    
    Action name for cancelling downloads was wrong.

 data/ui/podcast-popups.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 220c7ec2019724e542c46286738da1d50a9ae979
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Mar 2 17:04:23 2013 +0200

    Updated Lithuanian translation

 po/lt.po | 2576 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 1105 insertions(+), 1471 deletions(-)

commit 3ce7c12cd044f12b967d632c1ff040f0d86b2c00
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 2 23:03:01 2013 +1000

    podcast: fix popup menus
    
    Look up actions in the right map (application, not window) and
    use the right action name for deleting podcast feeds.

 data/ui/podcast-popups.ui   |  2 +-
 podcast/rb-podcast-source.c | 18 +++++++++---------
 2 files changed, 10 insertions(+), 10 deletions(-)

commit f3df303622e9a4c0dd571a6c916a73b4fbbaa8ae
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Mar 1 22:12:32 2013 +1000

    artsearch: re-add embedded cover art search

 plugins/artsearch/Makefile.am  |  1 +
 plugins/artsearch/artsearch.py |  2 ++
 plugins/artsearch/embedded.py  | 80 ++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 83 insertions(+)

commit 8bbb1f24bab922a76314e3fbcd56d2eee3a95f55
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Mar 1 22:11:32 2013 +1000

    gi: introspect the GStreamer helper functions

 backends/gstreamer/rb-player-gst-helper.c | 4 ++--
 backends/gstreamer/rb-player-gst-helper.h | 4 ++--
 bindings/gi/Makefile.am                   | 2 ++
 3 files changed, 6 insertions(+), 4 deletions(-)

commit f844878c69cd835607f9ab950033535946731ce7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Feb 26 22:14:52 2013 +0100

    Updated Polish translation

 po/pl.po | 2045 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 808 insertions(+), 1237 deletions(-)

commit 53ebcd2795f529c3d824170ae04f7425fe517c05
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Feb 27 06:55:08 2013 +1000

    audioscrobbler: get the accel group from the right place

 plugins/audioscrobbler/rb-audioscrobbler-profile-page.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5bc6bda19df08db37138ef3328f5c96ed46a388d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Feb 27 06:52:52 2013 +1000

    daap: fix build errors

 plugins/daap/rb-daap-plugin.c |  1 -
 plugins/daap/rb-daap-source.c |  8 ++++++--
 plugins/daap/rb-daap-src.c    | 15 ++++++++-------
 plugins/daap/rb-daap-src.h    |  2 +-
 4 files changed, 15 insertions(+), 11 deletions(-)

commit d3edc530517bcc116dd0a3b929b87eed916e4cdf
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Feb 27 06:30:02 2013 +1000

    iradio: remove unused variable

 plugins/iradio/rb-iradio-source.c | 1 -
 1 file changed, 1 deletion(-)

commit e2afdb8a8900a6e644c2c7f1fa284ca3c629bb3d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Feb 27 06:23:32 2013 +1000

    audioscrobbler: remove deleted files from makefile

 plugins/audioscrobbler/Makefile.am | 6 ------
 1 file changed, 6 deletions(-)

commit cf38ef307d32ca95b13b2713bac3c62f2df17c93
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Feb 26 11:47:16 2013 +0100

    Updated Spanish translation

 po/es.po | 2540 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1260 insertions(+), 1280 deletions(-)

commit ce7fa7ff226b67d37094d1167d3cd0cc883d3103
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 26 08:05:49 2013 +1000

    Convert everything to GMenu and add an app menu
    
    Most significantly, this removes the menu bar, scattering its contents
    into an application menu, additional menus added to source toolbars,
    and a toolbar in the source list.
    
    The playlist related parts of the music menu are now in the source list
    toolbar.  The rest formed the basis of the app menu.
    
    Most sources now have an edit menu that corresponds roughly to the
    edit menu from the menu bar.
    
    The view and tools menus are now part of the app menu.
    
    The control menu is gone, since it didn't do anything that wasn't already
    represented in the controls in the main toolbar.
    
    The help menu is now part of the app menu.

 bindings/gi/Makefile.am                            |    4 +
 configure.ac                                       |    2 +-
 data/org.gnome.rhythmbox.gschema.xml               |   14 +-
 data/ui/Makefile.am                                |   22 +-
 data/ui/app-menu.ui                                |   80 +
 data/ui/browser-popup.ui                           |   57 +
 data/ui/display-page-add-menu.ui                   |   31 +
 data/ui/edit-menu.ui                               |   57 +
 data/ui/import-errors-popup.ui                     |   15 +
 data/ui/library-toolbar.ui                         |   28 +
 data/ui/main-toolbar.ui                            |  114 +
 data/ui/missing-files-popup.ui                     |   15 +
 data/ui/playlist-menu.ui                           |   34 +
 data/ui/playlist-popup.ui                          |   57 +
 data/ui/playlist-toolbar.ui                        |   27 +
 data/ui/podcast-add-dialog.ui                      |    3 -
 data/ui/podcast-popups.ui                          |   65 +
 data/ui/podcast-toolbar.ui                         |   31 +
 data/ui/queue-popups.ui                            |   57 +
 data/ui/queue-toolbar.ui                           |   26 +
 data/ui/rhythmbox-ui.xml                           |  326 --
 doc/reference/Makefile.am                          |    2 -
 doc/reference/rhythmbox-docs.sgml                  |    1 +
 doc/reference/rhythmbox.types                      |    2 +
 help/C/index.docbook                               |   33 -
 lib/Makefile.am                                    |    4 -
 lib/eggsmclient-private.h                          |   53 -
 lib/eggsmclient-xsmp.c                             | 1371 -----
 lib/eggsmclient.c                                  |  604 --
 lib/eggsmclient.h                                  |  117 -
 lib/rb-builder-helpers.c                           |   28 +-
 lib/rb-builder-helpers.h                           |    2 +
 lib/rb-util.c                                      |   67 +-
 lib/rb-util.h                                      |    4 +-
 plugins/audiocd/Makefile.am                        |    8 +-
 plugins/audiocd/audiocd-toolbar.ui                 |   26 +
 plugins/audiocd/audiocd-ui.xml                     |   14 -
 plugins/audiocd/rb-audiocd-plugin.c                |   26 -
 plugins/audiocd/rb-audiocd-source.c                |   86 +-
 .../audioscrobbler/audioscrobbler-profile-ui.xml   |    5 -
 plugins/audioscrobbler/audioscrobbler-radio-ui.xml |    6 -
 .../rb-audioscrobbler-profile-page.c               |  224 +-
 .../rb-audioscrobbler-radio-source.c               |   97 +-
 .../rb-disc-recorder-plugin.c                      |  156 +-
 plugins/context/ContextView.py                     |   48 +-
 plugins/daap/Makefile.am                           |    5 +-
 plugins/daap/daap-toolbar.ui                       |   24 +
 plugins/daap/daap-ui.xml                           |   25 -
 plugins/daap/rb-daap-plugin.c                      |   84 +-
 plugins/daap/rb-daap-source.c                      |   43 +-
 plugins/fmradio/Makefile.am                        |    6 +-
 plugins/fmradio/fmradio-popup.ui                   |   17 +
 plugins/fmradio/fmradio-toolbar.ui                 |   15 +
 plugins/fmradio/fmradio-ui.xml                     |   23 -
 plugins/fmradio/rb-fm-radio-plugin.c               |   29 +-
 plugins/fmradio/rb-fm-radio-source.c               |   99 +-
 plugins/fmradio/rb-fm-radio-source.h               |    3 +-
 plugins/generic-player/Makefile.am                 |    7 +-
 plugins/generic-player/generic-player-toolbar.ui   |   32 +
 plugins/generic-player/generic-player-ui.xml       |   26 -
 .../rb-generic-player-playlist-source.c            |   31 +-
 .../rb-generic-player-playlist-source.h            |    4 +-
 plugins/generic-player/rb-generic-player-plugin.c  |   97 -
 plugins/generic-player/rb-generic-player-source.c  |  116 +-
 plugins/ipod/Makefile.am                           |    6 +-
 plugins/ipod/ipod-toolbar.ui                       |   32 +
 plugins/ipod/ipod-ui.xml                           |   23 -
 plugins/ipod/rb-ipod-plugin.c                      |  119 -
 plugins/ipod/rb-ipod-source.c                      |  154 +-
 plugins/ipod/rb-ipod-source.h                      |    1 -
 plugins/ipod/rb-ipod-static-playlist-source.c      |   29 +-
 plugins/ipod/rb-ipod-static-playlist-source.h      |    3 +-
 plugins/iradio/Makefile.am                         |    7 +-
 plugins/iradio/iradio-popup.ui                     |   17 +
 plugins/iradio/iradio-toolbar.ui                   |   28 +
 plugins/iradio/iradio-ui.xml                       |   25 -
 plugins/iradio/rb-iradio-plugin.c                  |   26 -
 plugins/iradio/rb-iradio-source.c                  |   99 +-
 plugins/lyrics/lyrics.py                           |   45 +-
 plugins/magnatune/MagnatuneSource.py               |   37 +-
 plugins/magnatune/Makefile.am                      |    2 +
 plugins/magnatune/magnatune-popup.ui               |   43 +
 plugins/magnatune/magnatune-toolbar.ui             |   28 +
 plugins/magnatune/magnatune.py                     |   88 +-
 plugins/mtpdevice/Makefile.am                      |    8 +-
 plugins/mtpdevice/mtp-toolbar.ui                   |   32 +
 plugins/mtpdevice/mtp-ui.xml                       |   18 -
 plugins/mtpdevice/rb-mtp-plugin.c                  |  104 +-
 plugins/mtpdevice/rb-mtp-source.c                  |   21 +-
 plugins/power-manager/rb-power-manager-plugin.c    |  149 +-
 plugins/pythonconsole/pythonconsole.py             |   72 +-
 plugins/sendto/sendto.py                           |   55 +-
 plugins/visualizer/rb-visualizer-menu.c            |  111 +-
 plugins/visualizer/rb-visualizer-menu.h            |    2 +-
 plugins/visualizer/rb-visualizer-page.c            |   31 +-
 plugins/visualizer/rb-visualizer-page.h            |    8 +-
 plugins/visualizer/rb-visualizer-plugin.c          |   10 +-
 plugins/visualizer/visualizer-ui.xml               |   13 -
 po/POTFILES.in                                     |   28 +-
 podcast/rb-podcast-main-source.c                   |   10 +-
 podcast/rb-podcast-source.c                        |  319 +-
 remote/dbus/rb-client.c                            |   16 +-
 rhythmdb/rhythmdb-entry-type.c                     |   22 +-
 rhythmdb/rhythmdb-song-entry-types.c               |    1 -
 shell/Makefile.am                                  |    2 +
 shell/main.c                                       |   31 +-
 shell/rb-application.c                             |  824 +++
 shell/rb-application.h                             |   73 +
 shell/rb-playlist-manager.c                        |  396 +-
 shell/rb-playlist-manager.h                        |    4 +-
 shell/rb-removable-media-manager.c                 |  160 +-
 shell/rb-shell-clipboard.c                         |  725 +--
 shell/rb-shell-clipboard.h                         |    4 +-
 shell/rb-shell-player.c                            | 5814 ++++++++++----------
 shell/rb-shell-player.h                            |    4 +-
 shell/rb-shell.c                                   | 1085 +---
 shell/rb-shell.h                                   |    2 -
 shell/rb-statusbar.c                               |  109 -
 shell/rb-statusbar.h                               |    1 -
 sources/Makefile.am                                |    2 +
 sources/rb-auto-playlist-source.c                  |  119 +-
 sources/rb-auto-playlist-source.h                  |    4 -
 sources/rb-browser-source.c                        |  182 +-
 sources/rb-display-page-menu.c                     |  459 ++
 sources/rb-display-page-menu.h                     |   71 +
 sources/rb-display-page-tree.c                     |  294 +-
 sources/rb-display-page-tree.h                     |    4 +-
 sources/rb-display-page.c                          |  261 +-
 sources/rb-display-page.h                          |   22 +-
 sources/rb-import-errors-source.c                  |   26 +-
 sources/rb-library-source.c                        |   58 +-
 sources/rb-media-player-source.c                   |  120 +-
 sources/rb-media-player-source.h                   |    2 -
 sources/rb-missing-files-source.c                  |   28 +-
 sources/rb-play-queue-source.c                     |  237 +-
 sources/rb-play-queue-source.h                     |    3 +-
 sources/rb-playlist-source.c                       |   95 +-
 sources/rb-source-search-basic.c                   |  167 +-
 sources/rb-source-search-basic.h                   |   15 +-
 sources/rb-source-search.c                         |   91 +-
 sources/rb-source-search.h                         |   12 +
 sources/rb-source.c                                |   86 +-
 sources/rb-source.h                                |    6 +-
 sources/rb-static-playlist-source.c                |  130 +-
 sources/rb-static-playlist-source.h                |    4 -
 widgets/Makefile.am                                |    6 +-
 widgets/rb-button-bar.c                            |  376 ++
 widgets/rb-button-bar.h                            |   67 +
 widgets/rb-header.c                                |   54 +
 widgets/rb-import-dialog.c                         |    2 +-
 widgets/rb-source-toolbar.c                        |  357 +-
 widgets/rb-source-toolbar.h                        |    9 +-
 152 files changed, 8752 insertions(+), 10428 deletions(-)

commit f95589b46f82a220bfebf3c29fccfa8e11b606e1
Author: William Hua <william@attente.ca>
Date:   Wed Feb 20 17:47:04 2013 +0000

    Plug some small leaks.

 plugins/audioscrobbler/rb-audioscrobbler-plugin.c       | 4 ++++
 plugins/brasero-disc-recorder/rb-disc-recorder-plugin.c | 5 +++++
 plugins/dbus-media-server/rb-dbus-media-server-plugin.c | 5 +++++
 plugins/iradio/rb-iradio-plugin.c                       | 1 +
 plugins/mpris/rb-mpris-plugin.c                         | 5 +++++
 widgets/rb-entry-view.c                                 | 1 +
 widgets/rb-fading-image.c                               | 3 +++
 7 files changed, 24 insertions(+)

commit 4cec9fc0b8fbf0d3c06bc5271d3eb4f2070523fa
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Feb 23 09:54:34 2013 +1000

    header: show the time button any time we're setting a label for it

 widgets/rb-header.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c7730cadd274bf71c2930b914de24769b3e0558
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 22 23:17:50 2013 +1000

    shell-player: don't disable the volume control actions (bug #592455)
    
    Having accelerator keys that also control other widgets doesn't
    work so well when the associated actions get disabled sometimes.

 shell/rb-shell-player.c | 9 ---------
 1 file changed, 9 deletions(-)

commit fd94bcfe7e1034caf860bc692af2dfa536e89f73
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Feb 20 23:47:28 2013 +1000

    iradio: actually use the entry type created for iradio entries

 plugins/iradio/rb-iradio-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eedfdce9804788a955d869895d4bf75c529d7d1b
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Feb 20 21:08:07 2013 +0100

    Updated Serbian translation

 po/sr.po       | 1089 +-------------------------------------------------------
 po/sr@latin.po | 1089 +-------------------------------------------------------
 2 files changed, 36 insertions(+), 2142 deletions(-)

commit a5c4ee6a7ebffbbd0a818d40a0cd2688b51eaead
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 17 20:54:52 2013 +0100

    Updated Polish translation

 po/pl.po | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit da27fd0d6b9705e07b0e7f2e91ae131ef6348472
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 15 22:09:31 2013 +1000

    iradio: use organization tag to fill in the stream name

 backends/gstreamer/rb-player-gst-helper.c | 2 ++
 plugins/iradio/rb-iradio-source.c         | 2 ++
 2 files changed, 4 insertions(+)

commit f78c13e39f1f546ad6bd0f3f3d67c3613b2eb629
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 5 23:13:59 2013 +1000

    metadata: don't crash if we can't create a discoverer
    
    https://bugzilla.redhat.com/show_bug.cgi?id=755888

 metadata/rb-metadata-gst.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 2911ec8086782a5aab4005dcca6a636377e26950
Author: Sindhu S <sindhus@live.in>
Date:   Mon Feb 4 07:40:25 2013 +0000

    Removed invalid options bug 672044
    
    Removed the following options from man page for rhythmbox-client
    which weren't working:
    
    - notify
    - mute
    - unmute

 data/rhythmbox-client.1 | 12 ------------
 1 file changed, 12 deletions(-)

commit dab170d2731afb2f52b498311710311837224776
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 1 08:04:44 2013 +1000

    notification: fix indenting

 plugins/notification/rb-notification-plugin.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a22c343ee05929f476b3e2d0279fe8d1a36d6bff
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Thu Jan 31 13:55:28 2013 +0100

    Support Notification Filtering GNOME feature
    
    Report that we emit notifications in the desktop files, add desktop-entry
    for filtering and, most important, add music category so that our notifications
    are shown with actions in the lock screen.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692941

 data/rhythmbox.desktop.in.in                  | 1 +
 plugins/notification/rb-notification-plugin.c | 5 +++++
 2 files changed, 6 insertions(+)

commit f383854a6902e7cecb76d2e67e0e6b7cc657cfa8
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Wed Jan 30 19:42:49 2013 +0100

    [l10n] Updated Italian translation.

 po/it.po | 521 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 277 insertions(+), 244 deletions(-)

commit f3dd914de37f52f957e8c0310cbef8f85b4aaba8
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Wed Jan 30 11:23:25 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 187 ++++++++++++++++++++++++++++++------------------------------
 po/zh_TW.po | 187 ++++++++++++++++++++++++++++++------------------------------
 2 files changed, 190 insertions(+), 184 deletions(-)

commit aa1818eaa5f7d2cc238288fe765fc8a9e2119014
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Jan 26 20:28:12 2013 +0100

    Updated Slovenian translation

 po/sl.po | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit b83d103d0bf6a0ece1a550fdd222ef60b8bfe5bf
Author: Pavol Klačanský <pavol@klacansky.com>
Date:   Fri Jan 25 21:16:46 2013 +0100

    Updated slovak translation

 po/sk.po | 8020 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 4481 insertions(+), 3539 deletions(-)

commit 6925ce18b405d8cf81ddee4fb1918a037d30712d
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Jan 22 09:54:04 2013 +0100

    Updated Czech translation

 po/cs.po | 193 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 101 insertions(+), 92 deletions(-)

commit bd94116548880a2a4c5c9d904f353df05dcca1f5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Jan 19 04:49:43 2013 +0100

    Updated Polish translation

 po/pl.po | 44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

commit c545de00fda3fa1add943c87c816f03416c1e5f3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jan 18 18:29:35 2013 +0100

    Updated Spanish translation

 po/es.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7bfb4de13d4d56c89089ca25ec980d839d32f5f0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jan 18 18:28:39 2013 +0100

    Fixed syntax in Keywords field in .desktop file

 data/rhythmbox.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9d8c634f7041065e2c82a44484c89985023c21f1
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Jan 17 19:49:45 2013 +0100

    Fix wording. Get brown paperbag.

 po/hu.po | 745 ++-------------------------------------------------------------
 1 file changed, 21 insertions(+), 724 deletions(-)

commit 6121e26a5bbd927cccebe4d187fbd2d5b4f74f11
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jan 12 18:13:18 2013 +1000

    media-player-source: sync all playlists when music sync is enabled
    
    cause identified by J.D. Laub.

 sources/rb-media-player-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e593b458aff5d1cc4a0c87cbaaa17ca2689aa99
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Jan 8 21:20:13 2013 +0100

    Updated Serbian translation

 po/sr.po       | 358 +++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 358 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 366 insertions(+), 350 deletions(-)

commit 4819a923dd9403e45e52f3424aee48ea5d0c3171
Author: Tim-Philipp Müller <tim@centricular.net>
Date:   Sat Dec 22 12:58:07 2012 +0000

    bindings/gi: fix build in uninstalled GStreamer setup some more
    
    Make gir scanner find GStreamer .gir files in right prefix.
    
    Fixes build in uninstalled GStreamer setup or with GStreamer having
    been installed in a different prefix.

 bindings/gi/Makefile.am | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit cfc67368251fab01541d67760692ec508a3f0baa
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Dec 20 22:51:48 2012 +0200

    Updated Lithuanian translation

 po/lt.po | 186 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 97 insertions(+), 89 deletions(-)

commit c4749547233f70a8ba397bded74ac10801f54e54
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Dec 16 19:47:55 2012 +0100

    Updated Spanish translation

 help/es/es.po | 262 +++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 231 insertions(+), 31 deletions(-)

commit 0cdc8477db4adbdedd4b4cac2fc1a08f77db3f7c
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sun Dec 16 12:28:38 2012 +0400

    Updated Russian translation

 po/ru.po | 1828 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 945 insertions(+), 883 deletions(-)

commit 4c6bc10b482a3cdc79e2060716ff53889b1d9577
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Dec 15 21:18:25 2012 +1000

    xfade: adjust stream locking to avoid recursion
    
    As illustrated in this bug: https://bugzilla.gnome.org/show_bug.cgi?id=689899
    the switch from async pad (un)blocking in GStreamer 0.10 to
    pad probes with no removal callback resulted in some
    recursive stream locking.  Fix this by moving certain calls
    outside the stream lock.
    
    Also change the way we block streams before unlinking them.
    'idle' pad probes sometimes get called synchronously, which
    doesn't work when the caller holds the lock and the callback
    wants to take it.  Using block_downstream probes seems to be
    enough.
    
    Furthermore, don't assert that we're not already trying to
    unlink the stream - for buffering streams, we'll get called
    a few times before we actually manage to block the stream and
    unlink it.

 backends/gstreamer/rb-player-gst-xfade.c | 43 ++++++++++++++++++--------------
 1 file changed, 24 insertions(+), 19 deletions(-)

commit 6216a9cffeca590e98c0b8f93c67108ba3d973fc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Dec 15 19:36:41 2012 +1000

    xfade: abandon buffering streams if we're already fading them out
    
    The fade out isn't going to work properly in this case no matter
    what we do, and if we try playing the stream again later we might
    forget we're trying to get rid of it.

 backends/gstreamer/rb-player-gst-xfade.c | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit b1cb740e1d1811857a386ce1921d197166e19950
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Dec 13 23:23:53 2012 +1000

    xfade: deal with tag messages posted by the sink
    
    With GStreamer 1.0 tag messages are posted by the sink rather than
    the element that found the tags, so we can't find the stream that
    the tags apply to by checking the message source any more.  For now,
    we associate tag messages with the first available stream that is
    playing, but at some point we should be able to get a stream id
    for the tags.

 backends/gstreamer/rb-player-gst-xfade.c | 36 ++++++++++++++++++++++++--------
 1 file changed, 27 insertions(+), 9 deletions(-)

commit e8521269670e44a42efcfb454bce16159a6ef5cc
Author: Alban Browaeys <prahal@yahoo.com>
Date:   Sun Jul 22 15:54:26 2012 +0200

    metadata: gst 1.0 audio_%d -> audio_%u
    
    mp4mux's audio sink pad template is now named audio_%u.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690113

 metadata/rb-metadata-gst.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 28f9f7bef590cd45ee6a073376abe75f686dd861
Author: Matt Glover <mpglover@gmail.com>
Date:   Wed Dec 12 01:09:47 2012 -0500

    Restore Audioscrobbler radio source UI popup name
    
    In commit 6fe21e1b the popup name for audioscrobbler radio sources was inexplicably changed in the UI XML but not in the code. I imagine it was changed by a find/replace gone wrong. That change broke the popup used to rename and delete radio stations. This commit reverts the XML update component of commit 6fe21e1b to re-enable the radio source context menu.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679982

 plugins/audioscrobbler/audioscrobbler-radio-ui.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b272d54c37aebb4db430d34770d1727c6c00f54f
Author: Miguel Rodriguez <bokerones.fritos@gmail.com>
Date:   Wed Dec 12 12:38:55 2012 +0100

    Updated Spanish translation

 help/es/es.po | 405 +++++++++++-----------------------------------------------
 1 file changed, 72 insertions(+), 333 deletions(-)

commit 7cdfbba7256c11cd753349b105fd05bedcfadf9f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Dec 10 21:55:45 2012 +0100

    Updated Slovenian translation

 po/sl.po | 189 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 97 insertions(+), 92 deletions(-)

commit 829a1a2bf20590fcf86c1b4c27f715b901b0957b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Dec 9 19:22:57 2012 +0100

    Updated Polish translation

 po/pl.po | 182 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 94 insertions(+), 88 deletions(-)

commit 1dff33e8e723a58cd6e7ef164422d19110e086ef
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Dec 8 19:19:08 2012 +0100

    Updated Spanish translation

 po/es.po | 193 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 101 insertions(+), 92 deletions(-)

commit 4b7eda035bfbd6f720689f50139694fd8e262cc3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Dec 2 20:40:50 2012 +1000

    xfade: forget about stopping the sink for now
    
    adder seems to disagree with the sink about how timestamps should
    work after we restart the sink, resulting in skipping ahead or
    lengthy silences.  Until we get this sorted out, we can just
    leave the sink running.

 backends/gstreamer/rb-player-gst-xfade.c | 3 +++
 1 file changed, 3 insertions(+)

commit e4430bfd1ab8815a4f1395c73858695897b689fa
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Dec 2 20:38:35 2012 +1000

    xfade: don't hold stream lock while sending seeks
    
    This inverts a lock order taken elsewhere, so it can deadlock
    if you're unlucky.

 backends/gstreamer/rb-player-gst-xfade.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0b3bc7d1b65af0c864a0c0803c026bb8214d71b3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Nov 29 22:23:38 2012 +1000

    track-transfer-batch: make encoding-target not construct only again
    
    This apparently got lost in a merge/rebase somewhere along the line.

 shell/rb-track-transfer-batch.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a65f972642dca738c2d0e788862a7f1bc39070d5
Author: Iain Lane <iain.lane@canonical.com>
Date:   Mon Nov 26 12:06:42 2012 +0000

    Port the DAAP plugin to GStreamer 1.0
    
    Depends on the (as-yet) unreleased port of libdmapsharing (BGO #680797).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681469

 configure.ac                  | 11 +++---
 plugins/daap/rb-daap-plugin.c |  2 +
 plugins/daap/rb-daap-src.c    | 87 +++++++++++++++++++------------------------
 plugins/daap/rb-daap-src.h    |  2 +
 4 files changed, 47 insertions(+), 55 deletions(-)

commit 1918b6b3184c1e1d8d1c7be108f2e9458d36528e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Nov 11 16:55:00 2012 +1000

    xfade: put stream volume element in passthrough when possible
    
    This might save a cpu cycle or two.

 backends/gstreamer/rb-player-gst-xfade.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a9fe40db8c8bc1889c051ca063435a650eb5051e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Nov 11 16:30:26 2012 +1000

    xfade: divide volume controller values by 10
    
    Controller values are scaled so that 1.0 maps to the maximum
    value for the property under control.  Since the maximum value
    for volume is 10.0, which results in massive clipping, our
    stream volumes should range from 0.0 to 0.1, not 0.0 to 1.0.

 backends/gstreamer/rb-player-gst-xfade.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit a577dd5a3f4143af480b0ff763b0bdfb8f757971
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Nov 10 20:40:02 2012 +1000

    xfade: need to explicitly request flush events in the stream probe

 backends/gstreamer/rb-player-gst-xfade.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ec55804cd2802279995b9a08bb61e0e2c7617f10
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Nov 9 08:54:29 2012 +1000

    xfade: fix probe type for blocking streams to be unlinked
    
    we need both BLOCK_DOWNSTREAM and IDLE here as we want to block
    streams that may not have any data flowing, but we can't allow
    any data that is currently flowing to pass.

 backends/gstreamer/rb-player-gst-xfade.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b625b0991f3a2b5de014f626fd822bfae6b9cafe
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Nov 9 08:54:16 2012 +1000

    xfade: add some missing locking

 backends/gstreamer/rb-player-gst-xfade.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 130e384c2f5d7ff0715409eaeed4b3be486aeda9
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Nov 9 07:31:00 2012 +1000

    xfade: pad probe functions should return a GstPadProbeReturn

 backends/gstreamer/rb-player-gst-xfade.c | 38 ++++++++++++++++----------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit eaa67732bf3131eae136cc7dbbd9c8db5f212afb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Nov 8 20:49:44 2012 +1000

    xfade: fix more pad block probes

 backends/gstreamer/rb-player-gst-xfade.c | 21 ++++++---------------
 1 file changed, 6 insertions(+), 15 deletions(-)

commit 9b417e9a5c238c15fe643611e9d37b24382a93ba
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Nov 8 08:28:13 2012 +1000

    xfade: only block downstream flow
    
    Playback sort of works now.

 backends/gstreamer/rb-player-gst-xfade.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ec2b1f6a4bc8ea66ce779d557c925f268230dc02
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Nov 8 07:02:13 2012 +1000

    xfade: make sure there's always a value in the volume control source
    
    The stream errors out during preroll without this.

 backends/gstreamer/rb-player-gst-xfade.c | 1 +
 1 file changed, 1 insertion(+)

commit 72b573ced36ac1289aa097cb9dc62e32c5692e0d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Nov 8 07:01:56 2012 +1000

    xfade: use gst_pad_query_caps

 backends/gstreamer/rb-player-gst-xfade.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 92df1341c93efe0218aef7ecd98f56ef8119f71d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Nov 8 07:00:45 2012 +1000

    xfade: fix pad blocking for prerolled streams
    
    Removing the block probe in the probe callback is fairly pointless.

 backends/gstreamer/rb-player-gst-xfade.c | 54 +++++++-------------------------
 1 file changed, 11 insertions(+), 43 deletions(-)

commit 00ea5ade2d1f7bc156a7e5dbfcd5b277abcac48a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Nov 7 20:05:26 2012 +1000

    metadata: use pad-added signal, gst_pad_query_caps

 metadata/rb-metadata-gst.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 00e7c2043cf74b1050333b5291d4f984365418c1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Nov 7 09:17:05 2012 +1000

    encoder: fix GstIterator usage

 backends/gstreamer/rb-encoder-gst.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit c95ad443781f237ffee92516c3f0d38eabd86664
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Nov 6 09:05:19 2012 +1000

    encoder: use gst_pad_query_caps to get decoded caps
    
    Now encoding works to some extent.

 backends/gstreamer/rb-encoder-gst.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 32dc68271c03aef60692f5b312a2e62396d63cab
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Nov 6 09:04:23 2012 +1000

    encoder: use pad-added, new-decoded-pad doesn't exist any more

 backends/gstreamer/rb-encoder-gst.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 45d1a4412225774f54effe4932a6617290894a30
Author: Edward Hervey <edward.hervey@collabora.co.uk>
Date:   Tue Sep 11 10:47:04 2012 +0200

    rb-player-gst-xfade: Minor fixes

 backends/gstreamer/rb-player-gst-xfade.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 3c4106bda3659bda9eafa21b3a371e226c58c28b
Author: Edward Hervey <edward.hervey@collabora.co.uk>
Date:   Tue Sep 11 10:46:45 2012 +0200

    rb-missing-plugins: Fix for latest gst 1.0 API change

 lib/rb-missing-plugins.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 374ebbaa884ae1be4e6eef0e2e220ae6a44b7a44
Author: Edward Hervey <edward.hervey@collabora.co.uk>
Date:   Tue Sep 11 10:46:15 2012 +0200

    audiocd: Port to latest 1.0 gst API

 plugins/audiocd/rb-audiocd-info.c   | 46 ++++++++++++++++++++++---------------
 plugins/audiocd/rb-audiocd-plugin.c | 10 ++------
 plugins/audiocd/rb-audiocd-source.c |  1 -
 3 files changed, 30 insertions(+), 27 deletions(-)

commit 4af5c723c14cf574503d26064340c4e1b3d1dc53
Author: Edward Hervey <edward.hervey@collabora.co.uk>
Date:   Tue Jul 10 18:18:31 2012 +0200

    rb-player-gst: Use GST_MESSAGE_STREAM_START

 backends/gstreamer/rb-player-gst.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 825cdcf8846ecef79c5e8466b764127ad7e4dbed
Author: Tim-Philipp Müller <tim@centricular.net>
Date:   Wed Aug 8 21:33:13 2012 +0100

    bindings/gi: make gir scanner find GStreamer .gir files in right prefix
    
    Fixes build in uninstalled GStreamer setup or with GStreamer having
    been installed in a different prefix.

 bindings/gi/Makefile.am | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit 82f08ac28f145272932fc2a2a72d4b5ab069337a
Author: Tim-Philipp Müller <tim@centricular.net>
Date:   Wed Aug 8 21:29:51 2012 +0100

    More 0.11 -> 1.0 for GStreamer bits

 bindings/gi/Makefile.am | 4 ++--
 rhythmbox.pc.in         | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 40f48d73b238e00202566fe64f84ad1a22289905
Author: Edward Hervey <edward.hervey@collabora.co.uk>
Date:   Tue Jul 3 11:16:26 2012 +0200

    gst: Take a reference on objects returned by iterators

 backends/gstreamer/rb-player-gst-helper.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e85d8ddaf3fa9fedbe54b78ed49bfdd233eeb42
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Jul 3 09:22:09 2012 +1000

    GStreamer package and library names changed from 0.11 to 1.0

 backends/gstreamer/Makefile.am           |  4 ++--
 backends/gstreamer/rb-encoder-gst.c      |  4 ++--
 backends/gstreamer/rb-player-gst-xfade.c |  2 +-
 configure.ac                             | 21 ++++++++++-----------
 metadata/Makefile.am                     |  4 ++--
 metadata/rb-metadata-gst.c               |  4 ++--
 plugins/mtpdevice/rb-mtp-gst-sink.c      |  1 +
 plugins/visualizer/Makefile.am           |  1 -
 shell/Makefile.am                        |  6 +++---
 9 files changed, 23 insertions(+), 24 deletions(-)

commit 3b01da51d34267bdafafde0e324ab44ef26933f7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 27 23:28:58 2012 +1000

    disable daap and visualizer plugins
    
    These require dependencies (libdmapsharing, clutter-gst) to be
    ported to GStreamer 0.11.

 configure.ac | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit 5dd1cde3e2caddf60ab934cf695d3471ba0ca629
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 27 23:14:36 2012 +1000

    xfade: initial "it compiles" conversion to GStreamer 0.11
    
    This really doesn't work yet.

 backends/gstreamer/rb-player-gst-xfade.c | 260 ++++++++++++++++---------------
 1 file changed, 135 insertions(+), 125 deletions(-)

commit d66d4e407696344d42d7d773b73d1e25fd82186d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 27 23:11:49 2012 +1000

    replaygain: initial bits of GStreamer 0.11 conversion
    
    We don't have working playback pipeline filters yet, so
    this doesn't work at all.

 plugins/replaygain/player.py | 30 +++++++++++++++++-------------
 1 file changed, 17 insertions(+), 13 deletions(-)

commit 80d628a2cf2cdd471a3750dd36f40f7a74231c09
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 27 23:09:36 2012 +1000

    playbin2: convert to GStreamer 0.11, drop the '2'
    
    Tee/filter things don't work yet, but basic playback seems fine.

 backends/gstreamer/rb-player-gst-helper.c | 123 +++++++++++++++++-------------
 backends/gstreamer/rb-player-gst.c        |  44 ++++-------
 2 files changed, 87 insertions(+), 80 deletions(-)

commit f72a693455e444b813a22621ef0fc600893021d0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 27 23:08:30 2012 +1000

    encoder: convert to GStreamer 0.11

 backends/gstreamer/rb-encoder-gst.c | 25 +++++++++++--------------
 lib/rb-gst-media-types.c            |  4 ++--
 2 files changed, 13 insertions(+), 16 deletions(-)

commit 45f106b2b9737b575b05332150b257ec647b673b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 27 23:04:10 2012 +1000

    visualizer: initial conversion to GStreamer 0.11
    
    We don't have a clutter-gst for 0.11 yet, so this won't work at all.

 plugins/visualizer/rb-visualizer-menu.c | 2 +-
 plugins/visualizer/rb-visualizer-page.c | 6 ++----
 2 files changed, 3 insertions(+), 5 deletions(-)

commit 694ab023625f4b3dfdabde3768e3457ae34e75d8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 27 23:03:33 2012 +1000

    mtp: convert to GStreamer 0.11

 plugins/mtpdevice/Makefile.am       |   2 +
 plugins/mtpdevice/rb-mtp-gst-sink.c |  85 ++++++++---------------------
 plugins/mtpdevice/rb-mtp-gst-src.c  | 106 ++++++++++++------------------------
 plugins/mtpdevice/rb-mtp-gst.c      |  58 ++++++++++++++++++++
 plugins/mtpdevice/rb-mtp-gst.h      |  39 +++++++++++++
 plugins/mtpdevice/rb-mtp-plugin.c   |   5 +-
 6 files changed, 161 insertions(+), 134 deletions(-)

commit aad5cc13042eb2950dba6d206c875f0050039e34
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 27 23:02:25 2012 +1000

    fmradio: convert source element to GStreamer 0.11

 plugins/fmradio/rb-fm-radio-gst-src.c | 85 ++++++++++++++---------------------
 1 file changed, 34 insertions(+), 51 deletions(-)

commit 227d97a34579dbd133813f2783c4f5d799132760
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 27 23:01:39 2012 +1000

    audiocd: start conversion to GStreamer 0.11
    
    We don't have a quick way to get at track durations yet, so this is
    a bit broken.

 plugins/audiocd/rb-audiocd-source.c | 3 +++
 1 file changed, 3 insertions(+)

commit 1ef279f5d2ce67e45b180a31345f27c76236c9ad
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 27 22:57:35 2012 +1000

    GstEncodingTarget is now a GObject, not a GstMiniObject

 shell/rb-track-transfer-batch.c  | 14 +++++++-------
 sources/rb-media-player-source.c | 14 +++++++-------
 sources/rb-transfer-target.c     | 10 +++++-----
 3 files changed, 19 insertions(+), 19 deletions(-)

commit 2846b856f369236054019f68608fb211fefe52a8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 27 22:57:12 2012 +1000

    metadata: convert to GStreamer 0.11

 metadata/rb-metadata-gst-common.c | 25 --------------------
 metadata/rb-metadata-gst-common.h |  2 --
 metadata/rb-metadata-gst.c        | 49 ++++++++-------------------------------
 3 files changed, 10 insertions(+), 66 deletions(-)

commit 1565eca28d4c961320146cd29968e80ea98d069f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 27 22:56:27 2012 +1000

    build against GStreamer 0.11

 backends/gstreamer/Makefile.am |  4 ++--
 bindings/gi/Makefile.am        |  4 ++--
 configure.ac                   | 24 ++++++++++--------------
 metadata/Makefile.am           |  4 ++--
 plugins/audiocd/Makefile.am    |  4 +---
 plugins/visualizer/Makefile.am |  2 +-
 rhythmbox.pc.in                |  2 +-
 shell/Makefile.am              |  6 +++---
 8 files changed, 22 insertions(+), 28 deletions(-)

commit d2cc20167413f191aaeebdf37109ad44f3715aef
Author: Miguel Rodríguez <bokerones.fritos@gmail.com>
Date:   Wed Dec 5 18:04:28 2012 +0100

    Updated Spanish translation

 help/es/es.po | 107 ++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 60 insertions(+), 47 deletions(-)

commit 277d5c23d5db8092eeeae696dfd6ccb843c78671
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Dec 3 08:53:33 2012 +1000

    header: don't crash when handling pixbuf drag and drop
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689413

 widgets/rb-header.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 862132cb2e3c029df0d1694888e64e90280db4a6
Author: Miguel Rodríguez <bokerones.fritos@gmail.com>
Date:   Sun Dec 2 18:43:21 2012 +0100

    Updated Spanish translation

 help/es/es.po | 227 +++++++++++++++++++++-------------------------------------
 1 file changed, 81 insertions(+), 146 deletions(-)

commit 34aa993301ec09d978a81d6e55622bd5e666b679
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Dec 1 14:48:21 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 84 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 45 insertions(+), 39 deletions(-)

commit e3c653c0236f660247d801415e514a93d80adb2f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Dec 1 20:48:59 2012 +1000

    add missing cast from previous commit.  oops.

 shell/rb-shell.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b48fec9395a1b284c8910d2abc26f8965a1658b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Dec 1 19:06:48 2012 +1000

    shell: make the bottom plugin widget container visible
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688515

 shell/rb-shell.c | 1 +
 1 file changed, 1 insertion(+)

commit b8ea567292434c448fd5488cdff1585079b0c8fb
Author: Miguel Rodriguez <bokerones.fritos@gmail.com>
Date:   Tue Nov 27 11:08:45 2012 +0100

    Updated Spanish translation

 help/es/es.po | 243 ++++++++++++++++++++--------------------------------------
 1 file changed, 81 insertions(+), 162 deletions(-)

commit df24b5a865f1f8e74bfa483610b803598ee01a33
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Nov 24 17:03:06 2012 +0200

    Updated Lithuanian translation

 po/lt.po | 188 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 94 insertions(+), 94 deletions(-)

commit cb9699074055ef1956fbc35ba956675706b1e0bd
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Nov 24 11:36:47 2012 +0100

    Updated Czech translation

 po/cs.po | 175 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 90 insertions(+), 85 deletions(-)

commit 0f4b371201066565a75447c5da51301ec2d19d77
Author: Miguel Rodriguez <bokerones.fritos@gmail.com>
Date:   Fri Nov 23 11:14:20 2012 +0100

    Updated Spanish translation

 help/es/es.po | 58 +++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 43 insertions(+), 15 deletions(-)

commit 0c4be6728c0313172fc7a1716c2d1bddcf4a59fd
Author: Miguel Rodriguez <bokerones.fritos@gmail.com>
Date:   Thu Nov 22 16:00:34 2012 +0100

    Updated Spanish translation

 help/es/es.po | 3119 +++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 2230 insertions(+), 889 deletions(-)

commit 422a3cf4dfbd162c3846ea17c57974812957cb30
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Wed Nov 21 14:52:13 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 2453 ++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po | 2468 +++++++++++++++++++++++++++++++----------------------------
 2 files changed, 2594 insertions(+), 2327 deletions(-)

commit 42145b95659748bc75b5e7a80d990983911c6488
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Nov 19 13:45:47 2012 +0100

    Updated Spanish translation

 po/es.po | 178 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 90 insertions(+), 88 deletions(-)

commit 6e72a8f68973d903fc4368a497c0e914f4095c54
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Nov 19 13:45:15 2012 +0100

    Updated Slovenian translation

 po/sl.po | 743 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 389 insertions(+), 354 deletions(-)

commit 7940c669c22f444dec6af31d08f92abb5f7ba96e
Author: Chris Triantafillis <christriant1995@gmail.com>
Date:   Sun Nov 18 21:30:33 2012 +0200

    Updated Greek help translation

 help/el/el.po                               | 4939 ++++++++++++++++++++-------
 help/el/figures/rb-iradio-main.png          |  Bin 0 -> 160086 bytes
 help/el/figures/rb-statusbar.png            |  Bin 0 -> 4896 bytes
 help/el/figures/rb-toolbar-prevplaynext.png |  Bin 0 -> 1375 bytes
 help/el/figures/rb-toolbar-repeat.png       |  Bin 0 -> 2980 bytes
 help/el/figures/rb-toolbar-shuffle.png      |  Bin 0 -> 2954 bytes
 help/el/figures/rb-toolbar.png              |  Bin 0 -> 3694 bytes
 help/el/figures/rb-window-small.png         |  Bin 0 -> 18171 bytes
 help/el/figures/rb-window.png               |  Bin 0 -> 191730 bytes
 9 files changed, 3777 insertions(+), 1162 deletions(-)

commit 6b7cd647a0ae29c71d7515a211e36b51997636a4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Nov 17 21:57:45 2012 +0100

    Updated Polish translation

 po/pl.po | 174 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 90 insertions(+), 84 deletions(-)

commit 5c5930ef2a066af9b9d2391418675d3bc088c5fe
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Nov 17 22:33:42 2012 +1000

    add keywords to the .desktop file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679880

 data/rhythmbox.desktop.in.in | 1 +
 1 file changed, 1 insertion(+)

commit 1af238d7f097f08eb1016f0441339401d20970b9
Author: Armin K <krejzi@email.com>
Date:   Fri Nov 16 00:15:49 2012 +0100

    Disable building of static libraries by default.

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 6ccbc4458bbd69766b773e661cc656f3230ae815
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 17 19:02:50 2012 +0200

    shell: Call XInitThreads() on X11 systems
    
    Otherwise bad things can happen with some plugins that expect
    mutexes to work, like the visualiser plugin and Clutter.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686320

 configure.ac | 15 +++++++++++++++
 shell/main.c | 12 ++++++++++++
 2 files changed, 27 insertions(+)

commit fef60ebb28f708fb95828c0d20ed2337fbc08d9d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Nov 14 22:20:39 2012 +1000

    remove some obsolete junk from autogen.sh

 autogen.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c98e314468ddf3f9023eb934c5422d54eb5355c4
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Nov 11 18:54:56 2012 +0100

    Updated Galician translations

 po/gl.po | 344 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 181 insertions(+), 163 deletions(-)

commit 1d87ba8b76eeeb9d18495fe2cb1e04ea88bdf58d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Nov 11 19:51:11 2012 +1000

    update .gitignore

 .gitignore | 4 ++++
 1 file changed, 4 insertions(+)

commit 12207197507a3cbe2ffd52816c4902869f77fa0d
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Oct 29 08:39:48 2012 -0400

    help: port to new documentation infrastructure
    
    https://live.gnome.org/GnomeGoals/NewDocumentationInfrastructure
    
    https://bugzilla.gnome.org/show_bug.cgi?id=687109

 Makefile.am                  |    2 -
 configure.ac                 |    5 +-
 help/C/Makefile.am           |   35 -
 help/C/index.docbook         | 1892 ++++++++++++++++++++++++++++++++++++++++++
 help/C/legal.xml             |    2 +-
 help/C/rhythmbox.xml         | 1891 -----------------------------------------
 help/Makefile.am             |   12 +-
 help/rhythmbox.omf.in        |    9 -
 omf.make                     |   61 --
 shell/rb-shell-preferences.c |    2 +-
 shell/rb-shell.c             |    2 +-
 11 files changed, 1902 insertions(+), 2011 deletions(-)

commit cc6a9d5b6af88a3277b7cb940d2aa4516c15329e
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Nov 9 15:24:52 2012 +0100

    Updated Czech translation

 po/cs.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 13f8894157fc736179d45ba12a9381ea53281ce0
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Nov 9 10:39:10 2012 +0100

    Updated Serbian translation

 po/sr.po       | 227 ++++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po | 227 ++++++++++++++++++++++++++++++---------------------------
 2 files changed, 242 insertions(+), 212 deletions(-)

commit 7e56ebfefad3f514bfce22acc0b6202206908e66
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Nov 6 07:34:22 2012 +1000

    text-helpers: kill the leading space
    
    Checking if the length of the string is zero isn't a good way to
    see if you've formatted anything into it yet when you always write
    a direction mark character first.

 lib/rb-text-helpers.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit d1b39871b0e8e9b2300ad78070c6d89588cf849b
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Nov 5 18:17:13 2012 +0100

    Updated Czech translation

 po/cs.po | 134 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 75 insertions(+), 59 deletions(-)

commit 420b5f054479a3c7ecad62b7183e1d8347a91af8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Nov 5 14:31:15 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 323 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 172 insertions(+), 151 deletions(-)

commit 1ca12fb753b401e36de22b9609e823e948633644
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Oct 6 00:14:22 2012 +0100

    audioscrobbler: only show toolbar when logged in
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685004

 plugins/audioscrobbler/rb-audioscrobbler-profile-page.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f8d53a84cbbbf1a94fb738442d7418441da40b05
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Nov 3 21:57:40 2012 +1000

    podcast: show all feeds in the browser when not searching
    
    Rather than building the feed browser model off the query used
    to create the episode list, when there is no search query, use
    a separate query so as to include feeds that don't have any
    episodes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673533

 podcast/rb-podcast-main-source.c |  1 +
 podcast/rb-podcast-source.c      | 71 +++++++++++++++++++++++++++++++---------
 2 files changed, 56 insertions(+), 16 deletions(-)

commit 29058edd64e7337a39910c7a0c9a842cb4c6f0f5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Nov 2 08:12:38 2012 +1000

    podcast: download all new episodes when auto updating
    
    https://bugzilla.gnome.org/show_bug.cgi?id=376372

 podcast/rb-podcast-manager.c | 40 ++++++++++++++++++++++++++++++++--------
 podcast/rb-podcast-source.c  | 12 ++++++------
 2 files changed, 38 insertions(+), 14 deletions(-)

commit 70ec22f15cba85883a29183e13e151e833787e09
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Oct 31 22:47:08 2012 +1000

    podcast: display an icon in the feed browser when updating the feed

 podcast/rb-podcast-manager.c | 30 +++++++++++++++++++++++-------
 podcast/rb-podcast-source.c  | 36 +++++++++++++++++++++++++++---------
 rhythmdb/rhythmdb.h          |  4 ++++
 3 files changed, 54 insertions(+), 16 deletions(-)

commit a2ead52faa45a37f28dff1e94cad5f0dadd28129
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Nov 4 10:13:34 2012 +1000

    rhythmdb: fix deadlock between db load and rhythmdb_add_uri_with_types
    
    These took the entry lock (within rhythmdb-tree) and the stat lock
    (within rhythmdb) in different orders, and so would deadlock if they
    were unlucky enough to happen at the same time.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678032

 rhythmdb/rhythmdb.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 58d8cd99a106106b0e4fc06af99059d4b053dbae
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:   Sat Nov 3 07:51:08 2012 +0100

    [l10n] Updated German translation

 po/de.po | 906 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 491 insertions(+), 415 deletions(-)

commit 637bd6d12d8afba28baece1a23d71e69587b39b2
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Nov 1 15:52:59 2012 +0200

    Updated Lithuanian translation

 po/lt.po | 145 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 82 insertions(+), 63 deletions(-)

commit ddb6afdfade084792cc00ce47a1d6e2ac2963b0a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Nov 1 01:19:15 2012 +0100

    Updated Polish translation

 po/pl.po | 124 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 70 insertions(+), 54 deletions(-)

commit ecf533896f4e0b6ec22769c86bf883e28c4e810d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Oct 30 21:48:30 2012 +0100

    Updated Slovenian translation

 po/sl.po | 130 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 73 insertions(+), 57 deletions(-)

commit 945a38435164ee81ec8baba5bd575056da114543
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Oct 30 16:39:09 2012 +0100

    Updated Spanish translation

 po/es.po | 142 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 79 insertions(+), 63 deletions(-)

commit 96bc19725c88ed30238e6b29b0ea364e955b5ae3
Author: Darcy Bras da Silva <dardevelin.cidadecool.com>
Date:   Sun Sep 30 12:46:42 2012 +0100

    add repeat, no-repeat, shuffle, no-shuffle to rhythmbox-client

 remote/dbus/rb-client.c | 59 ++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 58 insertions(+), 1 deletion(-)

commit e0e538e8985b1f0d20058f53f04016ec1acbb75d
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Oct 28 11:19:51 2012 +0100

    Updated Czech translation

 po/cs.po | 75 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 40 insertions(+), 35 deletions(-)

commit 98e5a25b3c32c9915357968a78783c1ac21c7130
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 28 14:02:53 2012 +1000

    shell-player: clear playlist parser cancellable when pausing
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663440

 shell/rb-shell-player.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 493e85023f8fe9bf0996141d2eb6bcdbd657e833
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Oct 27 23:31:25 2012 +1000

    header: munge button events to pretend the slider trough is much wider

 widgets/rb-header.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit fc9985faa89d1fc70e6a3dfcf47a3833e3a8d480
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Oct 26 07:32:49 2012 +1000

    header: make slider insensitive when not playing

 widgets/rb-header.c | 1 +
 1 file changed, 1 insertion(+)

commit 7aac06466bd8697ba95947beb1bb77d62faebc98
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Mar 17 19:40:44 2012 +0100

    Make use of mnemonics on the Edit and Search again buttons.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672306

 plugins/lyrics/lyrics.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit aa2f3118cb0d0a4121035ea1e49b5e49303c336e
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Oct 25 23:14:09 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 104 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 41 insertions(+), 63 deletions(-)

commit 2b4e747611e522d411041871d24b4b03b29f9c1e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Oct 22 22:32:40 2012 +1000

    mtp: don't try to rebuild albums on devices that forget them
    
    This turns out to have been a fairly terrible idea.  Doing this
    makes the mtp stack on samsung android phones angry somehow, and
    it never really achieved anything anyway.

 plugins/mtpdevice/rb-mtp-thread.c | 57 ---------------------------------------
 1 file changed, 57 deletions(-)

commit 03e27fc591eb8bc18016923aec99647b681fdadf
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Oct 22 12:36:33 2012 +0200

    Updated Spanish translation

 po/es.po | 104 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 49 insertions(+), 55 deletions(-)

commit 9fd763ab2fbf91dbd15be94d38bb95f9726de1d4
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Oct 17 13:12:03 2012 -0400

    eggwrapbox: Fix getting orientation as a property

 widgets/eggwrapbox.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7ab7134408dbb900bdbe999096ff0c3ea283a80a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Oct 21 20:05:51 2012 +0200

    Updated Slovenian translation

 po/sl.po | 39 +++++++++++++++++++++++----------------
 1 file changed, 23 insertions(+), 16 deletions(-)

commit f7a0dcde8fab58a82371f004ad1d0bc81128d9cc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Oct 21 20:01:09 2012 +0200

    Updated Polish translation

 po/pl.po | 85 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 45 insertions(+), 40 deletions(-)

commit 02618679ad9309cf73befdf290914651b8e19e49
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 21 22:50:14 2012 +1000

    lyrics: fix busted merge

 plugins/lyrics/LyricsSites.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f2e5c2034e3d9278dea3378ffa6b49e79dc523a1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 21 20:06:37 2012 +1000

    media-player-source: hold a reference while syncing
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685910

 sources/rb-media-player-source.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 14b9e2312cb6f92bce7d01c0510717af785615b2
Author: hejian <hejian.he@gmail.com>
Date:   Sun Oct 21 18:43:57 2012 +1000

    lyrics: add parsers for jetlyrics.com and j-lyric.net
    
    https://bugzilla.gnome.org/show_bug.cgi?id=674178

 plugins/lyrics/JetlyricsParser.py | 75 +++++++++++++++++++++++++++++++++++++++
 plugins/lyrics/JlyricParser.py    | 69 +++++++++++++++++++++++++++++++++++
 plugins/lyrics/LyricsSites.py     |  4 +++
 plugins/lyrics/Makefile.am        |  4 ++-
 4 files changed, 151 insertions(+), 1 deletion(-)

commit fade732e0201e879847dd3d16386cdb056cf36b2
Author: Leo Iannacone <l3on@ubuntu.com>
Date:   Sun Oct 21 17:55:08 2012 +1000

    lyrics: fix set_transient_for call
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685821

 plugins/lyrics/LyricsConfigureDialog.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7dd29e92e6828ea438ed0f19f5865fc718abcc17
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Tue Sep 18 23:58:40 2012 +0200

    artsearch: remove URI schemes filtering
    
    It's incomplete, out of date, and useless as we now filter the exceptions
    from gvfs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684301

 plugins/artsearch/local.py | 6 ------
 1 file changed, 6 deletions(-)

commit 2a405e3cae7ed87c7aa32d4510f69e6405ca9b9f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Oct 20 00:16:23 2012 +0200

    Updated Slovenian translation

 po/sl.po | 126 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 58 insertions(+), 68 deletions(-)

commit 64c6837921f2a03cb49772d8ea2e130fd5b55088
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Thu Oct 11 10:59:16 2012 +0200

    Disable the context pane plugin when webkit isn't available
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685945

 plugins/Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit d2eab9d050935463ac6727e71d107a3bfa940856
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Mon Oct 15 20:20:59 2012 +0300

    Updated Latvian translation.

 po/lv.po | 29 +++++++++++++++--------------
 1 file changed, 15 insertions(+), 14 deletions(-)

commit 0149adf19c7fc725a45d52b43ba8a1eb8a7e69b0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 14 19:17:03 2012 +1000

    ext-db: don't crash if converting the encoded value fails

 metadata/rb-ext-db.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 4865e3468d268cb353c052ef36ed961a00673499
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 14 16:53:47 2012 +1000

    lyrics: disable astraweb parser as its servers aren't talking
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685893

 plugins/lyrics/LyricsSites.py | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit e403650cc32ff279908ad46eb5ea99e1d893dd59
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 14 16:52:17 2012 +1000

    lyrics: fix the winampcn.com parser
    
    url encoding a full url is generally a bad idea.

 plugins/lyrics/WinampcnParser.py | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 15cbb4793f6002f17e7e0e32a80ccc2b69000d5a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 14 16:00:55 2012 +1000

    daap: don't use plugin in config widget signal handlers
    
    The plugin is disposed immediately after the config widget is
    created.  Instead, we can just create the settings instances we
    need in the signal handlers.

 plugins/daap/rb-daap-plugin.c | 32 +++++++++++++++++++++++---------
 1 file changed, 23 insertions(+), 9 deletions(-)

commit e26173c105364d1ee55b43f9b7e35c84b5e40c7f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Oct 13 22:28:00 2012 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 669 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 325 insertions(+), 344 deletions(-)

commit c331b2df7ae36a8bda07b4b2282cfc7b9f2148ce
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Oct 10 21:59:17 2012 +0200

    Updated Czech translation

 po/cs.po | 923 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 451 insertions(+), 472 deletions(-)

commit c92be6e8ee97be5cb526817645dad50b1857d8c6
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Oct 10 21:11:31 2012 +1000

    dbus-media-server: fix object path formatting
    
    negative numbers don't work so well, so format things unsigned.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685565

 plugins/dbus-media-server/rb-dbus-media-server-plugin.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8d9ec0c83ae60936c4bab6db0629bc3d759f7200
Author: Leo Iannacone <l3on@ubuntu.com>
Date:   Wed Oct 10 08:52:10 2012 +1000

    lyrics: update the darklyrics parser
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685822

 plugins/lyrics/DarkLyricsParser.py | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit 04de8e2bad5430cb1723cc43f69493ea197e375c
Author: Leo Iannacone <l3on@ubuntu.com>
Date:   Wed Oct 10 08:43:19 2012 +1000

    context-pane: add missing import in the links tab
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685820

 plugins/context/LinksTab.py | 1 +
 1 file changed, 1 insertion(+)

commit 6d5b55fbca88676638360e5343b6dc264cecdd69
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Oct 8 12:41:19 2012 +0200

    Updated Hungarian translation

 po/hu.po | 331 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 194 insertions(+), 137 deletions(-)

commit 0db96820a40622999f875796c3e85c003a922820
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Oct 6 23:02:11 2012 +1000

    update .gitignore

 .gitignore | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 72906495ec4728fd10582f00213755e509d131bc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Oct 3 21:12:00 2012 +1000

    artsearch: fix fd leak by closing enumerators explicitly

 plugins/artsearch/local.py | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 3b02a05f529a31e848908b00d8f60c4caef04f14
Author: Ibrahim Saed <ibraheem5000@gmail.com>
Date:   Wed Oct 3 08:15:19 2012 +0100

    Updated Arabic translation

 po/ar.po | 1174 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 632 insertions(+), 542 deletions(-)

commit df986f7254a541641adec37199c5e5d3a409a978
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Oct 3 09:39:58 2012 +0530

    update Punjabi Translation

 po/pa.po | 6705 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 3424 insertions(+), 3281 deletions(-)

commit 2d9ae918080647789cf9418c3a4ca1a9b90e4dc7
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Oct 1 23:09:32 2012 +0700

    Updated Indonesian translation

 po/id.po | 557 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 260 insertions(+), 297 deletions(-)

commit 5a339475e3ca52297f087b583936a49d385c6841
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Sep 30 13:09:17 2012 +0200

    Updated Spanish translation

 po/es.po | 451 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 250 insertions(+), 201 deletions(-)

commit cc6ea7c6a93233f26f0792a7e4c72599ed35e8dd
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 30 19:35:25 2012 +1000

    Rhythmbox 2.98

 NEWS         | 77 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README       |  2 +-
 configure.ac |  2 +-
 3 files changed, 79 insertions(+), 2 deletions(-)

commit f095d1b1e7402278e2c803c6e45a0472b3817284
Author: Yuri Matsuk <yuri@matsuk.net>
Date:   Sat Sep 29 18:07:31 2012 +0300

    Updated Belarusian translation.

 po/be.po | 914 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 443 insertions(+), 471 deletions(-)

commit 7dfde56e065c1dc0f05bdde18d3de10642bdb9a1
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Sep 29 19:44:55 2012 +0700

    Updated Indonesian translation

 po/id.po | 1557 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 767 insertions(+), 790 deletions(-)

commit a1dccff33d1c5e1df4f0bf3d35bc661db52e30df
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Sat Sep 29 14:50:09 2012 +0530

    Updated Telugu Translation

 po/te.po | 807 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 424 insertions(+), 383 deletions(-)

commit 601afd89f41b83c5193edcffe4e21277659a51c2
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Sep 29 05:56:05 2012 +0200

    Updated Serbian translation

 po/sr.po       | 416 +++++++++++++++++++++++++++++++--------------------------
 po/sr@latin.po | 416 +++++++++++++++++++++++++++++++--------------------------
 2 files changed, 448 insertions(+), 384 deletions(-)

commit 8561fc6b7b647ac56a55a7771f8aca6cc3a7be7b
Author: Henrique P. Machado <hpmachado@gnome.org>
Date:   Fri Sep 28 13:37:39 2012 -0300

    Updated Brazilian Portuguese Translation

 po/pt_BR.po | 1465 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 788 insertions(+), 677 deletions(-)

commit 9dbae0d2d91087d9404286338b6face906937798
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Fri Sep 28 00:17:46 2012 +0300

    Updated Latvian translation

 po/lv.po | 46 +++++++++++++++++++++-------------------------
 1 file changed, 21 insertions(+), 25 deletions(-)

commit c813ed10c8c8b2287ae8c3ff23083a25ba2a42ce
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Fri Sep 28 00:10:11 2012 +0300

    Updated Latvian translation

 po/lv.po | 1609 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 834 insertions(+), 775 deletions(-)

commit 943605f3a1282f10dd96d414c6ed568be36cf04a
Author: Claude Paroz <claude@2xlibre.net>
Date:   Tue Sep 25 19:42:16 2012 +0200

    Updated French translation

 po/fr.po | 877 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 426 insertions(+), 451 deletions(-)

commit 380f4840cad4eb5057f4e3fb44453f879f3b2b4f
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Mon Sep 24 21:42:49 2012 +0200

    Updated Slovenian translation

 po/sl.po | 336 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 189 insertions(+), 147 deletions(-)

commit f9e5b8613bbe06c2e3273617bcdb2f66ebd1ddf0
Author: Chris Leonard <cjl@laptop.org>
Date:   Mon Sep 24 18:36:51 2012 +0100

    Updated British English translation

 po/en_GB.po | 1018 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 538 insertions(+), 480 deletions(-)

commit 41c38079415b73f8b22d82b9efcfff334cad149d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 24 23:31:52 2012 +1000

    audioscrobbler: add the toolbar to profile pages too

 plugins/audioscrobbler/rb-audioscrobbler-profile-page.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 2e6abc1e555f550261a82751436356b8d3cc2bb4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 24 23:29:55 2012 +1000

    audioscrobbler: fix toolbar UI addition
    
    Using the right name for the toolbar helps.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684142

 plugins/audioscrobbler/rb-audioscrobbler-profile-page.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 026ea016e45345c6053a46adaac875ec93b7231d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 24 23:27:19 2012 +1000

    source-toolbar: allow this to be used by non-source pages

 plugins/audiocd/rb-audiocd-source.c                     |  2 +-
 plugins/audioscrobbler/rb-audioscrobbler-radio-source.c |  2 +-
 plugins/fmradio/rb-fm-radio-source.c                    |  2 +-
 plugins/iradio/rb-iradio-source.c                       |  2 +-
 podcast/rb-podcast-source.c                             |  2 +-
 sources/rb-auto-playlist-source.c                       |  2 +-
 sources/rb-browser-source.c                             |  2 +-
 sources/rb-static-playlist-source.c                     |  2 +-
 widgets/rb-source-toolbar.c                             | 10 +++++-----
 widgets/rb-source-toolbar.h                             |  2 +-
 10 files changed, 14 insertions(+), 14 deletions(-)

commit 5c231d2c75e7192aa37d2fff43c6a0f2a15b93d8
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Sep 24 12:47:32 2012 +0200

    Updated Galician translations

 po/gl.po | 683 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 362 insertions(+), 321 deletions(-)

commit 0e15b848ba1af352e3e5e5b4042c810286bab205
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Mon Sep 24 11:57:52 2012 +0200

    [l10n] Updated Italian translation.

 po/it.po | 2290 +++++++++++++-------------------------------------------------
 1 file changed, 466 insertions(+), 1824 deletions(-)

commit 04fd194cfe9fea1392a3e217cffba33c25a0803b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 24 08:34:18 2012 +1000

    dist the gtkbuilder file for the new import dialog

 data/ui/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 38c5a823c09be96002f826659250dd2868adda2c
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Sep 23 23:51:32 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 404 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 230 insertions(+), 174 deletions(-)

commit f7372cff15ea24f5a96e22884248efbf953dd026
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Sep 23 12:29:32 2012 +0200

    Updated Polish translation

 po/pl.po | 359 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 195 insertions(+), 164 deletions(-)

commit 35f2586589deb7f095f74f81d3a948b098b24de2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 23 17:21:16 2012 +1000

    add a new dialog for importing music into the library
    
    This replaces the previous menu items that just opened a file
    chooser window allowing selection of a file or folder to import.
    The new dialog scans all the files under a selected location and
    presents them all in a track list, allowing individual tracks
    to be added or copied into the library, or played without being
    added at all.
    
    In the future this will be extended to allow copying from media
    players and network shares (daap or upnp; smb etc. are already
    covered).
    
    On initial startup (with no library locations set), the contents
    of the default music directory are imported, and if that doesn't
    add anything to the library, the import dialog is shown.

 data/ui/import-dialog.ui    | 201 +++++++++++
 data/ui/rhythmbox-ui.xml    |   8 +-
 po/POTFILES.in              |   2 +
 shell/rb-shell.c            | 126 +------
 sources/rb-library-source.c | 112 +++++-
 sources/rb-library-source.h |   2 +
 widgets/Makefile.am         |   6 +-
 widgets/rb-import-dialog.c  | 829 ++++++++++++++++++++++++++++++++++++++++++++
 widgets/rb-import-dialog.h  |  73 ++++
 9 files changed, 1233 insertions(+), 126 deletions(-)

commit 3b260f0c2976015e9f6684bd5d290912b88d526f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 23 15:10:21 2012 +1000

    rhythmdb: limit the number of outstanding entry adds for an import job
    
    Rather than feeding everything into the rhythmdb action queue
    immediately, limit the number of URIs in flight,  This makes it
    possible to cancel an import job and wait for any outstanding
    operations to finish in a reasonable amount of time, rather than
    minutes or more for large imports, and it doesn't appear to
    impact overall time taken.  It may reduce peak memory usage too.

 rhythmdb/rhythmdb-import-job.c | 108 +++++++++++++++++++++++++----------------
 1 file changed, 66 insertions(+), 42 deletions(-)

commit 9606d2fe25ad2fbb6eca64ef733738d778141dfb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 23 15:08:37 2012 +1000

    rhythmdb: don't complain about duplicate entries in the same set of types
    
    This warning is only really interesting in cases where unrelated things
    are trying to use the same location for their own entry types.

 rhythmdb/rhythmdb.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 308e23b948b0424689fbf30d5f4160454e56940e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 23 01:16:54 2012 +1000

    rhythmdb: add rhythmdb_import_job_get_processed
    
    It's useful to know the number of entries that were successfully
    imported, as well as the total number of files processed.
    rhythmdb_import_job_get_imported now reports the former,
    rhythmdb_import_job_get_processed the latter.

 rhythmdb/rhythmdb-import-job.c | 40 +++++++++++++++++++++++++++++++---------
 rhythmdb/rhythmdb-import-job.h |  1 +
 2 files changed, 32 insertions(+), 9 deletions(-)

commit 88080c2944675e2f611e7c590381a726f21b92e3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 22 22:10:31 2012 +1000

    rhythmdb: don't explode if ignore and error types are the same
    
    Sometimes we don't really care about import errors vs ignored files,
    so using the same entry type for both should work.

 rhythmdb/rhythmdb.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d7c2ca2927249b315ef1836f09be8ea2038dfb03
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 22 22:08:13 2012 +1000

    rhythmdb: emit complete signal for empty import jobs

 rhythmdb/rhythmdb-import-job.c | 1 +
 1 file changed, 1 insertion(+)

commit c0c2d5ca832ca873f597c5469dc829c81c1386d2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 22 22:06:39 2012 +1000

    rhythmdb: make import jobs deal with entry types better
    
    If an existing entry is of a completely different type (not just
    the ignore or error type that we're importing), don't try to
    re-add it.

 rhythmdb/rhythmdb-import-job.c | 29 ++++++++++++++++++++++++-----
 1 file changed, 24 insertions(+), 5 deletions(-)

commit 4fcb839bbec767cf38962832959d493db447b7fa
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 22 22:06:14 2012 +1000

    rhythmdb: allow entry types to be changed

 rhythmdb/rhythmdb-tree.c | 17 +++++++++++++++++
 rhythmdb/rhythmdb.c      |  3 +++
 2 files changed, 20 insertions(+)

commit a544aed70bf03faa9f77edcf14bf105315a91292
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 22 22:05:19 2012 +1000

    track-transfer-batch: correct signal handler declaration

 shell/rb-track-transfer-batch.h | 1 +
 1 file changed, 1 insertion(+)

commit f57d4cd3bdebc262278801c96439abd21622a56c
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Sep 20 15:32:56 2012 +0200

    Updated Hungarian translation

 po/hu.po | 1737 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 877 insertions(+), 860 deletions(-)

commit 03c7fd8ad66e675ae5129315723cff05d959adca
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Wed Sep 19 01:04:35 2012 +0200

    grilo: fix reference counting
    
    The sources hash table in the plugin wants to take ownership of the key and
    the value, but the key is owned by the GrlRegistry and the value is a GtkWidget
    and thus floating. Fix that by referencing both before adding them to the
    hash table.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684333

 plugins/grilo/rb-grilo-plugin.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7fd3e2ddd847d755be249233f9592c733821479c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Sep 19 08:58:21 2012 +1000

    rhythmdb: don't monitor files outside library locations
    
    Trying to do this involves annoying threads and crashes, and
    it's not worth the effort.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684304

 rhythmdb/rhythmdb-monitor.c | 28 ----------------------------
 1 file changed, 28 deletions(-)

commit f02936ca4d516bbdafb0c5dae63092f9842b6891
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Sep 19 08:28:16 2012 +1000

    rhythmdb: free library locations later
    
    Various bits of rhythmdb use the library locations array, so we
    should free it as late as possible to help them avoid crashing.

 rhythmdb/rhythmdb.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 10d551ecaae1b3f0f68995d6557b188df9f21174
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Tue Sep 18 17:25:02 2012 +0200

    artsearch: don't warn for GErrors enumerating files
    
    Gio will return NOT_SUPPORTED trying to enumerate GStreamer URIs such as
    mms or rtsp, but the error is harmless.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684301

 plugins/artsearch/local.py | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit a24d1588fbd7a909f63f76c25b082820dd2d64cd
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Wed Aug 15 23:24:15 2012 +0100

    audioscrobbler: copy cached images for every interested data item
    
    When a data item's image download completes, copy the file to the
    cached image location of every data other item which was interested in
    the download.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681259

 plugins/audioscrobbler/rb-audioscrobbler-user.c | 31 +++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

commit e5fd47015e6fc274fbd96fabb5842eea08e52956
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 15 09:31:04 2012 +1000

    audiocd: handle new uri format
    
    Track URIs are now cdda://device#track rather than
    cdda://track#device, and I forgot to update a few things to deal
    with that.

 plugins/audiocd/rb-audiocd-plugin.c | 124 +++++++++++++++++++-----------------
 1 file changed, 67 insertions(+), 57 deletions(-)

commit fbcaedc6658bfe53365873f246870138f656407e
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Sep 14 23:52:10 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 360 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 153 insertions(+), 207 deletions(-)

commit 7b362a4bcf3fe9dc30b7618271f634867c1aa4bd
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 15 00:36:32 2012 +1000

    transfer-target: set the encoding target on the batch late
    
    If the target source spends much time without an encoding target
    set (as some MTP devices do), setting the encoding target on the
    batch when it's created can result in crashes.  Instead, set it
    immediately before starting the transfer, when we know the
    target has been set.

 shell/rb-track-transfer-batch.c |  2 +-
 sources/rb-transfer-target.c    | 10 ++++++----
 2 files changed, 7 insertions(+), 5 deletions(-)

commit abcc969765400450ebc3ce649a4ea93ccc4dee6b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 15 00:34:54 2012 +1000

    mtp: use an idle handler for UI changes on track list load

 plugins/mtpdevice/rb-mtp-source.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 3837e6d1df9b3f16f54075853954f6dc6346a233
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Sep 14 21:59:19 2012 +1000

    ipod and generic-player: implement impl_want_uri and impl_uri_is_source
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682677

 plugins/generic-player/rb-generic-player-source.c | 2 ++
 plugins/ipod/rb-ipod-source.c                     | 2 ++
 2 files changed, 4 insertions(+)

commit dfdf14f0780697c8c85b26f10318922e8e2c7d10
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Sep 14 21:54:52 2012 +1000

    device-source: fix want_uri and uri_is_source
    
    It helps if they have the right arg and return types to be
    used directly as RBSource impl_want_uri and impl_uri_is_source
    methods.
    
    rb_device_source_want_uri was also checking the source's mount
    object badly.

 sources/rb-device-source.c | 16 ++++++----------
 sources/rb-device-source.h |  6 ++++--
 2 files changed, 10 insertions(+), 12 deletions(-)

commit 92e1b34d7c05bec64484439eba81c44c8484009a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Sep 13 23:45:10 2012 +1000

    shell: use uri_is_source when guessing sources for uris

 shell/rb-shell.c | 3 +++
 1 file changed, 3 insertions(+)

commit 5f2863c0c54d94a3630b70b6c8f531a99f210a4a
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Tue Aug 14 12:32:45 2012 +0200

    Notification Plugin: fix updating for Play/Pause
    
    When the playing status changes, reemit the notification. This
    ensures that the central action button is correctly updated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681824

 plugins/notification/rb-notification-plugin.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 03aa9c24d3b7daae3e3d05a5cacc9a01976e5fbd
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   Wed Sep 12 22:36:46 2012 +0300

    Finnish translation update by Jiri Grönroos

 po/fi.po | 2719 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1423 insertions(+), 1296 deletions(-)

commit ea7287eb4233a80c81fdaff3ddf0235652bf444e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Sep 10 18:20:32 2012 +0200

    Updated Spanish translation

 po/es.po | 373 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 188 insertions(+), 185 deletions(-)

commit 4aabcd127eda7aa8b1c265ce51ec2eb8edc24811
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 10 21:30:24 2012 +1000

    header: start image transition before art search
    
    The art search sometimes returns results synchronously, so we
    should start the transition before it.

 widgets/rb-header.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5e2479ce36300662ce8dac91adb64769c093fbf1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 10 21:23:51 2012 +1000

    fading-image: try harder
    
    Draw a border around the current image (or the next, if fading)
    rather than around the widget's allocation.  This avoids ugly
    gaps between the edge of the image and the border.
    
    When already in the middle of a transition when starting another,
    use the current transition state as the start image for the next,
    rather than abruptly jumping to the next or reverting to the previous
    image.
    
    When starting a new transition, replace the current image with the
    next, so current is updated even if the transition doesn't finish.

 widgets/rb-fading-image.c | 164 ++++++++++++++++++++++++++++++++++------------
 1 file changed, 121 insertions(+), 43 deletions(-)

commit 7ad99c9361ddb725b993f19d292b338002d4d858
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sun Sep 9 20:25:24 2012 +0200

    Updated Slovenian translation

 po/sl.po | 298 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 117 insertions(+), 181 deletions(-)

commit 2198c58ec84f704862ae4cb800350cd1571b14de
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 9 09:29:51 2012 +1000

    iradio: add 'show all' to the toolbar

 plugins/iradio/iradio-ui.xml | 1 +
 1 file changed, 1 insertion(+)

commit 97e9d9643eaf5896f1554ee14a708bfbb6fbd998
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 9 09:28:57 2012 +1000

    iradio: implement impl_reset_filters

 plugins/iradio/rb-iradio-source.c | 24 ++++++++++++++++++++----
 widgets/rb-property-view.c        |  5 +++++
 2 files changed, 25 insertions(+), 4 deletions(-)

commit 73e4d18eca062ae6c36b0929da0760660eb64c03
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 9 09:06:04 2012 +1000

    podcast: implement impl_reset_filters

 podcast/rb-podcast-source.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 0a16c176fad73abc6d2d992bb935cb7f8bdc475d
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Sep 7 23:03:39 2012 +0200

    Updated Serbian translation

 po/sr.po       | 817 ++++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po | 817 ++++++++++++++++++++++++++++++---------------------------
 2 files changed, 852 insertions(+), 782 deletions(-)

commit ca1dd6b58c99adfe053a38b08fdd8d9e3d2dcff6
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Thu Sep 6 19:43:58 2012 +0200

    Updated Slovenian translation

 po/sl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit cea3c000f865e90ea399da800be32b67bc8f3365
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 6 02:12:54 2012 +0200

    Updated Polish translation

 po/pl.po | 77 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 37 insertions(+), 40 deletions(-)

commit 460a45b4321986c84cc0bb8cb51b157de5603125
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Sep 6 07:46:19 2012 +1000

    audiocd: fix mnemonics for the hide button in the info bar
    
    https://bugzilla.gnome.org/show_bug.cgi?id=604734

 plugins/audiocd/rb-audiocd-source.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 42e7575ddf57a3904665e2a9afba1672a7802d77
Author: K Ratanatharathorn <kratanat@gmail.com>
Date:   Wed Sep 5 16:39:53 2012 +0700

    Updated Thai translation.

 po/th.po | 7261 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 3727 insertions(+), 3534 deletions(-)

commit c2239ae101f58eb0c2ea6bc13e061b1de65564c2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Sep 5 09:25:27 2012 +1000

    source-toolbar: remove ui-manager signal handlers in dispose
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677464

 widgets/rb-source-toolbar.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 7ed0f32bbefba2dc3388a5a3b338cca30f01a96f
Author: Muhammet Kara <muhammetk@acikkaynak.name.tr>
Date:   Tue Sep 4 22:58:25 2012 +0300

    [l10n]Updated Turkish translation

 po/tr.po | 2638 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1313 insertions(+), 1325 deletions(-)

commit 57294128f7883e60d1f12884790643f3d38f6cdc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Sep 4 20:45:04 2012 +1000

    add missing makefile.am

 sample-plugins/Makefile.am | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 2ba366c252e0f3c0ce47597cabe02143ed295d0f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 4 01:16:53 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 523a0659264537c396eca6d7700e3c42d459c7fc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Sep 4 08:12:22 2012 +1000

    move sample plugins to a separate directory
    
    This means we can build them properly without getting in the way
    of uninstalled builds.  Sample plugins are now also installed to a
    directory parallel to the real plugins dir, but I don't expect
    them to be packaged.

 Makefile.am                                        |  2 +-
 configure.ac                                       |  9 +-
 plugins/Makefile.am                                |  9 +-
 plugins/sample-python/Makefile.am                  | 13 ---
 plugins/sample-python/sample-python.plugin.in      |  9 --
 plugins/sample-python/sample-python.py             | 44 ----------
 plugins/sample-vala/Makefile.am                    | 50 -----------
 plugins/sample-vala/rb-sample-vala-plugin.vala     | 27 ------
 plugins/sample-vala/sample-vala.plugin.in          |  8 --
 plugins/sample/Makefile.am                         | 39 ---------
 plugins/sample/rb-sample-plugin.c                  | 99 ----------------------
 plugins/sample/sample.plugin.in                    |  8 --
 sample-plugins/sample-python/Makefile.am           | 13 +++
 .../sample-python/sample-python.plugin.in          |  9 ++
 sample-plugins/sample-python/sample-python.py      | 44 ++++++++++
 sample-plugins/sample-vala/Makefile.am             | 47 ++++++++++
 .../sample-vala/rb-sample-vala-plugin.vala         | 27 ++++++
 sample-plugins/sample-vala/sample-vala.plugin.in   |  8 ++
 sample-plugins/sample/Makefile.am                  | 38 +++++++++
 sample-plugins/sample/rb-sample-plugin.c           | 99 ++++++++++++++++++++++
 sample-plugins/sample/sample.plugin.in             |  8 ++
 21 files changed, 301 insertions(+), 309 deletions(-)

commit 134fbb1b4eac92fb01e3b4616f2ead1052fb528e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 3 16:50:25 2012 +0200

    Updated Polish translation

 po/pl.po | 245 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 104 insertions(+), 141 deletions(-)

commit 19528b5a05f0f89c04b060130133f6242fb24bbb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 3 21:24:04 2012 +1000

    audiocd: replace sj-metadata code
    
    Rather than using libmusicbrainz, we now read disc information
    using GStreamer and talk to the musicbrainz web service using
    libsoup.
    
    We now use a combo box in the info bar rather than a separate dialog
    for choosing between multiple album matches.

 .gitignore                                 |    2 +
 configure.ac                               |   50 --
 doc/reference/Makefile.am                  |    8 -
 plugins/audiocd/Makefile.am                |   89 +--
 plugins/audiocd/multiple-album.ui          |  119 ----
 plugins/audiocd/rb-audiocd-info.c          |  281 ++++++++
 plugins/audiocd/rb-audiocd-info.h          |   68 ++
 plugins/audiocd/rb-audiocd-source.c        | 1038 ++++++++++++++--------------
 plugins/audiocd/rb-musicbrainz-lookup.c    |  524 ++++++++++++++
 plugins/audiocd/rb-musicbrainz-lookup.h    |  110 +++
 plugins/audiocd/sj-error.c                 |   36 -
 plugins/audiocd/sj-error.h                 |   41 --
 plugins/audiocd/sj-metadata-getter.c       |  261 -------
 plugins/audiocd/sj-metadata-getter.h       |   62 --
 plugins/audiocd/sj-metadata-gvfs.c         |  264 -------
 plugins/audiocd/sj-metadata-gvfs.h         |   57 --
 plugins/audiocd/sj-metadata-marshal.list   |    1 -
 plugins/audiocd/sj-metadata-musicbrainz3.c |  460 ------------
 plugins/audiocd/sj-metadata-musicbrainz3.h |   56 --
 plugins/audiocd/sj-metadata-musicbrainz4.c |  615 ----------------
 plugins/audiocd/sj-metadata-musicbrainz4.h |   56 --
 plugins/audiocd/sj-metadata.c              |  225 ------
 plugins/audiocd/sj-metadata.h              |   59 --
 plugins/audiocd/sj-structures.c            |   81 ---
 plugins/audiocd/sj-structures.h            |   99 ---
 plugins/audiocd/test-cd.c                  |  234 +++++++
 plugins/audiocd/update-from-egg.sh         |   25 -
 po/POTFILES.in                             |    8 +-
 28 files changed, 1741 insertions(+), 3188 deletions(-)

commit 20cc68390403cb5ef45d083000ffd1b1342d58d0
Author: Filipe Gomes <filipefgomes@gmail.com>
Date:   Thu Aug 30 08:34:55 2012 +0100

    Updated Portuguese translation

 po/pt.po | 5337 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 2772 insertions(+), 2565 deletions(-)

commit 5be12a74db5c6ee3e20fb7df7682a1f0414cd4c3
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Aug 30 04:09:05 2012 +0200

    Updated Galician translations

 po/gl.po | 93 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 47 insertions(+), 46 deletions(-)

commit a19f9f395e4ea024ca5dbfde5db29a31d7e7776a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Aug 16 11:12:32 2012 +0100

    podcast: Handle itms URLs if browser plugin is built
    
    Fix links to iTunes podcast pages not be handled in Epiphany.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682970

 configure.ac                 | 5 ++++-
 data/rhythmbox.desktop.in.in | 2 +-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 323b901261209513ca1a63fcc9d9eb198c4c823a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Aug 29 22:57:35 2012 +1000

    display-page: make pixbuf a construct property
    
    Playlist and iradio sources need to adapt to this to set their pixbufs
    in constructed rather than init, so it doesn't get overwritten by the
    default.

 plugins/iradio/rb-iradio-source.c   | 25 ++++++++++++-------------
 sources/rb-auto-playlist-source.c   |  8 +++++++-
 sources/rb-display-page.c           |  2 +-
 sources/rb-static-playlist-source.c | 10 +++++++++-
 4 files changed, 29 insertions(+), 16 deletions(-)

commit 7d24b746e778e989b0236875bf0dc8aea6e44100
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Aug 29 08:52:08 2012 +0200

    Updated Slovenian translation

 po/sl.po | 475 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 242 insertions(+), 233 deletions(-)

commit a92b7e00f5b6ee1ecdfd03dd422a9df8f115a1fb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Aug 29 09:14:35 2012 +1000

    entry-view: emit sort-order notifications only when it actually changes
    
    This cuts out some totally unnecessary GSettings writes on startup.

 widgets/rb-entry-view.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 2332096e09b50b97150d1a607d2c4e821415cb6e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 28 21:51:42 2012 +1000

    mtp: add track number to filenames
    
    This allows me to store things like this:
    http://www.discogs.com/UR-Codebreaker/release/1694
    on MTP devices.

 plugins/mtpdevice/rb-mtp-source.c | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 2b12bcf5c1fb34da63eaa366dd0b7115467a980d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Aug 26 20:15:39 2012 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 1483 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 706 insertions(+), 777 deletions(-)

commit 4783c034f9c4cb626f03b084268cd7c3eb2d7294
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Aug 25 12:08:49 2012 +0200

    Updated Spanish translation

 po/es.po | 63 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 25 insertions(+), 38 deletions(-)

commit 58d81cc811098c6ec556a116d2b5fc111d1245dc
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Sat Aug 25 10:27:38 2012 +0200

    [l10n] Updated German translation

 po/de.po | 124 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 66 insertions(+), 58 deletions(-)

commit b35a486e7c2b844564b6d897148d85abd4a21a5b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Aug 24 08:09:36 2012 +1000

    silence some g-i warnings

 backends/rb-player-gst-tee.c       |  2 +-
 lib/libmediaplayerid/mpid-device.c | 32 ++++++++++++++++----------------
 metadata/rb-ext-db.c               |  2 +-
 rhythmdb/rhythmdb-entry-type.c     | 12 ++++++------
 rhythmdb/rhythmdb-query.c          |  2 +-
 rhythmdb/rhythmdb.c                |  6 +++---
 shell/rb-playlist-manager.c        |  2 +-
 shell/rb-removable-media-manager.c |  6 +++---
 shell/rb-shell-player.c            |  2 +-
 shell/rb-track-transfer-batch.c    | 14 +++++++-------
 shell/rb-track-transfer-queue.c    |  4 ++--
 sources/rb-media-player-source.c   |  2 +-
 widgets/rb-entry-view.c            |  4 ++--
 widgets/rb-property-view.c         |  2 +-
 widgets/rb-segmented-bar.c         |  6 +++---
 15 files changed, 49 insertions(+), 49 deletions(-)

commit 18f1bf6e17dbe3b493087cb8bfa83a77497f547e
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Fri Aug 24 00:16:44 2012 +0530

    Updated Telugu Translation

 po/te.po | 467 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 238 insertions(+), 229 deletions(-)

commit 2313d701fa0534ab41f7eadf87dd957bc6642023
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Aug 23 01:29:29 2012 +0200

    Updated Polish translation

 po/pl.po | 49 +++++++++++++++++++++++++------------------------
 1 file changed, 25 insertions(+), 24 deletions(-)

commit 072448f6eba8a4ec394ebc2d1ce4cd148ae62181
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Aug 23 09:04:52 2012 +1000

    playbin2: complain if we can't create an audio sink

 backends/gstreamer/rb-player-gst.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit ffd08a5823fa599141b5ef857645ecb4228331c0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Aug 23 08:20:58 2012 +1000

    grilo: finish porting to grilo 0.2

 plugins/grilo/rb-grilo-plugin.c | 56 ++++++++++++++-----------
 plugins/grilo/rb-grilo-source.c | 91 ++++++++++++++++++++++++++---------------
 2 files changed, 90 insertions(+), 57 deletions(-)

commit 214fe1216095bf558f7a14add26e6cfa38b5860e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 21 08:58:37 2012 +1000

    header: hide the time button if it has no content (bug #682309)

 widgets/rb-header.c | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit 6b4e865b2d9da65300212393d9cf1fa11471334c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Aug 20 00:17:51 2012 +0200

    Updated Galician translations

 po/gl.po | 553 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 298 insertions(+), 255 deletions(-)

commit c662e3cc13c33f8f80f56cf077dc4d2101f73390
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Aug 20 07:52:30 2012 +1000

    pythonconsole: don't use the deprecated GObject.get_data and set_data

 plugins/pythonconsole/pythonconsole.py | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 86eb47f705b2f0e6e8ba8d90073c961d47dbfb95
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:   Fri Aug 17 15:28:05 2012 +0200

    grilo: Port to the grilo 0.2 API
    
    Signed-off-by: Jonathan Matthew <jmatthew@src.gnome.org>

 INSTALL.quick                   |  2 +-
 configure.ac                    |  4 ++--
 plugins/grilo/rb-grilo-plugin.c |  6 ++---
 plugins/grilo/rb-grilo-source.c | 52 ++++++++++++++++++++---------------------
 plugins/grilo/rb-grilo-source.h |  2 +-
 5 files changed, 33 insertions(+), 33 deletions(-)

commit f20e383289ba8bf64b2b99c5ea255936f3a3d674
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Thu Aug 16 00:27:52 2012 +0100

    audioscrobbler: iterate data queue correctly instead of segfaulting

 plugins/audioscrobbler/rb-audioscrobbler-user.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8d0741b940ab9b6b7ade5fe1370a88bb5e5c080b
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Fri Aug 10 21:30:06 2012 +0900

    [l10n] Update Japanese translation
    
    Modify the About label

 po/ja.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 4470b4724b944676b4f9af44526306a71b21f6db
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Fri Aug 10 21:19:20 2012 +0900

    [l10n] Update Japanese translation
    
    Merge latest pot

 po/ja.po | 346 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 188 insertions(+), 158 deletions(-)

commit f5e84114f7e99636f6e5d68a648b5d657fdeee91
Author: Tristin Celestin <tristin.celestin@gmail.com>
Date:   Fri Aug 10 07:59:16 2012 +1000

    xfade: handle buffering messages with no associated stream (bug #681178)

 backends/gstreamer/rb-player-gst-xfade.c | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit f7a2793acdf6422bdab373c69ad60a67036060ba
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Aug 4 00:22:03 2012 +0100

    audioscrobbler: use single image download for multiple data items
    
    Rather than downloading the same image multiple times, multiple data items
    append themselves to the list of items interested in the download.
    When the download completes it notifies every interested data item,
    not just the one it was initially downloaded for.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681259

 plugins/audioscrobbler/rb-audioscrobbler-user.c | 165 ++++++++++++++----------
 1 file changed, 97 insertions(+), 68 deletions(-)

commit ac274de40f926f694ecb7223b3cb6baee627580c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 7 21:11:06 2012 +0200

    Updated Spanish translation

 help/es/es.po | 157 ++++++++++++++++++++++++++++++----------------------------
 1 file changed, 81 insertions(+), 76 deletions(-)

commit f3009f78e1f7d18eff808df71a32d78bebaefeff
Author: Žygimantas Beručka <uid0@akl.lt>
Date:   Tue Aug 7 16:02:26 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 950d5d9d0880d916b3b608ba920d50d8ec626b08
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Tue Aug 7 09:58:02 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 896 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 439 insertions(+), 457 deletions(-)

commit 6839a04ecfc29030df7e40182da73f04056093a8
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Wed Aug 1 22:45:14 2012 +0200

    artsearch: try harder to find album art from musicbrainz
    
    If the song is lacking musicbrainz specific metadata, try a search
    for artist and album name instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681018

 plugins/artsearch/musicbrainz.py | 22 ++++++++++++++++++++--
 1 file changed, 20 insertions(+), 2 deletions(-)

commit 0a3cb152e031b95ecf643b05dbc6c7385116a811
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Jul 30 17:07:59 2012 +0200

    preferences: don't free consumed floating GVariant
    
    g_variant_builder_end() returns a floating reference and
    g_settings_set_value() consumes it, so we should not unref it again.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680842

 shell/rb-shell-preferences.c | 1 -
 1 file changed, 1 deletion(-)

commit 014c7ce5b3f62a3b1040f781f23dfcbe7e0c4ea8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jul 30 16:54:04 2012 +0200

    Updated Spanish translation

 po/es.po | 406 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 211 insertions(+), 195 deletions(-)

commit d0fbea52efe3381fdd51e1aa3d95d73f3987cf0b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Jul 30 14:38:27 2012 +0200

    Updated Polish translation

 po/pl.po | 338 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 165 insertions(+), 173 deletions(-)

commit 4f969dfb1d0e557fc7274acfa312323bebcaef7c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 30 21:13:26 2012 +1000

    Remove more markup from UI files

 plugins/audiocd/album-info.ui  | 17 +--------
 plugins/daap/daap-prefs.ui     | 83 +++++++++++++++++++++++++++++++++++-------
 plugins/ipod/ipod-init.ui      | 11 ++++--
 plugins/lyrics/lyrics-prefs.ui | 30 +++++++++++----
 4 files changed, 100 insertions(+), 41 deletions(-)

commit 2be8e3cc15c1c0b23e4b7770a88160d17a7dcd01
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed May 30 10:42:03 2012 +0200

    Removed markup from UI files

 data/ui/create-playlist.ui                    |  1 -
 data/ui/media-player-properties.ui            | 24 ++++++++++++++++--------
 data/ui/playlist-save.ui                      |  6 ++++--
 data/ui/sync-dialog.ui                        | 12 ++++++++----
 plugins/daap/daap-prefs.ui                    | 12 ++++++++----
 plugins/generic-player/generic-player-info.ui |  6 ++++--
 plugins/ipod/ipod-info.ui                     |  6 ++++--
 plugins/lyrics/lyrics-prefs.ui                | 12 ++++++++----
 plugins/magnatune/magnatune-loading.ui        |  6 ++++--
 plugins/mtpdevice/mtp-info.ui                 |  6 ++++--
 10 files changed, 60 insertions(+), 31 deletions(-)

commit b5c2330ac0d93d76d6f1230e675f855d89fe9b61
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 25 08:57:51 2012 +1000

    context: add scrolling for the top five list (bug #673956)

 plugins/context/ContextView.py | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 7ea6f97f1e356c3fdef9cac7403d0f712d544f61
Author: Tiffany Antopolski <tiffany.antopolski@gmail.com>
Date:   Sun Mar 18 18:12:38 2012 -0400

    help/C: Added Alt+S to list of General Shortcuts
    
    https://bugzilla.gnome.org/show_bug.cgi?id=653781

 help/C/rhythmbox.xml | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 01a829f549a0fd90ad8c8befd0793fa5f133f8f8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Jul 24 20:43:36 2012 +1000

    context: remove the module_context parameter (bug #678661)
    
    Caching the template modules doesn't really buy us anything, and
    there is the possibility that it could be used to load hostile code
    into another user's process (since the module directory was under /tmp).
    If it turns out we need the cache, we should put it somewhere
    under the XDG cache dir.

 plugins/context/AlbumTab.py  | 6 ++----
 plugins/context/ArtistTab.py | 4 ++--
 plugins/context/LinksTab.py  | 3 +--
 plugins/context/LyricsTab.py | 6 ++----
 4 files changed, 7 insertions(+), 12 deletions(-)

commit 750336ee87bfcd8b0c1b3c015fc22486719c1e41
Author: Žygimantas Beručka <uid0@akl.lt>
Date:   Mon Jul 23 15:16:58 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 4d7a88ac89f6df4c71421a873963526f598b4124
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Sun Jul 22 23:18:05 2012 +0200

    Updated German translation

 po/de.po | 479 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 263 insertions(+), 216 deletions(-)

commit c44dead84cf36cf2b535cac3b8232d710b456ac1
Author: Andika Triwidada <andika@gmail.com>
Date:   Sun Jul 22 15:59:59 2012 +0700

    Updated Indonesian translation

 po/id.po | 1583 ++++++++++++++++++++++----------------------------------------
 1 file changed, 556 insertions(+), 1027 deletions(-)

commit 5e2b4a49282a27860c29bdeb1ea14ecb3f5c997a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 21 17:03:23 2012 +1000

    Update use of GAction with GApplication for gtk+ 3.4

 shell/rb-shell.c | 36 +++---------------------------------
 1 file changed, 3 insertions(+), 33 deletions(-)

commit fb95b315c20338eea4cf76c41883a91e3bb2ae86
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 21 16:57:52 2012 +1000

    use g_atomic_int_add instead of g_atomic_int_exchange_and_add

 rhythmdb/rhythmdb.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ec3adbf0f64ab09b3ed734b4058155bce847fed8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 21 16:56:52 2012 +1000

    use gst_element_factory_make to create clutter sink

 plugins/visualizer/rb-visualizer-page.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3f1cf05ba629523e439b5c997c28f07ba71681fb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 21 16:52:57 2012 +1000

    replace g_thread_create with g_thread_new

 lib/rb-file-helpers.c                |  2 +-
 lib/rb-thread.c                      |  5 +----
 plugins/audiocd/rb-audiocd-source.c  |  3 +--
 plugins/audiocd/sj-metadata-getter.c | 13 +------------
 plugins/ipod/rb-ipod-db.c            |  5 +++--
 plugins/ipod/rb-ipod-source.c        |  2 +-
 plugins/mtpdevice/rb-mtp-thread.c    |  2 +-
 podcast/rb-podcast-add-dialog.c      |  8 +-------
 podcast/rb-podcast-manager.c         | 16 ++++++----------
 rhythmdb/rhythmdb-monitor.c          |  2 +-
 rhythmdb/rhythmdb.c                  |  2 +-
 shell/rb-playlist-manager.c          |  2 +-
 shell/rb-shell-player.c              |  2 +-
 13 files changed, 20 insertions(+), 44 deletions(-)

commit 30fde08f523f72c2e90ca547d8952ce6ce39c727
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 21 16:38:13 2012 +1000

    allocate GMutex and GCond statically, or embed in structures

 backends/gstreamer/rb-player-gst-xfade.c | 181 +++++++++++++++----------------
 lib/rb-file-helpers.c                    |  13 +--
 lib/rb-util.c                            |  33 +++---
 plugins/mtpdevice/rb-mtp-gst-sink.c      |  30 ++---
 plugins/mtpdevice/rb-mtp-gst-src.c       |  21 ++--
 rhythmdb/rb-refstring.c                  |  19 ++--
 rhythmdb/rhythmdb-import-job.c           |  38 +++----
 rhythmdb/rhythmdb-monitor.c              |  10 +-
 rhythmdb/rhythmdb-private.h              |  16 +--
 rhythmdb/rhythmdb-tree.c                 | 138 +++++++++++------------
 rhythmdb/rhythmdb.c                      | 104 ++++++++----------
 shell/rb-playlist-manager.c              |  17 ++-
 12 files changed, 285 insertions(+), 335 deletions(-)

commit 6686ded6c17fa4ce8bbc1518ec7c06737d539adb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 21 16:27:14 2012 +1000

    remove glib version checks that are no longer required

 plugins/mtpdevice/rb-mtp-source.c  | 5 -----
 rhythmdb/rhythmdb-monitor.c        | 6 ------
 shell/rb-removable-media-manager.c | 4 ----
 3 files changed, 15 deletions(-)

commit a1172d167bd2e7e8f1865a736004fdf378fe4184
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 21 16:05:05 2012 +1000

    replace deprecated GValueArray with equivalent GArrays

 backends/gstreamer/rb-player-gst-xfade.c      | 10 ++---
 lib/rb-util.c                                 | 32 ++++++--------
 lib/rb-util.h                                 |  2 +-
 plugins/ipod/rb-ipod-source.c                 |  6 +--
 plugins/mpris/rb-mpris-plugin.c               |  6 +--
 plugins/visualizer/rb-visualizer-fullscreen.c |  6 +--
 podcast/rb-podcast-source.c                   |  6 +--
 rhythmdb/rhythmdb-query-model.c               | 24 +++++-----
 rhythmdb/rhythmdb.c                           | 14 +++---
 rhythmdb/rhythmdb.h                           |  2 +-
 shell/rb-playlist-manager.c                   |  9 ++--
 shell/rb-shell-player.c                       |  8 ++--
 sources/rb-auto-playlist-source.c             | 41 ++++++++---------
 sources/rb-auto-playlist-source.h             |  4 +-
 tests/test-rhythmdb.c                         |  4 +-
 tests/test-widgets.c                          | 64 +++++++++++++++------------
 widgets/rb-query-creator.c                    | 17 +++----
 widgets/rb-query-creator.h                    |  4 +-
 widgets/rb-song-info.c                        | 21 ++++-----
 19 files changed, 142 insertions(+), 138 deletions(-)

commit 88c358cd8b5da216c5ff61031e02987c7b08efbb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 21 15:51:45 2012 +1000

    remove calls to g_thread_init

 shell/main.c                             | 1 -
 tests/bench-rhythmdb-load.c              | 1 -
 tests/test-audioscrobbler.c              | 1 -
 tests/test-file-helpers.c                | 1 -
 tests/test-rb-lib.c                      | 1 -
 tests/test-rhythmdb-property-model.c     | 1 -
 tests/test-rhythmdb-query-model.c        | 1 -
 tests/test-rhythmdb-query.c              | 1 -
 tests/test-rhythmdb-tree-serialization.c | 1 -
 tests/test-rhythmdb-view.c               | 1 -
 tests/test-rhythmdb.c                    | 1 -
 tests/test-widgets.c                     | 1 -
 12 files changed, 12 deletions(-)

commit 3fb9c56e39f9d413dd3594f6675c36a4b3873b9c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 21 15:48:53 2012 +1000

    Bump glib, gtk+, totem-pl-parser and pygobject requirements

 INSTALL.quick | 10 +++++++---
 configure.ac  | 27 +++++++++++++--------------
 2 files changed, 20 insertions(+), 17 deletions(-)

commit d22102ee4f226e20fe1df896a62641f5a9dfd0ef
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Jul 20 23:19:17 2012 +1000

    object-property-editor: set column spacing to 6

 widgets/rb-object-property-editor.c | 1 +
 1 file changed, 1 insertion(+)

commit 9106a8f139766f2d342f32d19a90ed8fa3053189
Author: Hideki Yamnane <henrich@debian.org>
Date:   Fri Jul 20 09:20:24 2012 +0900

    [l10n] Update Japanese translation
    
    Fix incorrect translation

 po/ja.po | 142 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 77 insertions(+), 65 deletions(-)

commit 669e6f50f71df712c610131a9c0d459f58f613f7
Author: Žygimantas Beručka <uid0@akl.lt>
Date:   Tue Jul 10 18:03:54 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 762 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 392 insertions(+), 370 deletions(-)

commit ca6523bd60ca68b40d3d507bd8d41848f594efc1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Jul 6 08:21:06 2012 +1000

    grilo: hide optical-media and bliptv plugins (bug #679326)

 plugins/grilo/rb-grilo-plugin.c | 2 ++
 1 file changed, 2 insertions(+)

commit d9a4ec8b0eb1438cc95c49d80b0310a23065bc10
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 2 08:46:59 2012 +1000

    visualizer: use localised labels in quality menu (bug #679222)

 plugins/visualizer/rb-visualizer-menu.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 542a38da8db5d08a371cd7af18fa6ad40cfcaf87
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jul 1 18:28:37 2012 +0200

    Updated Polish translation

 po/pl.po | 128 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 64 insertions(+), 64 deletions(-)

commit 5addcebf92f6093937374a837f990e61d0a09360
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 1 20:24:21 2012 +1000

    visualizer: remove more recursive clutter locking

 plugins/visualizer/rb-visualizer-fullscreen.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 3f0482edba782672e0dbd11ca20b4aaa8360c317
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 1 20:20:12 2012 +1000

    visualizer: rework fullscreen start and stop
    
    Rather than reparenting the clutter embed into the fullscreen
    window and back, we now create a new embed for fullscreen mode
    and move the clutter sink actor into it.  At some point, clutter
    stopped being able to handle events when the embed widget gets
    reparented.

 plugins/visualizer/rb-visualizer-fullscreen.c | 20 ++--------
 plugins/visualizer/rb-visualizer-fullscreen.h |  2 +-
 plugins/visualizer/rb-visualizer-page.c       | 57 +++++++++++++++++++++------
 plugins/visualizer/rb-visualizer-page.h       |  1 +
 4 files changed, 51 insertions(+), 29 deletions(-)

commit 45eaac43b7d884930a7e87032bb28f00d4342935
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 1 11:59:24 2012 +1000

    visualizer: don't assume clutter lock is recursive (bug #678254)

 plugins/visualizer/rb-visualizer-fullscreen.c | 69 ++++++++++++++++++---------
 plugins/visualizer/rb-visualizer-page.c       |  4 ++
 2 files changed, 50 insertions(+), 23 deletions(-)

commit 78c5632076bcdb5a420c707b3c240efb562cea4e
Author: Tristin Celestin <tristin.celestin@gmail.com>
Date:   Wed Jun 27 12:46:09 2012 -0400

    Added border around podcast treeview widget.

 data/ui/podcast-add-dialog.ui | 1 +
 1 file changed, 1 insertion(+)

commit be47f2f4ac95113a7b54ea54f42fc982829e58a0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Jun 28 20:48:35 2012 +1000

    header: handle losing focus after receiving a button press (bug #677955)
    
    If the scale loses focus immediately after receiving a button press
    event, it shouldn't think the user is still dragging the slider.
    This happens when button presses go through the scale to the toolbar.

 widgets/rb-header.c | 30 +++++++++++++++++++++++++++++-
 1 file changed, 29 insertions(+), 1 deletion(-)

commit a16a8bb41090233a28778e45f277e94de091f773
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 27 13:04:44 2012 +1000

    header: remove left-click workaround for gtk+ 3.5+ (bug #678923)
    
    GtkScale has the right behaviour now.  Keep the workaround for
    older versions.

 widgets/rb-header.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 7acd9e10ee069428ad6ba827f065574fde6610e6
Author: Olya Matsuk <olya@matsuk.net>
Date:   Mon Jun 25 11:31:41 2012 +0300

    Updated Belarusian translation.

 po/be.po | 1193 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 546 insertions(+), 647 deletions(-)

commit d1681cb974172c8a8f4bf9f3309b7823bc44767d
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Jun 22 20:16:20 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 130 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 65 insertions(+), 65 deletions(-)

commit 0c5a47c07a4c58d4e31482a5c7acd2e21827acd8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Jun 22 17:39:02 2012 +1000

    add missing marshaler for ext-db

 lib/rb-marshal.list | 1 +
 1 file changed, 1 insertion(+)

commit 7cdf4cd10831e9cbd011dfcd3ee2f37d155266e0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Jun 21 18:23:02 2012 +1000

    ext-db: rethink signal return types to avoid leaks
    
    Returning GValues as boxed types through
    rb_signal_accumulator_value_handled adds an extra copy that
    we can't clean up.  Not a problem for basic types, but
    for objects and strings it causes leaks.  Instead, return the
    values as pointers.

 metadata/rb-ext-db.c | 27 ++++++++-------------------
 1 file changed, 8 insertions(+), 19 deletions(-)

commit 7ea940f4a9448bb611753a06f33891568498868a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Jun 21 18:20:27 2012 +1000

    fading-image: fix pixbuf ref leak

 widgets/rb-fading-image.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit fc1e8cad2c3934b58d77d5ba3d2eac948c4e903f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 20 22:39:05 2012 +1000

    ext-db: fix various leaks

 metadata/rb-ext-db.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 3dec1ff5f0b9675e70cab1503dd06ac7ef3cf4ec
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 20 22:37:49 2012 +1000

    rhythmdb: fix leaks in ext-db matching function

 rhythmdb/rhythmdb.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit b889c0953be1d34168712cd367d96d1a972bf042
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Wed Jun 20 20:59:10 2012 +0300

    Updated Latvian translation

 po/lv.po | 111 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 60 insertions(+), 51 deletions(-)

commit 0a606d1e447fab2250dfaf7b219d22ee2adc5482
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jun 18 22:30:29 2012 +1000

    rhythmbox-client: fix --check-running and --no-start (bug #678261)
    
    GApplication doesn't provide a means to do this, so check if the
    app is running by creating a dbus proxy for it before registration.

 remote/dbus/rb-client.c | 31 +++++++++++++++++++++++--------
 1 file changed, 23 insertions(+), 8 deletions(-)

commit 77afb61b6214d9fb7a50ae5b229c7e64c2502152
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jun 18 22:29:06 2012 +1000

    rhythmbox-client: remove --hide from man page

 data/rhythmbox-client.1 | 3 ---
 1 file changed, 3 deletions(-)

commit c9e6862c85d8b085af644e4f00f76b5732d0b992
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:   Sat Apr 7 12:24:06 2012 +0200

    Enable configure to work on Dash in addition to Bash.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e353dc4cc8fee47f1c94274e998b3abf8c8bb26
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jun 17 10:53:06 2012 +1000

    mtp: make 'properties' action insensitive while loading (bug #678138)

 plugins/mtpdevice/rb-mtp-plugin.c | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

commit ad8ab010c133d7ea20f86e4c0e1d9f02b6895d58
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   Sat Jun 16 13:24:27 2012 +0200

    Fix memory leak in rb_gst_media_type_matches_profile
    
    'caps' is created with gst_caps_from_string so it must be unref'ed
    when it's no longer used.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678208

 lib/rb-gst-media-types.c | 2 ++
 1 file changed, 2 insertions(+)

commit 96aa2cdf837ebf7ca6229b5105ea779603d3316d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 13 19:16:15 2012 +1000

    ext-db: don't leak strings passed or returned as GStrings
    
    g_string_new_len copies the data rather than taking ownership
    of it.  Manually allocate GStrings and assign the buffers to
    them instead.
    
    More huge leaks.

 metadata/rb-ext-db.c | 5 ++++-
 shell/rb-shell.c     | 7 +++++--
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 5b281f50f5cd325dae99c078a09795db67484bb5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 13 19:15:40 2012 +1000

    ext-db: clean up more references added during signal returns
    
    More huge leaks.

 metadata/rb-ext-db.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 195c2a7b4fbdead120b6355c1570496bd638dbe8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 13 19:14:03 2012 +1000

    xfade: don't leak tags for streams that never get played
    
    When a track gets skipped before it even starts playing, the
    buffered tag lists that would have been processed when it started
    need to be cleaned up in the dispose function.

 backends/gstreamer/rb-player-gst-xfade.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 8999cca931818ad7e0385d3ab88b44bfa4329410
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jun 9 19:57:51 2012 +1000

    ext-db: drop the extra reference on objects returned by signals
    
    this fixes a reasonably large leak on each track change.

 metadata/rb-ext-db.c | 20 +++++++++++++++-----
 1 file changed, 15 insertions(+), 5 deletions(-)

commit 3af448ff054a38303a2b157036f16237ee2620e2
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Jun 8 21:16:43 2012 +0200

    Updated Slovenian translation

 po/sl.po | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 9d2f7072f9a2980d397d28f4208bdab60473ddda
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jun 7 18:52:37 2012 +0200

    Updated Polish translation

 po/pl.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e0873bf26e83b5611b054d8537c470c3341ba8f5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jun 7 12:28:29 2012 +0200

    Updated Spanish translation

 po/es.po | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit 9709956325bf410a02b4cfd7129f1619f151e1c0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jun 7 01:03:43 2012 +0200

    Updated Polish translation

 po/pl.po | 102 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 55 insertions(+), 47 deletions(-)

commit 24f8d8191d60cf8079689b7dc75e4e85aa73ba47
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jun 7 00:56:14 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 5cefe117c3fa6c3920e7edf86d08c5ed205ee2aa
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Mon Jun 4 10:44:15 2012 +0700

    Updated Vietnamese translation

 po/vi.po | 70 ++++++++++++++++++++++++++++------------------------------------
 1 file changed, 31 insertions(+), 39 deletions(-)

commit 653edfee69438cd3a9c395a2513eb5c680e55d9f
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Mon Jun 4 10:29:16 2012 +0700

    po/vi.po: import from Damned Lies

 po/vi.po | 2403 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1226 insertions(+), 1177 deletions(-)

commit 267a2d116369525c46b0fcb1f0e55d16da0c90c8
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Mon Jun 4 08:56:41 2012 +0530

    Updated Telugu Translation

 po/te.po | 461 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 246 insertions(+), 215 deletions(-)

commit 383481b5026682cb78f33bf68c1ad0f2e1be7d17
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sun Jun 3 20:23:36 2012 +0400

    Updated Russian translation

 po/ru.po | 2701 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1440 insertions(+), 1261 deletions(-)

commit fdae254b633421e54b672a48b73a613a34ef8e05
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Sun Jun 3 20:54:58 2012 +0430

    Updated Persian translation

 po/fa.po | 110 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 58 insertions(+), 52 deletions(-)

commit e5c85987713da217ae31a5b44b347e2f43e92d35
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jun 3 19:18:20 2012 +1000

    Rhythmbox 2.97

 INSTALL.quick |  8 +++++--
 NEWS          | 74 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README        |  2 +-
 configure.ac  |  4 ++--
 4 files changed, 83 insertions(+), 5 deletions(-)

commit a86c96dc973fa506427ef08c4a266a242e260746
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Sun Jun 3 13:39:53 2012 +0430

    Added Persian Translation

 po/LINGUAS |    1 +
 po/fa.po   | 4820 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 4821 insertions(+)

commit 951221b6e1397684110bfb8e61552caa921e0605
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sun Jun 3 00:03:48 2012 +0200

    Updated French translation

 po/fr.po | 268 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 153 insertions(+), 115 deletions(-)

commit 333ae82190e2c645f1d72776090205258dc35f8d
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Sat Jun 2 20:04:47 2012 +0200

    l10n: Updated Italian translation

 po/it.po | 853 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 458 insertions(+), 395 deletions(-)

commit c57348d07eec6c54c3938a5ec2c3678ae693ebe7
Author: Kentaro KAZUHAMA <kazken3@gmail.com>
Date:   Sat Jun 2 17:18:01 2012 +0900

    [l10n] Update Japanese translation

 po/ja.po | 59 +++++++++++++++++++++--------------------------------------
 1 file changed, 21 insertions(+), 38 deletions(-)

commit ee53f2240507bb1fabab4c2070cf13d1d5fcd3d7
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sat Jun 2 08:39:32 2012 +0300

    Updated Bulgarian translation

 po/bg.po | 2124 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 1002 insertions(+), 1122 deletions(-)

commit dcf67f0c8003aecc3c34628558526aa244379a57
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jun 2 12:05:15 2012 +1000

    rhythmbox-client: make --set-rating work (bug #677318)
    
    Use the right property name for the playing song URL and build
    the SetEntryProperties call arguments properly.

 remote/dbus/rb-client.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7626337144f5abc949eb6f6aaab822e8097817ba
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Jun 1 19:46:17 2012 +0200

    Updated Serbian translation

 po/sr.po       | 290 ++++++++++++++++++++++++++++++++-------------------------
 po/sr@latin.po | 290 ++++++++++++++++++++++++++++++++-------------------------
 2 files changed, 322 insertions(+), 258 deletions(-)

commit 84264d0047230a0392fddb81ec4723b3725652d2
Author: Joan Duran <jodufi@gmail.com>
Date:   Thu May 31 23:07:04 2012 +0200

    [l10n] Updated Catalan translation

 po/ca.po | 2388 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1222 insertions(+), 1166 deletions(-)

commit 15b5263ab38d68a1c1340fb2322d74176cc1ce5b
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Thu May 31 23:18:08 2012 +0900

    [l10n] Update Japanese translation

 po/ja.po | 1347 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 580 insertions(+), 767 deletions(-)

commit c2c90c4125124e28c27d5bdf03aa8ee9d39727fa
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu May 31 15:34:43 2012 +0200

    Updated Spanish translation

 po/es.po | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit 81bfd5799c5b32a2ca35281d3e7337ac00fb8dca
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed May 30 16:18:10 2012 +0100

    Updated British English translation

 po/en_GB.po | 2338 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1197 insertions(+), 1141 deletions(-)

commit 14f3b38183f9b27ccba5297907212564488f45d0
Author: Marek Černocký <marek@manet.cz>
Date:   Wed May 30 08:35:23 2012 +0200

    Updated Czech translation

 po/cs.po | 301 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 166 insertions(+), 135 deletions(-)

commit 4e94db076bba3a6175262320c66f7dab9f1dadbf
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Tue May 29 23:45:41 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 813 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 419 insertions(+), 394 deletions(-)

commit 7b6f4283fc16458623c1e48b7bc1a1eae436ea71
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue May 29 17:05:43 2012 +0200

    Updated Hungarian translation

 po/hu.po | 887 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 482 insertions(+), 405 deletions(-)

commit 2d8feb41bade16b6840113dd85239de777c813f5
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue May 29 17:15:38 2012 +0700

    Updated Indonesian translation

 po/id.po | 6109 ++++++++++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 4931 insertions(+), 1178 deletions(-)

commit bca7b95b1bd21d06e9faa13e6ff0d995e22f5cdd
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Tue May 29 12:12:42 2012 +0300

    Updated Latvian language

 po/lv.po | 943 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 482 insertions(+), 461 deletions(-)

commit 74dbd97a0a8ecb1ca3477dba5f7133835a80c3e2
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue May 29 09:09:06 2012 +0200

    Updated Slovenian translation

 po/sl.po | 288 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 160 insertions(+), 128 deletions(-)

commit 0de5ae1f05baacc6327963522c7a15907f8bb65d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun May 27 12:34:06 2012 +0200

    Updated Spanish translation

 po/es.po | 98 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 47 insertions(+), 51 deletions(-)

commit 49eae03a49b03986b89d1e7ade335ee900f0298f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun May 27 12:30:50 2012 +0200

    Updated Spanish translation

 po/es.po | 292 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 163 insertions(+), 129 deletions(-)

commit 60bcdb3f1c500239e4bceabf8d0bc8dee50a157e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun May 27 19:55:19 2012 +1000

    podcast: move info bar for errors to the top of the dialog
    
    also fix the parent class for the dialog to be GtkBox rather than
    GtkVBox and/or GtkHBox.

 data/ui/podcast-add-dialog.ui   | 107 ++++++++++++++++------------------------
 podcast/rb-podcast-add-dialog.c |   8 +--
 podcast/rb-podcast-add-dialog.h |   4 +-
 podcast/rb-podcast-source.c     |  22 +++++----
 4 files changed, 63 insertions(+), 78 deletions(-)

commit d00feda6ca155586c7d3e54c42e5a68ec6748314
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat May 26 14:25:48 2012 +0200

    Updated Polish translation

 po/pl.po | 319 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 175 insertions(+), 144 deletions(-)

commit 78f7c7300d69ba0432e05ef2411806a256de47e5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat May 26 14:43:12 2012 +1000

    metadata: install ext-db headers (bug #676860)

 metadata/Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit df4f01f0b1168011176aeb544f4f695b260648ae
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat May 26 13:55:28 2012 +1000

    podcast: new podcast subscription dialog
    
    This uses the previously added podcast searches to find podcasts,
    previews podcasts before subscription (including playback of episodes)
    and makes importing feeds via OPML a bit easier too.

 data/ui/Makefile.am             |   1 +
 data/ui/podcast-add-dialog.ui   | 183 ++++++++
 data/ui/rhythmbox-ui.xml        |   1 -
 po/POTFILES.in                  |   2 +
 podcast/Makefile.am             |   2 +
 podcast/rb-podcast-add-dialog.c | 941 ++++++++++++++++++++++++++++++++++++++++
 podcast/rb-podcast-add-dialog.h |  73 ++++
 podcast/rb-podcast-manager.c    |  16 -
 podcast/rb-podcast-manager.h    |   1 -
 podcast/rb-podcast-source.c     |  96 ++--
 podcast/rb-podcast-source.h     |   2 +
 shell/rb-shell.c                |   5 +-
 12 files changed, 1275 insertions(+), 48 deletions(-)

commit 55c369409c5d87e2e797a4ab69ac3f2cada49a1c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat May 26 13:52:14 2012 +1000

    podcast: add entry type for podcast search results
    
    This will be used to represent episodes in podcasts in search results.
    Entries of this type are not saved to disk, and don't do tricky things
    with mount points vs locations, but otherwise they're like episode entries.

 podcast/rb-podcast-entry-types.c | 64 ++++++++++++++++++++++++------
 podcast/rb-podcast-entry-types.h |  2 +
 podcast/rb-podcast-manager.c     | 86 ++++++++++++++++++++++------------------
 podcast/rb-podcast-manager.h     |  4 ++
 rhythmdb/rhythmdb.c              |  9 +++--
 5 files changed, 112 insertions(+), 53 deletions(-)

commit 539e378a51ed4af0fe0955b531af3e2d615d55ad
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat May 26 13:45:23 2012 +1000

    podcast: add podcast search infrastructure
    
    This searches iTunes and Miroguide for podcast feeds.  Not hooked
    up to any UI yet, but will be soon.
    
    This also makes json-glib a required dependency, which means the
    last.fm plugin can always be built.

 .gitignore                            |   1 +
 configure.ac                          |  33 +----
 plugins/Makefile.am                   |   5 +-
 podcast/Makefile.am                   |  26 +++-
 podcast/rb-podcast-manager.c          |  31 +++++
 podcast/rb-podcast-manager.h          |   2 +
 podcast/rb-podcast-parse.c            |  47 ++++++++
 podcast/rb-podcast-parse.h            |   4 +
 podcast/rb-podcast-search-itunes.c    | 207 ++++++++++++++++++++++++++++++++
 podcast/rb-podcast-search-miroguide.c | 219 ++++++++++++++++++++++++++++++++++
 podcast/rb-podcast-search.c           |  96 +++++++++++++++
 podcast/rb-podcast-search.h           |  74 ++++++++++++
 podcast/test-podcast-search.c         | 152 +++++++++++++++++++++++
 13 files changed, 859 insertions(+), 38 deletions(-)

commit 432fdd25037564fe3062b131c6c1db07b876c491
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Mon May 21 09:12:43 2012 +0200

    Updated Slovenian translation

 po/sl.po | 367 ++++++++++++---------------------------------------------------
 1 file changed, 67 insertions(+), 300 deletions(-)

commit a560a7ed256a8f16b22dfd487c07a5ee657f5824
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun May 20 11:27:10 2012 +0200

    Updated Serbian translation

 po/sr.po       | 130 ++++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po | 130 ++++++++++++++++++++++++++++++---------------------------
 2 files changed, 136 insertions(+), 124 deletions(-)

commit 3f5e61fed3beacb27b4324d915998463fe2ad917
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat May 19 19:01:22 2012 +1000

    audiocd: reset read speed to maximum for extraction
    
    cdparanoiasrc doesn't do this itself (though it should), so do it
    ourselves.  setting read-speed to -1 means cdparanoiasrc won't apply
    it to the device, so use 0xffff instead, which is the maximum value
    for the scsi command that gets sent to the device.

 plugins/audiocd/rb-audiocd-plugin.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 39ab91a26b3e028f9afaa6ccf2f22a8ede3a820a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed May 16 07:44:21 2012 +1000

    don't crash when re-enabling library monitoring (bug #672198)

 rhythmdb/rhythmdb.c | 1 +
 1 file changed, 1 insertion(+)

commit 1ca7e8dff87799e212a834fcc3be8f5872415efa
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Wed May 16 02:08:20 2012 +0530

    updated telugu translation

 po/te.po | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit 1c31708344ffd8cedf47ffc1eec771a14ac8f148
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 8 20:50:21 2012 +1000

    source: impl_delete_thyself doesn't live here any more

 sources/rb-source.h | 1 -
 1 file changed, 1 deletion(-)

commit f8f6321f96d99ad2cc33007bec7e75737d7b16f7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon May 7 12:31:54 2012 +1000

    add a property to RBSource indicating the source loading status
    
    Media player sources in particular take some time to load their
    contents, during which some actions may not be available.
    
    In media player sources, disable the sync action and defer transfers
    until fully loaded.

 plugins/audiocd/rb-audiocd-source.c               |  9 +++++
 plugins/daap/rb-daap-source.c                     |  6 ++-
 plugins/generic-player/rb-generic-player-source.c | 27 +++++++++++---
 plugins/ipod/rb-ipod-source.c                     | 32 +++++++++++++---
 plugins/mtpdevice/rb-mtp-source.c                 | 36 +++++++++++++-----
 sources/rb-media-player-source.c                  | 15 +++++++-
 sources/rb-source.c                               | 45 ++++++++++++++++++++++-
 sources/rb-source.h                               | 10 +++++
 sources/rb-transfer-target.c                      | 25 +++++++++----
 sources/rb-transfer-target.h                      |  2 +-
 10 files changed, 175 insertions(+), 32 deletions(-)

commit cdd0bec0eb6e622884deb93b62a0eecd0d3b017c
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Sat May 5 12:56:12 2012 +0200

    Updated German translation

 po/de.po | 699 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 368 insertions(+), 331 deletions(-)

commit 5066c0fee039ab7186aba1b915c1eaa63a70b88b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed May 2 22:37:03 2012 +1000

    source-toolbar: hook up the accelerator for the browse action
    
    Since there's no longer a menu item for the browse action, its
    accelerator isn't being activated.  This seems like a bit of a loss,
    so we'll do it ourselves as part of the toolbar updates when the
    source selection changes.

 widgets/rb-source-toolbar.c | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit d63f7d87c59874f67ad1d7c1dbcd10679ca940d8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed May 2 09:06:32 2012 +1000

    metadata: only copy access and ownership attributes on writes
    
    Copying creation/modification times when modifying files is
    terrible, so we shouldn't do that.

 metadata/rb-metadata-gst.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 47286e6b32fcfa5953435e5e20ae1ee60302601a
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Sat Apr 28 12:05:07 2012 +0530

    Updated Telugu Translation

 po/te.po | 2329 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1153 insertions(+), 1176 deletions(-)

commit 4810e4f0aa05872e057cac049173adbc5b700f66
Author: Sven Arvidsson <sa@whiz.se>
Date:   Fri Apr 27 19:07:08 2012 +1000

    rhythmbox-client: use correct property for duration (bug #674897)

 remote/dbus/rb-client.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b16c4c3d244846c77e3d7d6438ea49d602d5a061
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Wed Apr 25 23:35:33 2012 +0200

    Updated French translation

 po/fr.po | 117 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 63 insertions(+), 54 deletions(-)

commit d095757ca1987e38cda075932b092eb30abc8319
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Apr 24 22:15:20 2012 +0200

    Updated Polish translation

 po/pl.po | 116 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 62 insertions(+), 54 deletions(-)

commit 11539738afa8a0b84d9f631a11926ebdbfdcd505
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Apr 24 22:08:59 2012 +0200

    Updated Galician translations

 po/gl.po | 58 +++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 33 insertions(+), 25 deletions(-)

commit 17eea05021335d07d5728cf2aa200f5207d4e123
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Apr 24 19:30:15 2012 +0200

    Updated Czech translation

 po/cs.po | 116 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 62 insertions(+), 54 deletions(-)

commit c175d2d5914b2e0b9e6aa4d5de81100a9523871f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Apr 23 11:42:34 2012 +0200

    Updated Spanish translation

 po/es.po | 125 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 68 insertions(+), 57 deletions(-)

commit b2439d89df2a4aa5883d2d947fc07c150d0b3193
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 23 08:52:33 2012 +1000

    library: add encoder presets and custom settings
    
    This gives the user the option of using the default settings,
    a preexisting preset for the encoder being used, or custom
    settings created by editing a restricted set of properties.

 data/org.gnome.rhythmbox.gschema.xml |  20 ++-
 data/ui/library-prefs.ui             | 112 +++++++-----
 sources/rb-library-source.c          | 334 ++++++++++++++++++++++++++++++++---
 3 files changed, 392 insertions(+), 74 deletions(-)

commit e6ce4f93ba67fb0ccbab4758e1fc58bbe1962414
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 23 08:45:46 2012 +1000

    add a composite widget for editing simple GObject properties
    
    This shouldn't be used if it can be avoided, but sometimes
    this is all you can do.

 widgets/Makefile.am                 |   6 +-
 widgets/rb-object-property-editor.c | 415 ++++++++++++++++++++++++++++++++++++
 widgets/rb-object-property-editor.h |  67 ++++++
 3 files changed, 486 insertions(+), 2 deletions(-)

commit cf51e0b4f50d284b48c503ced29cdd4cf257de01
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 23 08:39:02 2012 +1000

    track-transfer-batch: add a signal to use to configure the profile
    
    This allows the creator of the batch to configure the encoding
    profile before encoding begins.  The only thing that's likely to
    be useful to do here is applying a preset to the audio encoding
    profile.

 shell/rb-track-transfer-batch.c | 23 +++++++++++++++++++++++
 shell/rb-track-transfer-batch.h |  3 +++
 2 files changed, 26 insertions(+)

commit fc8dbef7c33a6f2e338daa09a176583ab1fdc1f6
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 23 08:37:14 2012 +1000

    add more utility functions for dealing with encoding profiles
    
    Also, for some encoders, add a list of properties that could
    usefully be exposed to the user as an alternative to selecting a
    preset.  This is very conservative so far, just exposing quality
    settings for a few encoders.

 data/rhythmbox.gep       |  10 +++
 lib/rb-gst-media-types.c | 159 +++++++++++++++++++++++++++++++++++++++++++++--
 lib/rb-gst-media-types.h |   6 ++
 3 files changed, 170 insertions(+), 5 deletions(-)

commit fee6a01bca7e05c8eb03a26b3c3dd8111ff41e48
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sun Apr 22 15:44:51 2012 +0200

    Updated French translation

 po/fr.po | 490 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 238 insertions(+), 252 deletions(-)

commit ece766fee9fa723e71a1288df9b1fe3e6929dc60
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 22 11:49:22 2012 +1000

    playbin2: emit playing-stream before emitting an error for that stream
    
    This ensures that errors during stream startup (file not found, etc.)
    are processed properly.

 backends/gstreamer/rb-player-gst.c | 3 +++
 1 file changed, 3 insertions(+)

commit 1f9e7223f6ca55f6eb580b8ee95b459d98dc6031
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 22 11:48:44 2012 +1000

    playbin2: ignore notify::source while changing to NULL

 backends/gstreamer/rb-player-gst.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 238f22d22731346f17c94cd9cd449eb2b1edde93
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Apr 19 09:43:00 2012 +0200

    Updated Czech translation

 po/cs.po | 481 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 233 insertions(+), 248 deletions(-)

commit d8bbfc4cc35a3db6250d1c4d90bdfa118789482f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Apr 18 07:34:56 2012 +1000

    treat audio/ogg as a synonym for application/ogg

 lib/rb-gst-media-types.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 28a2d19de72c2ddba4e93f64360b6a4faaa4a7dd
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Apr 13 15:23:29 2012 +0200

    Updated Galician translations

 po/gl.po | 510 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 262 insertions(+), 248 deletions(-)

commit 5816ace1055ea860189eff23650dbabd79aa73f4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Apr 13 22:46:45 2012 +1000

    xfade: don't link network streams until fully buffered
    
    This doesn't introduce any new stream states, we just pretend the
    stream is playing whether it's actually linked and playing or
    unlinked and buffering.

 backends/gstreamer/rb-player-gst-xfade.c | 100 ++++++++++++++++++++++++++++++-
 1 file changed, 97 insertions(+), 3 deletions(-)

commit 8cd160d02ff761808dca053972b1f38ae36db501
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Apr 13 22:44:52 2012 +1000

    playbin2: always pause the pipeline when buffering
    
    It works a lot better if we let the buffer fill up before starting
    to play rather than hoping it'll somehow get there while we're
    playing from it.

 backends/gstreamer/rb-player-gst.c | 13 ++++---------
 1 file changed, 4 insertions(+), 9 deletions(-)

commit 00dc3f53b5b67d2837cbaa0a1b27d3fd6f2084a5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Apr 13 22:43:42 2012 +1000

    streaming-source: adjust buffering progress reporting
    
    report 0% buffered as 1% progress so it doesn't pulse, and don't
    report 100%.

 sources/rb-streaming-source.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 48bafeb9824356912826078bf22f58a886be9b5f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 9 15:31:29 2012 +1000

    audiocd: add padding above source contents

 plugins/audiocd/rb-audiocd-source.c | 1 +
 1 file changed, 1 insertion(+)

commit 2779009530a5067c9fe7dbd5e278d27618e1deb7
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Apr 7 16:15:23 2012 +0200

    Updated Slovenian translation

 po/sl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e8787ae051d80295cfa00a127f711e5062a5a364
Author: YunQiang Su <wzssyqa@gmail.com>
Date:   Sat Apr 7 02:11:38 2012 +0800

    Update Simplifed Chinese (zh_CN) translation

 po/zh_CN.po | 4004 ++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1924 insertions(+), 2080 deletions(-)

commit 34e8145db3755a901b95f35cbc72b85b0f8dfa2f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Apr 6 11:59:25 2012 +1000

    header: handle images added outside of requests

 widgets/rb-header.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit a6d6b52b2ad64a843f0a5d2d51681a366e7797a8
Author: Ibrahim Saed <ibraheem5000@gmail.com>
Date:   Sat Mar 31 22:42:30 2012 +0100

    Updated Arabic translation

 po/ar.po | 605 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 305 insertions(+), 300 deletions(-)

commit 3c4327e7343ddb91b79a2344f7c7b77f2dbcda4a
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Mar 31 15:10:26 2012 +0200

    Updated Serbian translation

 po/sr.po       | 531 +++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 531 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 544 insertions(+), 518 deletions(-)

commit 9b86fb8490c7458479b3bb0813b8ae90f1a4a9c5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Mar 30 11:56:28 2012 +0200

    Updated Spanish translation

 help/es/es.po | 104 ++++++++++++++++++++++++++++------------------------------
 1 file changed, 51 insertions(+), 53 deletions(-)

commit 3e27b08d73472450421b638ec7cb5e5c054b03cb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Mar 30 08:50:46 2012 +1000

    introspect RhythmDBQueryResultList

 bindings/gi/Makefile.am               |  2 ++
 rhythmdb/rhythmdb-query-result-list.c | 15 +++++++++++++++
 rhythmdb/rhythmdb-query-result-list.h |  3 ---
 3 files changed, 17 insertions(+), 3 deletions(-)

commit d5ef20c5a49477b44a98ee4ea343fd1cafb4c7ed
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Mar 29 20:21:38 2012 +0200

    Updated Slovenian translation

 po/sl.po | 433 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 220 insertions(+), 213 deletions(-)

commit 8afe9ca18ca1d14e73576a7d2397ad5125628089
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Mar 29 18:15:57 2012 +0200

    Updated Spanish translation

 po/es.po | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit 34fab57a05403e021501c362a921ebdeb470d424
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Mar 29 20:37:18 2012 +1000

    header: degrade gracefully when reduced in size
    
    Rather than vanishing when the widgets within the header don't
    have enough space, hide things to make the remaining stuff fit.
    First the song info disappears, then the elapsed time, then the
